"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAccountsFlaggedForLiquidationQuery = void 0;
const graphql_request_1 = require("graphql-request");
const utils_1 = require("../../src/utils");
const createAccountsFlaggedForLiquidationQuery = (params) => {
    var _a, _b, _c, _d;
    const whereString = (0, utils_1.createGQLWhereString)(Object.entries({
        account: ((_a = params === null || params === void 0 ? void 0 : params.account) !== null && _a !== void 0 ? _a : null) != null ? 'account' : null,
        deadline_gte: ((_b = params === null || params === void 0 ? void 0 : params.minTimestamp) !== null && _b !== void 0 ? _b : null) != null ? 'minTimestamp' : null,
        deadline_lte: ((_c = params === null || params === void 0 ? void 0 : params.maxTimestamp) !== null && _c !== void 0 ? _c : null) != null ? 'maxTimestamp' : null,
    }));
    return (0, graphql_request_1.gql) `
		query accountFlaggedForLiquidations($max: Int, $account: String, $minTimestamp: Int, $maxTimestamp: Int) {
			accountFlaggedForLiquidations(
				first: $max${(0, utils_1.createGQLBlockNumberString)((_d = params === null || params === void 0 ? void 0 : params.blockNumber) !== null && _d !== void 0 ? _d : null)}
				where: ${whereString}
				orderBy: deadline
				orderDirection: asc
			) {
				deadline
				account
				collateralRatio
				liquidatableNonEscrowSNX
				collateral
			}
		}
	`;
};
exports.createAccountsFlaggedForLiquidationQuery = createAccountsFlaggedForLiquidationQuery;
