"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBurnedQuery = void 0;
const graphql_request_1 = require("graphql-request");
const utils_1 = require("../../src/utils");
const createBurnedQuery = (params) => {
    var _a, _b, _c, _d;
    const whereString = (0, utils_1.createGQLWhereString)(Object.entries({
        account: ((_a = params === null || params === void 0 ? void 0 : params.account) !== null && _a !== void 0 ? _a : null) != null ? 'account' : null,
        block_gte: ((_b = params === null || params === void 0 ? void 0 : params.minBlock) !== null && _b !== void 0 ? _b : null) != null ? 'minBlock' : null,
        timestamp_lt: ((_c = params === null || params === void 0 ? void 0 : params.autoGeneratedPaginationField) !== null && _c !== void 0 ? _c : null) != null
            ? 'autoGeneratedPaginationField'
            : null,
    }));
    return (0, graphql_request_1.gql) `
		query burneds($autoGeneratedPaginationField: Int, $minBlock: Int, $max: Int, $account: String) {
			burneds(
				first: $max${(0, utils_1.createGQLBlockNumberString)((_d = params === null || params === void 0 ? void 0 : params.blockNumber) !== null && _d !== void 0 ? _d : null)}
				where: ${whereString}
				orderBy: timestamp
				orderDirection: desc
			) {
        id
        account
        value
        source
        timestamp
        gasPrice
        block
			}
		}
	`;
};
exports.createBurnedQuery = createBurnedQuery;
