"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createExchangeEntrySettledsQuery = void 0;
const graphql_request_1 = require("graphql-request");
const utils_1 = require("../../src/utils");
const createExchangeEntrySettledsQuery = (params) => {
    var _a, _b, _c, _d;
    const whereString = (0, utils_1.createGQLWhereString)(Object.entries({
        from: ((_a = params === null || params === void 0 ? void 0 : params.from) !== null && _a !== void 0 ? _a : null) != null ? 'from' : null,
        exchangeTimestamp_gte: ((_b = params === null || params === void 0 ? void 0 : params.minExchangeTimestamp) !== null && _b !== void 0 ? _b : null) != null ? 'minExchangeTimestamp' : null,
        exchangeTimestamp_lte: ((_c = params === null || params === void 0 ? void 0 : params.maxExchangeTimestamp) !== null && _c !== void 0 ? _c : null) != null ? 'maxExchangeTimestamp' : null,
    }));
    return (0, graphql_request_1.gql) `
		query exchangeEntrySettleds($from: String, $minExchangeTimestamp: Int, $maxExchangeTimestamp: Int) {
			exchangeEntrySettleds(
				first: $max${(0, utils_1.createGQLBlockNumberString)((_d = params === null || params === void 0 ? void 0 : params.blockNumber) !== null && _d !== void 0 ? _d : null)}
				where: ${whereString}
				orderBy: exchangeTimestamp
				orderDirection: desc
			) {
        id
        from
        src
        amount
        dest
        reclaim
        rebate
        srcRoundIdAtPeriodEnd
        destRoundIdAtPeriodEnd
        exchangeTimestamp
			}
		}
	`;
};
exports.createExchangeEntrySettledsQuery = createExchangeEntrySettledsQuery;
