"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExchangeTotalsQueryResponseAttr = exports.createExchangeTotalsQuery = void 0;
const graphql_request_1 = require("graphql-request");
const utils_1 = require("../../src/utils");
const TIMESERIES_QUERIES = {
    '1d': 'dailyTotals',
    '15m': 'fifteenMinuteTotals',
    all: 'totals',
};
const createExchangeTotalsQuery = (params) => {
    var _a;
    const query = getExchangeTotalsQueryResponseAttr(params.timeSeries); // throw if undefined?
    return (0, graphql_request_1.gql) `
		query ${query}($autoGeneratedPaginationField: Int, $max: Int) {
			${query}(
				first: $max${(0, utils_1.createGQLBlockNumberString)((_a = params === null || params === void 0 ? void 0 : params.blockNumber) !== null && _a !== void 0 ? _a : null)}
				orderBy: id
				orderDirection: desc
			) {
				id
				trades
				exchangers
				exchangeUSDTally
				totalFeesGeneratedInUSD
			}
		}
	`;
};
exports.createExchangeTotalsQuery = createExchangeTotalsQuery;
function getExchangeTotalsQueryResponseAttr(timeSeries) {
    return TIMESERIES_QUERIES[timeSeries];
}
exports.getExchangeTotalsQueryResponseAttr = getExchangeTotalsQueryResponseAttr;
