"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFeesClaimedQuery = void 0;
const graphql_request_1 = require("graphql-request");
const utils_1 = require("../../src/utils");
const createFeesClaimedQuery = (params) => {
    var _a, _b, _c;
    const whereString = (0, utils_1.createGQLWhereString)(Object.entries({
        account: ((_a = params === null || params === void 0 ? void 0 : params.account) !== null && _a !== void 0 ? _a : null) != null ? 'account' : null,
        timestamp_lt: ((_b = params === null || params === void 0 ? void 0 : params.autoGeneratedPaginationField) !== null && _b !== void 0 ? _b : null) != null
            ? 'autoGeneratedPaginationField'
            : null,
    }));
    return (0, graphql_request_1.gql) `
		query feesClaimeds($autoGeneratedPaginationField: Int, $max: Int, $account: String) {
			feesClaimeds(
				first: $max${(0, utils_1.createGQLBlockNumberString)((_c = params === null || params === void 0 ? void 0 : params.blockNumber) !== null && _c !== void 0 ? _c : null)}
				where: ${whereString}
				orderBy: timestamp
				orderDirection: desc
			) {
        id
        account
        value
        rewards
        timestamp
        block
			}
		}
	`;
};
exports.createFeesClaimedQuery = createFeesClaimedQuery;
