"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRateUpdatesQuery = void 0;
const graphql_request_1 = require("graphql-request");
const utils_1 = require("../../src/utils");
const createRateUpdatesQuery = (params) => {
    var _a, _b, _c, _d;
    const whereString = (0, utils_1.createGQLWhereString)(Object.entries({
        synth: ((_a = params === null || params === void 0 ? void 0 : params.synth) !== null && _a !== void 0 ? _a : null) != null ? 'synth' : null,
        timestamp_gte: ((_b = params === null || params === void 0 ? void 0 : params.minTimestamp) !== null && _b !== void 0 ? _b : null) != null ? 'minTimestamp' : null,
        timestamp_lt: ((_c = params === null || params === void 0 ? void 0 : params.autoGeneratedPaginationField) !== null && _c !== void 0 ? _c : null) != null
            ? 'autoGeneratedPaginationField'
            : null,
    }));
    return (0, graphql_request_1.gql) `
		query rateUpdates($autoGeneratedPaginationField: Int, $max: Int, $synth: String, $minTimestamp: Int) {
			rateUpdates(
				first: $max${(0, utils_1.createGQLBlockNumberString)((_d = params === null || params === void 0 ? void 0 : params.blockNumber) !== null && _d !== void 0 ? _d : null)}
				where: ${whereString}
				orderBy: timestamp
				orderDirection: desc
			) {
				id
				currencyKey
				synth
				rate
				block
				timestamp
			}
		}
	`;
};
exports.createRateUpdatesQuery = createRateUpdatesQuery;
