"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseShortLoanChanges = exports.parseShortCollateralChanges = exports.parseShortLiquidations = exports.parseShort = void 0;
const utils_1 = require("../../src/utils");
const parseShort = ({ id, account, txHash, collateralLocked, collateralLockedAmount, synthBorrowed, synthBorrowedAmount, createdAtBlock, createdAt, closedAt, isOpen, collateralChanges, liquidations, loanChanges, accruedInterestLastUpdateTimestamp, }) => ({
    id,
    account,
    txHash,
    collateralLocked: (0, utils_1.hexToAscii)(collateralLocked),
    collateralLockedAmount: (0, utils_1.formatEther)(collateralLockedAmount),
    synthBorrowed: (0, utils_1.hexToAscii)(synthBorrowed),
    synthBorrowedAmount: (0, utils_1.formatEther)(synthBorrowedAmount),
    createdAtBlock: Number(createdAtBlock),
    createdAt: (0, utils_1.formatTimestamp)(createdAt),
    closedAt: closedAt != null ? (0, utils_1.formatTimestamp)(closedAt) : null,
    isOpen: Boolean(isOpen),
    collateralChanges: (collateralChanges !== null && collateralChanges !== void 0 ? collateralChanges : []).map(exports.parseShortCollateralChanges),
    liquidations: (liquidations !== null && liquidations !== void 0 ? liquidations : []).map(exports.parseShortLiquidations),
    loanChanges: (loanChanges !== null && loanChanges !== void 0 ? loanChanges : []).map(exports.parseShortLoanChanges),
    accruedInterestLastUpdateTimestamp: (0, utils_1.formatTimestamp)(accruedInterestLastUpdateTimestamp),
});
exports.parseShort = parseShort;
const parseShortLiquidations = ({ id, isClosed, liquidatedAmount, liquidatedCollateral, liquidator, timestamp, blockNumber, }) => ({
    id,
    isClosed: Boolean(isClosed),
    liquidatedAmount: (0, utils_1.formatEther)(liquidatedAmount),
    liquidatedCollateral: (0, utils_1.formatEther)(liquidatedCollateral),
    liquidator,
    timestamp: (0, utils_1.formatTimestamp)(timestamp),
    blockNumber: Number(blockNumber),
});
exports.parseShortLiquidations = parseShortLiquidations;
const parseShortCollateralChanges = ({ amount, collateralAfter, id, isDeposit, timestamp, blockNumber, }) => ({
    amount: (0, utils_1.formatEther)(amount),
    collateralAfter: (0, utils_1.formatEther)(collateralAfter),
    id,
    isDeposit: Boolean(isDeposit),
    timestamp: (0, utils_1.formatTimestamp)(timestamp),
    blockNumber: Number(blockNumber),
});
exports.parseShortCollateralChanges = parseShortCollateralChanges;
const parseShortLoanChanges = ({ amount, id, isRepayment, loanAfter, timestamp, blockNumber, }) => ({
    amount: (0, utils_1.formatEther)(amount),
    id,
    isRepayment: Boolean(isRepayment),
    loanAfter: (0, utils_1.formatEther)(loanAfter),
    timestamp: (0, utils_1.formatTimestamp)(timestamp),
    blockNumber: Number(blockNumber),
});
exports.parseShortLoanChanges = parseShortLoanChanges;
