"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createShortsQuery = void 0;
const graphql_request_1 = require("graphql-request");
const utils_1 = require("../../src/utils");
const createShortsQuery = (params) => {
    var _a, _b, _c, _d, _e;
    const whereString = (0, utils_1.createGQLWhereString)(Object.entries({
        account: ((_a = params === null || params === void 0 ? void 0 : params.account) !== null && _a !== void 0 ? _a : null) != null ? 'account' : null,
        id: ((_b = params === null || params === void 0 ? void 0 : params.id) !== null && _b !== void 0 ? _b : null) != null ? 'id' : null,
        isOpen: ((_c = params === null || params === void 0 ? void 0 : params.isOpen) !== null && _c !== void 0 ? _c : null) != null ? 'isOpen' : null,
        id_lt: ((_d = params === null || params === void 0 ? void 0 : params.autoGeneratedPaginationField) !== null && _d !== void 0 ? _d : null) != null
            ? 'autoGeneratedPaginationField'
            : null,
    }));
    return (0, graphql_request_1.gql) `
		query shorts($autoGeneratedPaginationField: Int, $max: Int, $id: String, $account: String, $isOpen: Boolean) {
      shorts(
        first: $max${(0, utils_1.createGQLBlockNumberString)((_e = params === null || params === void 0 ? void 0 : params.blockNumber) !== null && _e !== void 0 ? _e : null)}
        where: ${whereString}
        orderBy: id
        orderDirection: desc
      ) {
        id
        account
        txHash
        collateralLocked
        collateralLockedAmount
        synthBorrowed
        synthBorrowedAmount
        createdAtBlock
        createdAt
        closedAt
        isOpen
        collateralChanges {
          id
          isDeposit
          amount
          collateralAfter
          timestamp
          blockNumber
        }
        liquidations {
          id
          liquidator
          liquidatedAmount
          liquidatedCollateral
          timestamp
          blockNumber
        }
        loanChanges {
          id
          isRepayment
          amount
          loanAfter
          timestamp
          blockNumber
        }
        accruedInterestLastUpdateTimestamp
			}
		}
	`;
};
exports.createShortsQuery = createShortsQuery;
