"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSnxHolderQuery = void 0;
const graphql_request_1 = require("graphql-request");
const utils_1 = require("../../src/utils");
const createSnxHolderQuery = (params) => {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    const whereString = (0, utils_1.createGQLWhereString)(Object.entries({
        id: ((_a = params === null || params === void 0 ? void 0 : params.address) !== null && _a !== void 0 ? _a : null) != null ? 'address' : null,
        collateral_gte: ((_b = params === null || params === void 0 ? void 0 : params.minCollateral) !== null && _b !== void 0 ? _b : null) != null ? 'minCollateral' : null,
        collateral_lte: ((_c = params === null || params === void 0 ? void 0 : params.maxCollateral) !== null && _c !== void 0 ? _c : null) != null ? 'maxCollateral' : null,
        mints_gte: ((_d = params === null || params === void 0 ? void 0 : params.minMints) !== null && _d !== void 0 ? _d : null) != null ? 'minMints' : null,
        claims_gte: ((_e = params === null || params === void 0 ? void 0 : params.minClaims) !== null && _e !== void 0 ? _e : null) != null ? 'minClaims' : null,
        collateral_lt: ((_f = params === null || params === void 0 ? void 0 : params.autoGeneratedPaginationField) !== null && _f !== void 0 ? _f : null) != null
            ? 'autoGeneratedPaginationField'
            : null,
        id_in: ((_g = params === null || params === void 0 ? void 0 : params.addresses) !== null && _g !== void 0 ? _g : null) != null ? 'addresses' : null,
    }));
    return (0, graphql_request_1.gql) `
		query snxholders($autoGeneratedPaginationField: Int, $max: Int, $minCollateral: Int, $minClaims: Int, $minMints: Int, $maxCollateral: Int, $addresses: [String]) {
			snxholders(
				first: $max${(0, utils_1.createGQLBlockNumberString)((_h = params === null || params === void 0 ? void 0 : params.blockNumber) !== null && _h !== void 0 ? _h : null)}
				where: ${whereString}
				orderBy: collateral
				orderDirection: desc
			) {
				id
        collateral
        block
        timestamp
        balanceOf
        transferable
        initialDebtOwnership
        debtEntryAtIndex
        mints
        claims
			}
		}
	`;
};
exports.createSnxHolderQuery = createSnxHolderQuery;
