"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSNXPricesQueryResponseAttr = exports.createSnxPriceQuery = void 0;
const graphql_request_1 = require("graphql-request");
const utils_1 = require("../../src/utils");
const TIMESERIES_QUERIES = {
    '1d': 'dailySNXPrices',
    '15m': 'fifteenMinuteSNXPrices',
};
const createSnxPriceQuery = (params) => {
    var _a, _b;
    const query = getSNXPricesQueryResponseAttr(params.timeSeries); // throw if undefined?
    const whereString = (0, utils_1.createGQLWhereString)(Object.entries({
        id_lt: ((_a = params === null || params === void 0 ? void 0 : params.autoGeneratedPaginationField) !== null && _a !== void 0 ? _a : null) != null
            ? 'autoGeneratedPaginationField'
            : null,
    }));
    return (0, graphql_request_1.gql) `
	query ${query}($autoGeneratedPaginationField: Int, $max: Int, $timeSeries: String) {
		${query}(
			first: $max${(0, utils_1.createGQLBlockNumberString)((_b = params === null || params === void 0 ? void 0 : params.blockNumber) !== null && _b !== void 0 ? _b : null)}
			where: ${whereString}
			orderBy: id
			orderDirection: desc
		) {
			id
			averagePrice
		}
	}`;
};
exports.createSnxPriceQuery = createSnxPriceQuery;
function getSNXPricesQueryResponseAttr(timeSeries) {
    return TIMESERIES_QUERIES[timeSeries];
}
exports.getSNXPricesQueryResponseAttr = getSNXPricesQueryResponseAttr;
