"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSynthExchanges = void 0;
const utils_1 = require("../../src/utils");
const parseSynthExchanges = ({ account, block, feesInUSD, from, fromAmount, fromAmountInUSD, fromCurrencyKey, fromSynth, gasPrice, id, timestamp, toAddress, toAmount, toAmountInUSD, toCurrencyKey, toSynth, }) => ({
    account,
    block: Number(block),
    feesInUSD: Number(feesInUSD),
    from,
    fromAmount: Number(fromAmount),
    fromAmountInUSD: Number(fromAmountInUSD),
    fromCurrencyKey: (0, utils_1.hexToAscii)(fromCurrencyKey),
    fromSynth,
    gasPrice: Number(gasPrice),
    id,
    timestamp: (0, utils_1.formatTimestamp)(timestamp),
    toAddress,
    toAmount: Number(toAmount),
    toAmountInUSD: Number(toAmountInUSD),
    toCurrencyKey: (0, utils_1.hexToAscii)(toCurrencyKey),
    toSynth,
    hash: (0, utils_1.getHashFromId)(id),
});
exports.parseSynthExchanges = parseSynthExchanges;
