"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSynthExchangesQuery = void 0;
const graphql_request_1 = require("graphql-request");
const utils_1 = require("../../src/utils");
const createSynthExchangesQuery = (params) => {
    var _a, _b, _c, _d, _e;
    const whereString = (0, utils_1.createGQLWhereString)(Object.entries({
        from: ((_a = params === null || params === void 0 ? void 0 : params.fromAddress) !== null && _a !== void 0 ? _a : null) != null ? 'fromAddress' : null,
        block_lte: ((_b = params === null || params === void 0 ? void 0 : params.maxBlock) !== null && _b !== void 0 ? _b : null) != null ? 'maxBlock' : null,
        timestamp_gte: ((_c = params === null || params === void 0 ? void 0 : params.minTimestamp) !== null && _c !== void 0 ? _c : null) != null ? 'minTimestamp' : null,
        timestamp_lt: ((_d = params === null || params === void 0 ? void 0 : params.autoGeneratedPaginationField) !== null && _d !== void 0 ? _d : null) != null
            ? 'autoGeneratedPaginationField'
            : null,
    }));
    return (0, graphql_request_1.gql) `
		query synthExchanges($autoGeneratedPaginationField: Int, $maxBlock: Int, $max: Int, $fromAddress: String, $minTimestamp: Int) {
			synthExchanges(
				first: $max${(0, utils_1.createGQLBlockNumberString)((_e = params === null || params === void 0 ? void 0 : params.blockNumber) !== null && _e !== void 0 ? _e : null)}
				where: ${whereString}
				orderBy: timestamp
				orderDirection: desc
			) {
				id
				account
				from
				fromCurrencyKey
				fromAmount
				fromAmountInUSD
				toCurrencyKey
				toAmount
				toAmountInUSD
				feesInUSD
				toAddress
				timestamp
				gasPrice
				block
			}
		}
	`;
};
exports.createSynthExchangesQuery = createSynthExchangesQuery;
