"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSynthHoldersQuery = void 0;
const graphql_request_1 = require("graphql-request");
const utils_1 = require("../../src/utils");
const createSynthHoldersQuery = (params) => {
    var _a, _b, _c;
    const whereString = (0, utils_1.createGQLWhereString)(Object.entries({
        id: ((_a = params === null || params === void 0 ? void 0 : params.id) !== null && _a !== void 0 ? _a : null) != null ? 'id' : null,
        synth: ((_b = params === null || params === void 0 ? void 0 : params.synth) !== null && _b !== void 0 ? _b : null) != null ? 'synth' : null,
    }));
    return (0, graphql_request_1.gql) `
		query synthHolders($max: Int, $id: String, $synth: String) {
			synthHolders(
				first: $max${(0, utils_1.createGQLBlockNumberString)((_c = params === null || params === void 0 ? void 0 : params.blockNumber) !== null && _c !== void 0 ? _c : null)}
				where: ${whereString}
				orderBy: balanceOf
				orderDirection: desc
			) {
				id
        synth
        balanceOf
			}
		}
	`;
};
exports.createSynthHoldersQuery = createSynthHoldersQuery;
