import { NetworkId } from '@synthetixio/contracts-interface';
import { l1Endpoints, l2Endpoints } from './constants';
import { IssuedQueryParams, RateUpdateQueryParams, SynthExchangeQueryParams, FeesClaimedParams, SnxPriceParams, DebtSnapshotParams, SnxHolderParams, BaseQueryParams, SynthExchangeExpanded, ShortQueryParams, Short, ExchangeEntrySettledsParams, DailyIssuedQueryParams, DailyTotalActiveStakers, ExchangeTotals, ExchangeTotalsParams, AccountsFlaggedForLiquidationParams, AccountFlaggedForLiquidation, SynthHolderParams, SynthHolder } from './types';
import { Synthetix, Issued, Burned, DailyIssued, DailyBurned, RateUpdate, FeesClaimed, DailySnxPrice, FifteenMinuteSnxPrice, DebtSnapshot, SnxHolder, ExchangeEntrySettled } from '../generated/graphql';
declare enum Period {
    ONE_HOUR = "ONE_HOUR",
    FOUR_HOURS = "FOUR_HOURS",
    ONE_DAY = "ONE_DAY",
    ONE_WEEK = "ONE_WEEK",
    ONE_MONTH = "ONE_MONTH",
    ONE_YEAR = "ONE_YEAR"
}
declare const PERIOD_IN_HOURS: Record<Period, number>;
declare const calculateTimestampForPeriod: (periodInHours: number) => number;
declare const synthetixData: ({ networkId }: {
    networkId: NetworkId;
}) => {
    synthExchanges: (params?: SynthExchangeQueryParams | undefined) => Promise<SynthExchangeExpanded[] | null>;
    synthetix: (params?: BaseQueryParams | undefined) => Promise<Synthetix | null>;
    feesClaimed: (params?: FeesClaimedParams | undefined) => Promise<FeesClaimed[] | null>;
    issued: (params?: IssuedQueryParams | undefined) => Promise<Issued[] | null>;
    burned: (params?: IssuedQueryParams | undefined) => Promise<Burned[] | null>;
    dailyIssued: (params?: DailyIssuedQueryParams | undefined) => Promise<DailyIssued[] | null>;
    dailyBurned: (params?: DailyIssuedQueryParams | undefined) => Promise<DailyBurned[] | null>;
    snxPrices: (params: SnxPriceParams) => Promise<DailySnxPrice[] | FifteenMinuteSnxPrice[] | null>;
    rateUpdates: (params?: RateUpdateQueryParams | undefined) => Promise<RateUpdate[] | null>;
    debtSnapshots: (params?: DebtSnapshotParams | undefined) => Promise<DebtSnapshot[] | null>;
    snxHolders: (params?: SnxHolderParams | undefined) => Promise<SnxHolder[] | null>;
    shorts: (params?: ShortQueryParams | undefined) => Promise<Short[] | null>;
    exchangeEntrySettleds: (params?: ExchangeEntrySettledsParams | undefined) => Promise<ExchangeEntrySettled[] | null>;
    exchangeTotals: (params: ExchangeTotalsParams) => Promise<ExchangeTotals[] | null>;
    dailyTotalActiveStakers: (params?: BaseQueryParams | undefined) => Promise<DailyTotalActiveStakers[] | null>;
    accountsFlaggedForLiquidation: (params?: AccountsFlaggedForLiquidationParams | undefined) => Promise<AccountFlaggedForLiquidation[] | null>;
    synthHolders: (params?: SynthHolderParams | undefined) => Promise<SynthHolder[] | null>;
};
declare type SynthetixData = ReturnType<typeof synthetixData>;
export { Period, PERIOD_IN_HOURS, calculateTimestampForPeriod, l1Endpoints, l2Endpoints };
export type { SynthetixData, SynthExchangeExpanded, ExchangeTotals, DailyTotalActiveStakers, AccountFlaggedForLiquidation, SynthHolder, DailyIssued, DailyBurned, Short, SnxHolder, };
export default synthetixData;
//# sourceMappingURL=index.d.ts.map