export declare type Maybe<T> = T | null;
export declare type Exact<T extends {
    [key: string]: unknown;
}> = {
    [K in keyof T]: T[K];
};
export declare type MakeOptional<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]?: Maybe<T[SubKey]>;
};
export declare type MakeMaybe<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]: Maybe<T[SubKey]>;
};
/** All built-in and custom scalars, mapped to their actual values */
export declare type Scalars = {
    ID: string;
    String: string;
    Boolean: boolean;
    Int: number;
    Float: number;
    BigDecimal: any;
    BigInt: any;
    Bytes: any;
};
export declare type AccountFlaggedForLiquidation = {
    __typename?: 'AccountFlaggedForLiquidation';
    /**  the deadline plus the staker address  */
    id: Scalars['ID'];
    /**  the address of the staker  */
    account: Scalars['Bytes'];
    /**  liqudation deadline  */
    deadline: Scalars['BigInt'];
    /**  current collateral ratio  */
    collateralRatio: Scalars['BigInt'];
    /**  snx that is liquidatable  */
    liquidatableNonEscrowSNX: Scalars['BigInt'];
    /**  total collateral held by the staker including escrow amount  */
    collateral: Scalars['BigInt'];
};
export declare type AccountFlaggedForLiquidation_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    deadline?: Maybe<Scalars['BigInt']>;
    deadline_not?: Maybe<Scalars['BigInt']>;
    deadline_gt?: Maybe<Scalars['BigInt']>;
    deadline_lt?: Maybe<Scalars['BigInt']>;
    deadline_gte?: Maybe<Scalars['BigInt']>;
    deadline_lte?: Maybe<Scalars['BigInt']>;
    deadline_in?: Maybe<Array<Scalars['BigInt']>>;
    deadline_not_in?: Maybe<Array<Scalars['BigInt']>>;
    collateralRatio?: Maybe<Scalars['BigInt']>;
    collateralRatio_not?: Maybe<Scalars['BigInt']>;
    collateralRatio_gt?: Maybe<Scalars['BigInt']>;
    collateralRatio_lt?: Maybe<Scalars['BigInt']>;
    collateralRatio_gte?: Maybe<Scalars['BigInt']>;
    collateralRatio_lte?: Maybe<Scalars['BigInt']>;
    collateralRatio_in?: Maybe<Array<Scalars['BigInt']>>;
    collateralRatio_not_in?: Maybe<Array<Scalars['BigInt']>>;
    liquidatableNonEscrowSNX?: Maybe<Scalars['BigInt']>;
    liquidatableNonEscrowSNX_not?: Maybe<Scalars['BigInt']>;
    liquidatableNonEscrowSNX_gt?: Maybe<Scalars['BigInt']>;
    liquidatableNonEscrowSNX_lt?: Maybe<Scalars['BigInt']>;
    liquidatableNonEscrowSNX_gte?: Maybe<Scalars['BigInt']>;
    liquidatableNonEscrowSNX_lte?: Maybe<Scalars['BigInt']>;
    liquidatableNonEscrowSNX_in?: Maybe<Array<Scalars['BigInt']>>;
    liquidatableNonEscrowSNX_not_in?: Maybe<Array<Scalars['BigInt']>>;
    collateral?: Maybe<Scalars['BigInt']>;
    collateral_not?: Maybe<Scalars['BigInt']>;
    collateral_gt?: Maybe<Scalars['BigInt']>;
    collateral_lt?: Maybe<Scalars['BigInt']>;
    collateral_gte?: Maybe<Scalars['BigInt']>;
    collateral_lte?: Maybe<Scalars['BigInt']>;
    collateral_in?: Maybe<Array<Scalars['BigInt']>>;
    collateral_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum AccountFlaggedForLiquidation_OrderBy {
    Id = "id",
    Account = "account",
    Deadline = "deadline",
    CollateralRatio = "collateralRatio",
    LiquidatableNonEscrowSnx = "liquidatableNonEscrowSNX",
    Collateral = "collateral"
}
export declare type AccountLiquidated = {
    __typename?: 'AccountLiquidated';
    id: Scalars['ID'];
    /** the liquidated address */
    account: Scalars['Bytes'];
    /** the amount of SNX redeemed by the liquidator */
    snxRedeemed: Scalars['BigInt'];
    /** the amount of sUSD liquidated */
    amountLiquidated: Scalars['BigInt'];
    /** the address liquidating the account */
    liquidator: Scalars['Bytes'];
    /** the time at which the liquidation occurred */
    time: Scalars['BigInt'];
};
export declare type AccountLiquidated_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    snxRedeemed?: Maybe<Scalars['BigInt']>;
    snxRedeemed_not?: Maybe<Scalars['BigInt']>;
    snxRedeemed_gt?: Maybe<Scalars['BigInt']>;
    snxRedeemed_lt?: Maybe<Scalars['BigInt']>;
    snxRedeemed_gte?: Maybe<Scalars['BigInt']>;
    snxRedeemed_lte?: Maybe<Scalars['BigInt']>;
    snxRedeemed_in?: Maybe<Array<Scalars['BigInt']>>;
    snxRedeemed_not_in?: Maybe<Array<Scalars['BigInt']>>;
    amountLiquidated?: Maybe<Scalars['BigInt']>;
    amountLiquidated_not?: Maybe<Scalars['BigInt']>;
    amountLiquidated_gt?: Maybe<Scalars['BigInt']>;
    amountLiquidated_lt?: Maybe<Scalars['BigInt']>;
    amountLiquidated_gte?: Maybe<Scalars['BigInt']>;
    amountLiquidated_lte?: Maybe<Scalars['BigInt']>;
    amountLiquidated_in?: Maybe<Array<Scalars['BigInt']>>;
    amountLiquidated_not_in?: Maybe<Array<Scalars['BigInt']>>;
    liquidator?: Maybe<Scalars['Bytes']>;
    liquidator_not?: Maybe<Scalars['Bytes']>;
    liquidator_in?: Maybe<Array<Scalars['Bytes']>>;
    liquidator_not_in?: Maybe<Array<Scalars['Bytes']>>;
    liquidator_contains?: Maybe<Scalars['Bytes']>;
    liquidator_not_contains?: Maybe<Scalars['Bytes']>;
    time?: Maybe<Scalars['BigInt']>;
    time_not?: Maybe<Scalars['BigInt']>;
    time_gt?: Maybe<Scalars['BigInt']>;
    time_lt?: Maybe<Scalars['BigInt']>;
    time_gte?: Maybe<Scalars['BigInt']>;
    time_lte?: Maybe<Scalars['BigInt']>;
    time_in?: Maybe<Array<Scalars['BigInt']>>;
    time_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum AccountLiquidated_OrderBy {
    Id = "id",
    Account = "account",
    SnxRedeemed = "snxRedeemed",
    AmountLiquidated = "amountLiquidated",
    Liquidator = "liquidator",
    Time = "time"
}
export declare type AccountRemovedFromLiquidation = {
    __typename?: 'AccountRemovedFromLiquidation';
    /**  the time at which the staker fixed their c-ratio plus the staker address  */
    id: Scalars['ID'];
    /**  the address of the staker  */
    account: Scalars['Bytes'];
    /**  the time at which the staker fixed their c-ratio  */
    time: Scalars['BigInt'];
};
export declare type AccountRemovedFromLiquidation_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    time?: Maybe<Scalars['BigInt']>;
    time_not?: Maybe<Scalars['BigInt']>;
    time_gt?: Maybe<Scalars['BigInt']>;
    time_lt?: Maybe<Scalars['BigInt']>;
    time_gte?: Maybe<Scalars['BigInt']>;
    time_lte?: Maybe<Scalars['BigInt']>;
    time_in?: Maybe<Array<Scalars['BigInt']>>;
    time_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum AccountRemovedFromLiquidation_OrderBy {
    Id = "id",
    Account = "account",
    Time = "time"
}
export declare type ActiveStaker = {
    __typename?: 'ActiveStaker';
    id: Scalars['ID'];
};
export declare type ActiveStaker_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
};
export declare enum ActiveStaker_OrderBy {
    Id = "id"
}
export declare type Block_Height = {
    hash?: Maybe<Scalars['Bytes']>;
    number?: Maybe<Scalars['Int']>;
};
/**  Burned tracks this event from various Synth.sol instances  */
export declare type Burned = {
    __typename?: 'Burned';
    id: Scalars['ID'];
    account: Scalars['Bytes'];
    value: Scalars['BigDecimal'];
    source: Scalars['String'];
    timestamp: Scalars['BigInt'];
    gasPrice: Scalars['BigInt'];
    block: Scalars['BigInt'];
};
export declare type Burned_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    value?: Maybe<Scalars['BigDecimal']>;
    value_not?: Maybe<Scalars['BigDecimal']>;
    value_gt?: Maybe<Scalars['BigDecimal']>;
    value_lt?: Maybe<Scalars['BigDecimal']>;
    value_gte?: Maybe<Scalars['BigDecimal']>;
    value_lte?: Maybe<Scalars['BigDecimal']>;
    value_in?: Maybe<Array<Scalars['BigDecimal']>>;
    value_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    source?: Maybe<Scalars['String']>;
    source_not?: Maybe<Scalars['String']>;
    source_gt?: Maybe<Scalars['String']>;
    source_lt?: Maybe<Scalars['String']>;
    source_gte?: Maybe<Scalars['String']>;
    source_lte?: Maybe<Scalars['String']>;
    source_in?: Maybe<Array<Scalars['String']>>;
    source_not_in?: Maybe<Array<Scalars['String']>>;
    source_contains?: Maybe<Scalars['String']>;
    source_not_contains?: Maybe<Scalars['String']>;
    source_starts_with?: Maybe<Scalars['String']>;
    source_not_starts_with?: Maybe<Scalars['String']>;
    source_ends_with?: Maybe<Scalars['String']>;
    source_not_ends_with?: Maybe<Scalars['String']>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    gasPrice?: Maybe<Scalars['BigInt']>;
    gasPrice_not?: Maybe<Scalars['BigInt']>;
    gasPrice_gt?: Maybe<Scalars['BigInt']>;
    gasPrice_lt?: Maybe<Scalars['BigInt']>;
    gasPrice_gte?: Maybe<Scalars['BigInt']>;
    gasPrice_lte?: Maybe<Scalars['BigInt']>;
    gasPrice_in?: Maybe<Array<Scalars['BigInt']>>;
    gasPrice_not_in?: Maybe<Array<Scalars['BigInt']>>;
    block?: Maybe<Scalars['BigInt']>;
    block_not?: Maybe<Scalars['BigInt']>;
    block_gt?: Maybe<Scalars['BigInt']>;
    block_lt?: Maybe<Scalars['BigInt']>;
    block_gte?: Maybe<Scalars['BigInt']>;
    block_lte?: Maybe<Scalars['BigInt']>;
    block_in?: Maybe<Array<Scalars['BigInt']>>;
    block_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum Burned_OrderBy {
    Id = "id",
    Account = "account",
    Value = "value",
    Source = "source",
    Timestamp = "timestamp",
    GasPrice = "gasPrice",
    Block = "block"
}
export declare type ClearedDeposit = {
    __typename?: 'ClearedDeposit';
    id: Scalars['ID'];
    fromAddress: Scalars['Bytes'];
    toAddress: Scalars['Bytes'];
    fromETHAmount: Scalars['BigInt'];
    toAmount: Scalars['BigInt'];
    depositIndex: Scalars['BigInt'];
    block: Scalars['BigInt'];
    timestamp: Scalars['BigInt'];
    network: Scalars['String'];
};
export declare type ClearedDeposit_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    fromAddress?: Maybe<Scalars['Bytes']>;
    fromAddress_not?: Maybe<Scalars['Bytes']>;
    fromAddress_in?: Maybe<Array<Scalars['Bytes']>>;
    fromAddress_not_in?: Maybe<Array<Scalars['Bytes']>>;
    fromAddress_contains?: Maybe<Scalars['Bytes']>;
    fromAddress_not_contains?: Maybe<Scalars['Bytes']>;
    toAddress?: Maybe<Scalars['Bytes']>;
    toAddress_not?: Maybe<Scalars['Bytes']>;
    toAddress_in?: Maybe<Array<Scalars['Bytes']>>;
    toAddress_not_in?: Maybe<Array<Scalars['Bytes']>>;
    toAddress_contains?: Maybe<Scalars['Bytes']>;
    toAddress_not_contains?: Maybe<Scalars['Bytes']>;
    fromETHAmount?: Maybe<Scalars['BigInt']>;
    fromETHAmount_not?: Maybe<Scalars['BigInt']>;
    fromETHAmount_gt?: Maybe<Scalars['BigInt']>;
    fromETHAmount_lt?: Maybe<Scalars['BigInt']>;
    fromETHAmount_gte?: Maybe<Scalars['BigInt']>;
    fromETHAmount_lte?: Maybe<Scalars['BigInt']>;
    fromETHAmount_in?: Maybe<Array<Scalars['BigInt']>>;
    fromETHAmount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    toAmount?: Maybe<Scalars['BigInt']>;
    toAmount_not?: Maybe<Scalars['BigInt']>;
    toAmount_gt?: Maybe<Scalars['BigInt']>;
    toAmount_lt?: Maybe<Scalars['BigInt']>;
    toAmount_gte?: Maybe<Scalars['BigInt']>;
    toAmount_lte?: Maybe<Scalars['BigInt']>;
    toAmount_in?: Maybe<Array<Scalars['BigInt']>>;
    toAmount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    depositIndex?: Maybe<Scalars['BigInt']>;
    depositIndex_not?: Maybe<Scalars['BigInt']>;
    depositIndex_gt?: Maybe<Scalars['BigInt']>;
    depositIndex_lt?: Maybe<Scalars['BigInt']>;
    depositIndex_gte?: Maybe<Scalars['BigInt']>;
    depositIndex_lte?: Maybe<Scalars['BigInt']>;
    depositIndex_in?: Maybe<Array<Scalars['BigInt']>>;
    depositIndex_not_in?: Maybe<Array<Scalars['BigInt']>>;
    block?: Maybe<Scalars['BigInt']>;
    block_not?: Maybe<Scalars['BigInt']>;
    block_gt?: Maybe<Scalars['BigInt']>;
    block_lt?: Maybe<Scalars['BigInt']>;
    block_gte?: Maybe<Scalars['BigInt']>;
    block_lte?: Maybe<Scalars['BigInt']>;
    block_in?: Maybe<Array<Scalars['BigInt']>>;
    block_not_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    network?: Maybe<Scalars['String']>;
    network_not?: Maybe<Scalars['String']>;
    network_gt?: Maybe<Scalars['String']>;
    network_lt?: Maybe<Scalars['String']>;
    network_gte?: Maybe<Scalars['String']>;
    network_lte?: Maybe<Scalars['String']>;
    network_in?: Maybe<Array<Scalars['String']>>;
    network_not_in?: Maybe<Array<Scalars['String']>>;
    network_contains?: Maybe<Scalars['String']>;
    network_not_contains?: Maybe<Scalars['String']>;
    network_starts_with?: Maybe<Scalars['String']>;
    network_not_starts_with?: Maybe<Scalars['String']>;
    network_ends_with?: Maybe<Scalars['String']>;
    network_not_ends_with?: Maybe<Scalars['String']>;
};
export declare enum ClearedDeposit_OrderBy {
    Id = "id",
    FromAddress = "fromAddress",
    ToAddress = "toAddress",
    FromEthAmount = "fromETHAmount",
    ToAmount = "toAmount",
    DepositIndex = "depositIndex",
    Block = "block",
    Timestamp = "timestamp",
    Network = "network"
}
export declare type CollateralDeposited = {
    __typename?: 'CollateralDeposited';
    /**  the event tx hash plus event log index  */
    id: Scalars['ID'];
    /**  the amount of collateral deposited  */
    collateralAmount: Scalars['BigInt'];
    /**  the total amount of collateral after the deposit is included  */
    collateralAfter: Scalars['BigInt'];
    /**  the account that created the loan  */
    account: Scalars['Bytes'];
    /**  the loan id  */
    loanId: Scalars['BigInt'];
    /**  the timestamp collateral was deposited  */
    timestamp: Scalars['BigInt'];
};
export declare type CollateralDeposited_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    collateralAmount?: Maybe<Scalars['BigInt']>;
    collateralAmount_not?: Maybe<Scalars['BigInt']>;
    collateralAmount_gt?: Maybe<Scalars['BigInt']>;
    collateralAmount_lt?: Maybe<Scalars['BigInt']>;
    collateralAmount_gte?: Maybe<Scalars['BigInt']>;
    collateralAmount_lte?: Maybe<Scalars['BigInt']>;
    collateralAmount_in?: Maybe<Array<Scalars['BigInt']>>;
    collateralAmount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    collateralAfter?: Maybe<Scalars['BigInt']>;
    collateralAfter_not?: Maybe<Scalars['BigInt']>;
    collateralAfter_gt?: Maybe<Scalars['BigInt']>;
    collateralAfter_lt?: Maybe<Scalars['BigInt']>;
    collateralAfter_gte?: Maybe<Scalars['BigInt']>;
    collateralAfter_lte?: Maybe<Scalars['BigInt']>;
    collateralAfter_in?: Maybe<Array<Scalars['BigInt']>>;
    collateralAfter_not_in?: Maybe<Array<Scalars['BigInt']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    loanId?: Maybe<Scalars['BigInt']>;
    loanId_not?: Maybe<Scalars['BigInt']>;
    loanId_gt?: Maybe<Scalars['BigInt']>;
    loanId_lt?: Maybe<Scalars['BigInt']>;
    loanId_gte?: Maybe<Scalars['BigInt']>;
    loanId_lte?: Maybe<Scalars['BigInt']>;
    loanId_in?: Maybe<Array<Scalars['BigInt']>>;
    loanId_not_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum CollateralDeposited_OrderBy {
    Id = "id",
    CollateralAmount = "collateralAmount",
    CollateralAfter = "collateralAfter",
    Account = "account",
    LoanId = "loanId",
    Timestamp = "timestamp"
}
export declare type CollateralWithdrawn = {
    __typename?: 'CollateralWithdrawn';
    /**  the event tx hash plus event log index  */
    id: Scalars['ID'];
    /**  the amount of collateral withdrawn  */
    amountWithdrawn: Scalars['BigInt'];
    /**  the total amount of collateral after the withdrawal is accounted for  */
    collateralAfter: Scalars['BigInt'];
    /**  the account that created the loan  */
    account: Scalars['Bytes'];
    /**  the loan id  */
    loanId: Scalars['BigInt'];
    /**  the timestamp collateral was withdrawn  */
    timestamp: Scalars['BigInt'];
};
export declare type CollateralWithdrawn_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    amountWithdrawn?: Maybe<Scalars['BigInt']>;
    amountWithdrawn_not?: Maybe<Scalars['BigInt']>;
    amountWithdrawn_gt?: Maybe<Scalars['BigInt']>;
    amountWithdrawn_lt?: Maybe<Scalars['BigInt']>;
    amountWithdrawn_gte?: Maybe<Scalars['BigInt']>;
    amountWithdrawn_lte?: Maybe<Scalars['BigInt']>;
    amountWithdrawn_in?: Maybe<Array<Scalars['BigInt']>>;
    amountWithdrawn_not_in?: Maybe<Array<Scalars['BigInt']>>;
    collateralAfter?: Maybe<Scalars['BigInt']>;
    collateralAfter_not?: Maybe<Scalars['BigInt']>;
    collateralAfter_gt?: Maybe<Scalars['BigInt']>;
    collateralAfter_lt?: Maybe<Scalars['BigInt']>;
    collateralAfter_gte?: Maybe<Scalars['BigInt']>;
    collateralAfter_lte?: Maybe<Scalars['BigInt']>;
    collateralAfter_in?: Maybe<Array<Scalars['BigInt']>>;
    collateralAfter_not_in?: Maybe<Array<Scalars['BigInt']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    loanId?: Maybe<Scalars['BigInt']>;
    loanId_not?: Maybe<Scalars['BigInt']>;
    loanId_gt?: Maybe<Scalars['BigInt']>;
    loanId_lt?: Maybe<Scalars['BigInt']>;
    loanId_gte?: Maybe<Scalars['BigInt']>;
    loanId_lte?: Maybe<Scalars['BigInt']>;
    loanId_in?: Maybe<Array<Scalars['BigInt']>>;
    loanId_not_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum CollateralWithdrawn_OrderBy {
    Id = "id",
    AmountWithdrawn = "amountWithdrawn",
    CollateralAfter = "collateralAfter",
    Account = "account",
    LoanId = "loanId",
    Timestamp = "timestamp"
}
export declare type DailyBurned = {
    __typename?: 'DailyBurned';
    /**  unix timestamp at beginning of day of the measurement  */
    id: Scalars['ID'];
    /**  amount burned  */
    value: Scalars['BigDecimal'];
    /**  amount of debt as of the last event for this day  */
    totalDebt: Scalars['BigDecimal'];
};
export declare type DailyBurned_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    value?: Maybe<Scalars['BigDecimal']>;
    value_not?: Maybe<Scalars['BigDecimal']>;
    value_gt?: Maybe<Scalars['BigDecimal']>;
    value_lt?: Maybe<Scalars['BigDecimal']>;
    value_gte?: Maybe<Scalars['BigDecimal']>;
    value_lte?: Maybe<Scalars['BigDecimal']>;
    value_in?: Maybe<Array<Scalars['BigDecimal']>>;
    value_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    totalDebt?: Maybe<Scalars['BigDecimal']>;
    totalDebt_not?: Maybe<Scalars['BigDecimal']>;
    totalDebt_gt?: Maybe<Scalars['BigDecimal']>;
    totalDebt_lt?: Maybe<Scalars['BigDecimal']>;
    totalDebt_gte?: Maybe<Scalars['BigDecimal']>;
    totalDebt_lte?: Maybe<Scalars['BigDecimal']>;
    totalDebt_in?: Maybe<Array<Scalars['BigDecimal']>>;
    totalDebt_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum DailyBurned_OrderBy {
    Id = "id",
    Value = "value",
    TotalDebt = "totalDebt"
}
export declare type DailyCandle = {
    __typename?: 'DailyCandle';
    /**  DailyEpoch-Asset. E.g. 18361-sETH  */
    id: Scalars['ID'];
    synth: Scalars['String'];
    open: Scalars['BigDecimal'];
    high: Scalars['BigDecimal'];
    low: Scalars['BigDecimal'];
    close: Scalars['BigDecimal'];
    timestamp: Scalars['BigInt'];
};
export declare type DailyCandle_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    synth?: Maybe<Scalars['String']>;
    synth_not?: Maybe<Scalars['String']>;
    synth_gt?: Maybe<Scalars['String']>;
    synth_lt?: Maybe<Scalars['String']>;
    synth_gte?: Maybe<Scalars['String']>;
    synth_lte?: Maybe<Scalars['String']>;
    synth_in?: Maybe<Array<Scalars['String']>>;
    synth_not_in?: Maybe<Array<Scalars['String']>>;
    synth_contains?: Maybe<Scalars['String']>;
    synth_not_contains?: Maybe<Scalars['String']>;
    synth_starts_with?: Maybe<Scalars['String']>;
    synth_not_starts_with?: Maybe<Scalars['String']>;
    synth_ends_with?: Maybe<Scalars['String']>;
    synth_not_ends_with?: Maybe<Scalars['String']>;
    open?: Maybe<Scalars['BigDecimal']>;
    open_not?: Maybe<Scalars['BigDecimal']>;
    open_gt?: Maybe<Scalars['BigDecimal']>;
    open_lt?: Maybe<Scalars['BigDecimal']>;
    open_gte?: Maybe<Scalars['BigDecimal']>;
    open_lte?: Maybe<Scalars['BigDecimal']>;
    open_in?: Maybe<Array<Scalars['BigDecimal']>>;
    open_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    high?: Maybe<Scalars['BigDecimal']>;
    high_not?: Maybe<Scalars['BigDecimal']>;
    high_gt?: Maybe<Scalars['BigDecimal']>;
    high_lt?: Maybe<Scalars['BigDecimal']>;
    high_gte?: Maybe<Scalars['BigDecimal']>;
    high_lte?: Maybe<Scalars['BigDecimal']>;
    high_in?: Maybe<Array<Scalars['BigDecimal']>>;
    high_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    low?: Maybe<Scalars['BigDecimal']>;
    low_not?: Maybe<Scalars['BigDecimal']>;
    low_gt?: Maybe<Scalars['BigDecimal']>;
    low_lt?: Maybe<Scalars['BigDecimal']>;
    low_gte?: Maybe<Scalars['BigDecimal']>;
    low_lte?: Maybe<Scalars['BigDecimal']>;
    low_in?: Maybe<Array<Scalars['BigDecimal']>>;
    low_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    close?: Maybe<Scalars['BigDecimal']>;
    close_not?: Maybe<Scalars['BigDecimal']>;
    close_gt?: Maybe<Scalars['BigDecimal']>;
    close_lt?: Maybe<Scalars['BigDecimal']>;
    close_gte?: Maybe<Scalars['BigDecimal']>;
    close_lte?: Maybe<Scalars['BigDecimal']>;
    close_in?: Maybe<Array<Scalars['BigDecimal']>>;
    close_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum DailyCandle_OrderBy {
    Id = "id",
    Synth = "synth",
    Open = "open",
    High = "high",
    Low = "low",
    Close = "close",
    Timestamp = "timestamp"
}
export declare type DailyExchangePartner = {
    __typename?: 'DailyExchangePartner';
    /**  Day timestamp + tracking code of the partner  */
    id: Scalars['ID'];
    /**  Total transaction volume in USD for the partner on this day  */
    usdVolume: Scalars['BigDecimal'];
    /**  Total fees generated by the volume partner for this day  */
    usdFees: Scalars['BigDecimal'];
    /**  Total number of trades from the volume partner for this day  */
    trades: Scalars['BigInt'];
    /**  Tracking code of the partner  */
    partner: Scalars['String'];
    /**  unix timestamp at the beginning of the day  */
    timestamp: Scalars['BigInt'];
};
export declare type DailyExchangePartner_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    usdVolume?: Maybe<Scalars['BigDecimal']>;
    usdVolume_not?: Maybe<Scalars['BigDecimal']>;
    usdVolume_gt?: Maybe<Scalars['BigDecimal']>;
    usdVolume_lt?: Maybe<Scalars['BigDecimal']>;
    usdVolume_gte?: Maybe<Scalars['BigDecimal']>;
    usdVolume_lte?: Maybe<Scalars['BigDecimal']>;
    usdVolume_in?: Maybe<Array<Scalars['BigDecimal']>>;
    usdVolume_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    usdFees?: Maybe<Scalars['BigDecimal']>;
    usdFees_not?: Maybe<Scalars['BigDecimal']>;
    usdFees_gt?: Maybe<Scalars['BigDecimal']>;
    usdFees_lt?: Maybe<Scalars['BigDecimal']>;
    usdFees_gte?: Maybe<Scalars['BigDecimal']>;
    usdFees_lte?: Maybe<Scalars['BigDecimal']>;
    usdFees_in?: Maybe<Array<Scalars['BigDecimal']>>;
    usdFees_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    trades?: Maybe<Scalars['BigInt']>;
    trades_not?: Maybe<Scalars['BigInt']>;
    trades_gt?: Maybe<Scalars['BigInt']>;
    trades_lt?: Maybe<Scalars['BigInt']>;
    trades_gte?: Maybe<Scalars['BigInt']>;
    trades_lte?: Maybe<Scalars['BigInt']>;
    trades_in?: Maybe<Array<Scalars['BigInt']>>;
    trades_not_in?: Maybe<Array<Scalars['BigInt']>>;
    partner?: Maybe<Scalars['String']>;
    partner_not?: Maybe<Scalars['String']>;
    partner_gt?: Maybe<Scalars['String']>;
    partner_lt?: Maybe<Scalars['String']>;
    partner_gte?: Maybe<Scalars['String']>;
    partner_lte?: Maybe<Scalars['String']>;
    partner_in?: Maybe<Array<Scalars['String']>>;
    partner_not_in?: Maybe<Array<Scalars['String']>>;
    partner_contains?: Maybe<Scalars['String']>;
    partner_not_contains?: Maybe<Scalars['String']>;
    partner_starts_with?: Maybe<Scalars['String']>;
    partner_not_starts_with?: Maybe<Scalars['String']>;
    partner_ends_with?: Maybe<Scalars['String']>;
    partner_not_ends_with?: Maybe<Scalars['String']>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum DailyExchangePartner_OrderBy {
    Id = "id",
    UsdVolume = "usdVolume",
    UsdFees = "usdFees",
    Trades = "trades",
    Partner = "partner",
    Timestamp = "timestamp"
}
/**  An individual Exchanger seen during a day  */
export declare type DailyExchanger = {
    __typename?: 'DailyExchanger';
    id: Scalars['ID'];
};
export declare type DailyExchanger_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
};
export declare enum DailyExchanger_OrderBy {
    Id = "id"
}
export declare type DailyIssued = {
    __typename?: 'DailyIssued';
    /**  unix timestamp at beginning of day of the measurement  */
    id: Scalars['ID'];
    /**  amount issued  */
    value: Scalars['BigDecimal'];
    /**  amount of debt as of the last event for this day  */
    totalDebt: Scalars['BigDecimal'];
};
export declare type DailyIssued_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    value?: Maybe<Scalars['BigDecimal']>;
    value_not?: Maybe<Scalars['BigDecimal']>;
    value_gt?: Maybe<Scalars['BigDecimal']>;
    value_lt?: Maybe<Scalars['BigDecimal']>;
    value_gte?: Maybe<Scalars['BigDecimal']>;
    value_lte?: Maybe<Scalars['BigDecimal']>;
    value_in?: Maybe<Array<Scalars['BigDecimal']>>;
    value_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    totalDebt?: Maybe<Scalars['BigDecimal']>;
    totalDebt_not?: Maybe<Scalars['BigDecimal']>;
    totalDebt_gt?: Maybe<Scalars['BigDecimal']>;
    totalDebt_lt?: Maybe<Scalars['BigDecimal']>;
    totalDebt_gte?: Maybe<Scalars['BigDecimal']>;
    totalDebt_lte?: Maybe<Scalars['BigDecimal']>;
    totalDebt_in?: Maybe<Array<Scalars['BigDecimal']>>;
    totalDebt_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum DailyIssued_OrderBy {
    Id = "id",
    Value = "value",
    TotalDebt = "totalDebt"
}
/**  The average price of SNX over a day  */
export declare type DailySnxPrice = {
    __typename?: 'DailySNXPrice';
    /**  unix timestamp at beginning of 15 minute period  */
    id: Scalars['ID'];
    /**  number of samples averaged in the period  */
    count: Scalars['BigInt'];
    /**  calculated average price of all the samples  */
    averagePrice: Scalars['BigDecimal'];
};
export declare type DailySnxPrice_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    count?: Maybe<Scalars['BigInt']>;
    count_not?: Maybe<Scalars['BigInt']>;
    count_gt?: Maybe<Scalars['BigInt']>;
    count_lt?: Maybe<Scalars['BigInt']>;
    count_gte?: Maybe<Scalars['BigInt']>;
    count_lte?: Maybe<Scalars['BigInt']>;
    count_in?: Maybe<Array<Scalars['BigInt']>>;
    count_not_in?: Maybe<Array<Scalars['BigInt']>>;
    averagePrice?: Maybe<Scalars['BigDecimal']>;
    averagePrice_not?: Maybe<Scalars['BigDecimal']>;
    averagePrice_gt?: Maybe<Scalars['BigDecimal']>;
    averagePrice_lt?: Maybe<Scalars['BigDecimal']>;
    averagePrice_gte?: Maybe<Scalars['BigDecimal']>;
    averagePrice_lte?: Maybe<Scalars['BigDecimal']>;
    averagePrice_in?: Maybe<Array<Scalars['BigDecimal']>>;
    averagePrice_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum DailySnxPrice_OrderBy {
    Id = "id",
    Count = "count",
    AveragePrice = "averagePrice"
}
export declare type DailyTotal = {
    __typename?: 'DailyTotal';
    /**  numeric, incrementing timestamp  */
    id: Scalars['ID'];
    /**  timestamp of the beginning of the day this represents  */
    timestamp: Scalars['BigInt'];
    /**  number of trades completed over period  */
    trades: Scalars['BigInt'];
    /**  number of unique traders seen over period  */
    exchangers: Scalars['BigInt'];
    /**  synth value exchanged in USD units  */
    exchangeUSDTally: Scalars['BigDecimal'];
    /**  synth value received in fees in USD units  */
    totalFeesGeneratedInUSD: Scalars['BigDecimal'];
};
export declare type DailyTotal_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    trades?: Maybe<Scalars['BigInt']>;
    trades_not?: Maybe<Scalars['BigInt']>;
    trades_gt?: Maybe<Scalars['BigInt']>;
    trades_lt?: Maybe<Scalars['BigInt']>;
    trades_gte?: Maybe<Scalars['BigInt']>;
    trades_lte?: Maybe<Scalars['BigInt']>;
    trades_in?: Maybe<Array<Scalars['BigInt']>>;
    trades_not_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangers?: Maybe<Scalars['BigInt']>;
    exchangers_not?: Maybe<Scalars['BigInt']>;
    exchangers_gt?: Maybe<Scalars['BigInt']>;
    exchangers_lt?: Maybe<Scalars['BigInt']>;
    exchangers_gte?: Maybe<Scalars['BigInt']>;
    exchangers_lte?: Maybe<Scalars['BigInt']>;
    exchangers_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangers_not_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangeUSDTally?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_not?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_gt?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_lt?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_gte?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_lte?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_in?: Maybe<Array<Scalars['BigDecimal']>>;
    exchangeUSDTally_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    totalFeesGeneratedInUSD?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_not?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_gt?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_lt?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_gte?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_lte?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_in?: Maybe<Array<Scalars['BigDecimal']>>;
    totalFeesGeneratedInUSD_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum DailyTotal_OrderBy {
    Id = "id",
    Timestamp = "timestamp",
    Trades = "trades",
    Exchangers = "exchangers",
    ExchangeUsdTally = "exchangeUSDTally",
    TotalFeesGeneratedInUsd = "totalFeesGeneratedInUSD"
}
/**  A historical debt tracker  */
export declare type DebtSnapshot = {
    __typename?: 'DebtSnapshot';
    id: Scalars['ID'];
    /**  last block where an event happened  */
    block: Scalars['BigInt'];
    /**  last time when an event happened  */
    timestamp: Scalars['BigInt'];
    /**  address for which these statistics are applicable  */
    account: Scalars['Bytes'];
    balanceOf?: Maybe<Scalars['BigDecimal']>;
    /**  SNX which is being used for collateral as of last event and cannot be spent  */
    collateral?: Maybe<Scalars['BigDecimal']>;
    /**  sUSD of debt as of last event  */
    debtBalanceOf?: Maybe<Scalars['BigDecimal']>;
};
export declare type DebtSnapshot_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    block?: Maybe<Scalars['BigInt']>;
    block_not?: Maybe<Scalars['BigInt']>;
    block_gt?: Maybe<Scalars['BigInt']>;
    block_lt?: Maybe<Scalars['BigInt']>;
    block_gte?: Maybe<Scalars['BigInt']>;
    block_lte?: Maybe<Scalars['BigInt']>;
    block_in?: Maybe<Array<Scalars['BigInt']>>;
    block_not_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    balanceOf?: Maybe<Scalars['BigDecimal']>;
    balanceOf_not?: Maybe<Scalars['BigDecimal']>;
    balanceOf_gt?: Maybe<Scalars['BigDecimal']>;
    balanceOf_lt?: Maybe<Scalars['BigDecimal']>;
    balanceOf_gte?: Maybe<Scalars['BigDecimal']>;
    balanceOf_lte?: Maybe<Scalars['BigDecimal']>;
    balanceOf_in?: Maybe<Array<Scalars['BigDecimal']>>;
    balanceOf_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    collateral?: Maybe<Scalars['BigDecimal']>;
    collateral_not?: Maybe<Scalars['BigDecimal']>;
    collateral_gt?: Maybe<Scalars['BigDecimal']>;
    collateral_lt?: Maybe<Scalars['BigDecimal']>;
    collateral_gte?: Maybe<Scalars['BigDecimal']>;
    collateral_lte?: Maybe<Scalars['BigDecimal']>;
    collateral_in?: Maybe<Array<Scalars['BigDecimal']>>;
    collateral_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    debtBalanceOf?: Maybe<Scalars['BigDecimal']>;
    debtBalanceOf_not?: Maybe<Scalars['BigDecimal']>;
    debtBalanceOf_gt?: Maybe<Scalars['BigDecimal']>;
    debtBalanceOf_lt?: Maybe<Scalars['BigDecimal']>;
    debtBalanceOf_gte?: Maybe<Scalars['BigDecimal']>;
    debtBalanceOf_lte?: Maybe<Scalars['BigDecimal']>;
    debtBalanceOf_in?: Maybe<Array<Scalars['BigDecimal']>>;
    debtBalanceOf_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum DebtSnapshot_OrderBy {
    Id = "id",
    Block = "block",
    Timestamp = "timestamp",
    Account = "account",
    BalanceOf = "balanceOf",
    Collateral = "collateral",
    DebtBalanceOf = "debtBalanceOf"
}
export declare type Exchange = {
    __typename?: 'Exchange';
    id: Scalars['ID'];
    from: Scalars['Bytes'];
    fromCurrency: Scalars['String'];
    fromAmount: Scalars['BigInt'];
    toCurrency: Scalars['String'];
    toAmount: Scalars['BigInt'];
    block: Scalars['BigInt'];
    timestamp: Scalars['BigInt'];
    network: Scalars['String'];
};
export declare type ExchangeEntryAppended = {
    __typename?: 'ExchangeEntryAppended';
    /**  transaction hash and log index  */
    id: Scalars['ID'];
    /**  ethereum address which funded the exchange  */
    account: Scalars['Bytes'];
    /**  synth exchanged from  */
    src: Scalars['Bytes'];
    /**  number of units of synth from exchanged  */
    amount: Scalars['BigDecimal'];
    /**  synth exchanged to  */
    dest: Scalars['Bytes'];
    /**  number of units of synth to received  */
    amountReceived: Scalars['BigDecimal'];
    /**  fee paid in sUSD to the synthetix fee pool  */
    exchangeFeeRate: Scalars['BigDecimal'];
    /**  aggregator price round for src synth  */
    roundIdForSrc: Scalars['BigInt'];
    /**  aggregator price round for dest synth  */
    roundIdForDest: Scalars['BigInt'];
};
export declare type ExchangeEntryAppended_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    src?: Maybe<Scalars['Bytes']>;
    src_not?: Maybe<Scalars['Bytes']>;
    src_in?: Maybe<Array<Scalars['Bytes']>>;
    src_not_in?: Maybe<Array<Scalars['Bytes']>>;
    src_contains?: Maybe<Scalars['Bytes']>;
    src_not_contains?: Maybe<Scalars['Bytes']>;
    amount?: Maybe<Scalars['BigDecimal']>;
    amount_not?: Maybe<Scalars['BigDecimal']>;
    amount_gt?: Maybe<Scalars['BigDecimal']>;
    amount_lt?: Maybe<Scalars['BigDecimal']>;
    amount_gte?: Maybe<Scalars['BigDecimal']>;
    amount_lte?: Maybe<Scalars['BigDecimal']>;
    amount_in?: Maybe<Array<Scalars['BigDecimal']>>;
    amount_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    dest?: Maybe<Scalars['Bytes']>;
    dest_not?: Maybe<Scalars['Bytes']>;
    dest_in?: Maybe<Array<Scalars['Bytes']>>;
    dest_not_in?: Maybe<Array<Scalars['Bytes']>>;
    dest_contains?: Maybe<Scalars['Bytes']>;
    dest_not_contains?: Maybe<Scalars['Bytes']>;
    amountReceived?: Maybe<Scalars['BigDecimal']>;
    amountReceived_not?: Maybe<Scalars['BigDecimal']>;
    amountReceived_gt?: Maybe<Scalars['BigDecimal']>;
    amountReceived_lt?: Maybe<Scalars['BigDecimal']>;
    amountReceived_gte?: Maybe<Scalars['BigDecimal']>;
    amountReceived_lte?: Maybe<Scalars['BigDecimal']>;
    amountReceived_in?: Maybe<Array<Scalars['BigDecimal']>>;
    amountReceived_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    exchangeFeeRate?: Maybe<Scalars['BigDecimal']>;
    exchangeFeeRate_not?: Maybe<Scalars['BigDecimal']>;
    exchangeFeeRate_gt?: Maybe<Scalars['BigDecimal']>;
    exchangeFeeRate_lt?: Maybe<Scalars['BigDecimal']>;
    exchangeFeeRate_gte?: Maybe<Scalars['BigDecimal']>;
    exchangeFeeRate_lte?: Maybe<Scalars['BigDecimal']>;
    exchangeFeeRate_in?: Maybe<Array<Scalars['BigDecimal']>>;
    exchangeFeeRate_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    roundIdForSrc?: Maybe<Scalars['BigInt']>;
    roundIdForSrc_not?: Maybe<Scalars['BigInt']>;
    roundIdForSrc_gt?: Maybe<Scalars['BigInt']>;
    roundIdForSrc_lt?: Maybe<Scalars['BigInt']>;
    roundIdForSrc_gte?: Maybe<Scalars['BigInt']>;
    roundIdForSrc_lte?: Maybe<Scalars['BigInt']>;
    roundIdForSrc_in?: Maybe<Array<Scalars['BigInt']>>;
    roundIdForSrc_not_in?: Maybe<Array<Scalars['BigInt']>>;
    roundIdForDest?: Maybe<Scalars['BigInt']>;
    roundIdForDest_not?: Maybe<Scalars['BigInt']>;
    roundIdForDest_gt?: Maybe<Scalars['BigInt']>;
    roundIdForDest_lt?: Maybe<Scalars['BigInt']>;
    roundIdForDest_gte?: Maybe<Scalars['BigInt']>;
    roundIdForDest_lte?: Maybe<Scalars['BigInt']>;
    roundIdForDest_in?: Maybe<Array<Scalars['BigInt']>>;
    roundIdForDest_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum ExchangeEntryAppended_OrderBy {
    Id = "id",
    Account = "account",
    Src = "src",
    Amount = "amount",
    Dest = "dest",
    AmountReceived = "amountReceived",
    ExchangeFeeRate = "exchangeFeeRate",
    RoundIdForSrc = "roundIdForSrc",
    RoundIdForDest = "roundIdForDest"
}
export declare type ExchangeEntrySettled = {
    __typename?: 'ExchangeEntrySettled';
    /**  transaction hash and log index  */
    id: Scalars['ID'];
    /**  synth exchanged from  */
    from: Scalars['Bytes'];
    /**  synth exchanged to  */
    src: Scalars['Bytes'];
    /**  number of units of synth from exchanged  */
    amount: Scalars['BigDecimal'];
    /**  address which receives the settlement  */
    dest: Scalars['Bytes'];
    /**  amount reclaimed of dest due to underpayment  */
    reclaim: Scalars['BigDecimal'];
    /**  amount returned of dest due to overpayment  */
    rebate: Scalars['BigDecimal'];
    /**  aggregator price round for src synth  */
    srcRoundIdAtPeriodEnd: Scalars['BigInt'];
    /**  aggregator price round for dest synth  */
    destRoundIdAtPeriodEnd: Scalars['BigInt'];
    /**  time when the original exchange occured  */
    exchangeTimestamp: Scalars['BigInt'];
};
export declare type ExchangeEntrySettled_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    from?: Maybe<Scalars['Bytes']>;
    from_not?: Maybe<Scalars['Bytes']>;
    from_in?: Maybe<Array<Scalars['Bytes']>>;
    from_not_in?: Maybe<Array<Scalars['Bytes']>>;
    from_contains?: Maybe<Scalars['Bytes']>;
    from_not_contains?: Maybe<Scalars['Bytes']>;
    src?: Maybe<Scalars['Bytes']>;
    src_not?: Maybe<Scalars['Bytes']>;
    src_in?: Maybe<Array<Scalars['Bytes']>>;
    src_not_in?: Maybe<Array<Scalars['Bytes']>>;
    src_contains?: Maybe<Scalars['Bytes']>;
    src_not_contains?: Maybe<Scalars['Bytes']>;
    amount?: Maybe<Scalars['BigDecimal']>;
    amount_not?: Maybe<Scalars['BigDecimal']>;
    amount_gt?: Maybe<Scalars['BigDecimal']>;
    amount_lt?: Maybe<Scalars['BigDecimal']>;
    amount_gte?: Maybe<Scalars['BigDecimal']>;
    amount_lte?: Maybe<Scalars['BigDecimal']>;
    amount_in?: Maybe<Array<Scalars['BigDecimal']>>;
    amount_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    dest?: Maybe<Scalars['Bytes']>;
    dest_not?: Maybe<Scalars['Bytes']>;
    dest_in?: Maybe<Array<Scalars['Bytes']>>;
    dest_not_in?: Maybe<Array<Scalars['Bytes']>>;
    dest_contains?: Maybe<Scalars['Bytes']>;
    dest_not_contains?: Maybe<Scalars['Bytes']>;
    reclaim?: Maybe<Scalars['BigDecimal']>;
    reclaim_not?: Maybe<Scalars['BigDecimal']>;
    reclaim_gt?: Maybe<Scalars['BigDecimal']>;
    reclaim_lt?: Maybe<Scalars['BigDecimal']>;
    reclaim_gte?: Maybe<Scalars['BigDecimal']>;
    reclaim_lte?: Maybe<Scalars['BigDecimal']>;
    reclaim_in?: Maybe<Array<Scalars['BigDecimal']>>;
    reclaim_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    rebate?: Maybe<Scalars['BigDecimal']>;
    rebate_not?: Maybe<Scalars['BigDecimal']>;
    rebate_gt?: Maybe<Scalars['BigDecimal']>;
    rebate_lt?: Maybe<Scalars['BigDecimal']>;
    rebate_gte?: Maybe<Scalars['BigDecimal']>;
    rebate_lte?: Maybe<Scalars['BigDecimal']>;
    rebate_in?: Maybe<Array<Scalars['BigDecimal']>>;
    rebate_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    srcRoundIdAtPeriodEnd?: Maybe<Scalars['BigInt']>;
    srcRoundIdAtPeriodEnd_not?: Maybe<Scalars['BigInt']>;
    srcRoundIdAtPeriodEnd_gt?: Maybe<Scalars['BigInt']>;
    srcRoundIdAtPeriodEnd_lt?: Maybe<Scalars['BigInt']>;
    srcRoundIdAtPeriodEnd_gte?: Maybe<Scalars['BigInt']>;
    srcRoundIdAtPeriodEnd_lte?: Maybe<Scalars['BigInt']>;
    srcRoundIdAtPeriodEnd_in?: Maybe<Array<Scalars['BigInt']>>;
    srcRoundIdAtPeriodEnd_not_in?: Maybe<Array<Scalars['BigInt']>>;
    destRoundIdAtPeriodEnd?: Maybe<Scalars['BigInt']>;
    destRoundIdAtPeriodEnd_not?: Maybe<Scalars['BigInt']>;
    destRoundIdAtPeriodEnd_gt?: Maybe<Scalars['BigInt']>;
    destRoundIdAtPeriodEnd_lt?: Maybe<Scalars['BigInt']>;
    destRoundIdAtPeriodEnd_gte?: Maybe<Scalars['BigInt']>;
    destRoundIdAtPeriodEnd_lte?: Maybe<Scalars['BigInt']>;
    destRoundIdAtPeriodEnd_in?: Maybe<Array<Scalars['BigInt']>>;
    destRoundIdAtPeriodEnd_not_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangeTimestamp?: Maybe<Scalars['BigInt']>;
    exchangeTimestamp_not?: Maybe<Scalars['BigInt']>;
    exchangeTimestamp_gt?: Maybe<Scalars['BigInt']>;
    exchangeTimestamp_lt?: Maybe<Scalars['BigInt']>;
    exchangeTimestamp_gte?: Maybe<Scalars['BigInt']>;
    exchangeTimestamp_lte?: Maybe<Scalars['BigInt']>;
    exchangeTimestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangeTimestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum ExchangeEntrySettled_OrderBy {
    Id = "id",
    From = "from",
    Src = "src",
    Amount = "amount",
    Dest = "dest",
    Reclaim = "reclaim",
    Rebate = "rebate",
    SrcRoundIdAtPeriodEnd = "srcRoundIdAtPeriodEnd",
    DestRoundIdAtPeriodEnd = "destRoundIdAtPeriodEnd",
    ExchangeTimestamp = "exchangeTimestamp"
}
export declare type ExchangeFee = {
    __typename?: 'ExchangeFee';
    /**  Name of the synth. E.g. sUSD  */
    id: Scalars['ID'];
    /**  Current Fee as a ratio of the trade amount  */
    fee: Scalars['BigDecimal'];
};
export declare type ExchangeFee_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    fee?: Maybe<Scalars['BigDecimal']>;
    fee_not?: Maybe<Scalars['BigDecimal']>;
    fee_gt?: Maybe<Scalars['BigDecimal']>;
    fee_lt?: Maybe<Scalars['BigDecimal']>;
    fee_gte?: Maybe<Scalars['BigDecimal']>;
    fee_lte?: Maybe<Scalars['BigDecimal']>;
    fee_in?: Maybe<Array<Scalars['BigDecimal']>>;
    fee_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum ExchangeFee_OrderBy {
    Id = "id",
    Fee = "fee"
}
export declare type ExchangePartner = {
    __typename?: 'ExchangePartner';
    /**  Tracking code of the partner  */
    id: Scalars['ID'];
    /**  Total transaction volume in USD for the partner  */
    usdVolume: Scalars['BigDecimal'];
    /**  Total fees generated by the volume partner  */
    usdFees: Scalars['BigDecimal'];
    /**  Total number of trades from the volume partner  */
    trades: Scalars['BigInt'];
};
export declare type ExchangePartner_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    usdVolume?: Maybe<Scalars['BigDecimal']>;
    usdVolume_not?: Maybe<Scalars['BigDecimal']>;
    usdVolume_gt?: Maybe<Scalars['BigDecimal']>;
    usdVolume_lt?: Maybe<Scalars['BigDecimal']>;
    usdVolume_gte?: Maybe<Scalars['BigDecimal']>;
    usdVolume_lte?: Maybe<Scalars['BigDecimal']>;
    usdVolume_in?: Maybe<Array<Scalars['BigDecimal']>>;
    usdVolume_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    usdFees?: Maybe<Scalars['BigDecimal']>;
    usdFees_not?: Maybe<Scalars['BigDecimal']>;
    usdFees_gt?: Maybe<Scalars['BigDecimal']>;
    usdFees_lt?: Maybe<Scalars['BigDecimal']>;
    usdFees_gte?: Maybe<Scalars['BigDecimal']>;
    usdFees_lte?: Maybe<Scalars['BigDecimal']>;
    usdFees_in?: Maybe<Array<Scalars['BigDecimal']>>;
    usdFees_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    trades?: Maybe<Scalars['BigInt']>;
    trades_not?: Maybe<Scalars['BigInt']>;
    trades_gt?: Maybe<Scalars['BigInt']>;
    trades_lt?: Maybe<Scalars['BigInt']>;
    trades_gte?: Maybe<Scalars['BigInt']>;
    trades_lte?: Maybe<Scalars['BigInt']>;
    trades_in?: Maybe<Array<Scalars['BigInt']>>;
    trades_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum ExchangePartner_OrderBy {
    Id = "id",
    UsdVolume = "usdVolume",
    UsdFees = "usdFees",
    Trades = "trades"
}
/**  Tracks this event from the Synthetix.sol contract  */
export declare type ExchangeRebate = {
    __typename?: 'ExchangeRebate';
    id: Scalars['ID'];
    account: Scalars['Bytes'];
    currencyKey: Scalars['Bytes'];
    amount: Scalars['BigDecimal'];
    amountInUSD: Scalars['BigDecimal'];
    timestamp: Scalars['BigInt'];
    gasPrice: Scalars['BigInt'];
    block: Scalars['BigInt'];
};
export declare type ExchangeRebate_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    currencyKey?: Maybe<Scalars['Bytes']>;
    currencyKey_not?: Maybe<Scalars['Bytes']>;
    currencyKey_in?: Maybe<Array<Scalars['Bytes']>>;
    currencyKey_not_in?: Maybe<Array<Scalars['Bytes']>>;
    currencyKey_contains?: Maybe<Scalars['Bytes']>;
    currencyKey_not_contains?: Maybe<Scalars['Bytes']>;
    amount?: Maybe<Scalars['BigDecimal']>;
    amount_not?: Maybe<Scalars['BigDecimal']>;
    amount_gt?: Maybe<Scalars['BigDecimal']>;
    amount_lt?: Maybe<Scalars['BigDecimal']>;
    amount_gte?: Maybe<Scalars['BigDecimal']>;
    amount_lte?: Maybe<Scalars['BigDecimal']>;
    amount_in?: Maybe<Array<Scalars['BigDecimal']>>;
    amount_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    amountInUSD?: Maybe<Scalars['BigDecimal']>;
    amountInUSD_not?: Maybe<Scalars['BigDecimal']>;
    amountInUSD_gt?: Maybe<Scalars['BigDecimal']>;
    amountInUSD_lt?: Maybe<Scalars['BigDecimal']>;
    amountInUSD_gte?: Maybe<Scalars['BigDecimal']>;
    amountInUSD_lte?: Maybe<Scalars['BigDecimal']>;
    amountInUSD_in?: Maybe<Array<Scalars['BigDecimal']>>;
    amountInUSD_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    gasPrice?: Maybe<Scalars['BigInt']>;
    gasPrice_not?: Maybe<Scalars['BigInt']>;
    gasPrice_gt?: Maybe<Scalars['BigInt']>;
    gasPrice_lt?: Maybe<Scalars['BigInt']>;
    gasPrice_gte?: Maybe<Scalars['BigInt']>;
    gasPrice_lte?: Maybe<Scalars['BigInt']>;
    gasPrice_in?: Maybe<Array<Scalars['BigInt']>>;
    gasPrice_not_in?: Maybe<Array<Scalars['BigInt']>>;
    block?: Maybe<Scalars['BigInt']>;
    block_not?: Maybe<Scalars['BigInt']>;
    block_gt?: Maybe<Scalars['BigInt']>;
    block_lt?: Maybe<Scalars['BigInt']>;
    block_gte?: Maybe<Scalars['BigInt']>;
    block_lte?: Maybe<Scalars['BigInt']>;
    block_in?: Maybe<Array<Scalars['BigInt']>>;
    block_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum ExchangeRebate_OrderBy {
    Id = "id",
    Account = "account",
    CurrencyKey = "currencyKey",
    Amount = "amount",
    AmountInUsd = "amountInUSD",
    Timestamp = "timestamp",
    GasPrice = "gasPrice",
    Block = "block"
}
/**  Tracks this event from the Synthetix.sol contract  */
export declare type ExchangeReclaim = {
    __typename?: 'ExchangeReclaim';
    id: Scalars['ID'];
    account: Scalars['Bytes'];
    currencyKey: Scalars['Bytes'];
    amount: Scalars['BigDecimal'];
    amountInUSD: Scalars['BigDecimal'];
    timestamp: Scalars['BigInt'];
    gasPrice: Scalars['BigInt'];
    block: Scalars['BigInt'];
};
export declare type ExchangeReclaim_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    currencyKey?: Maybe<Scalars['Bytes']>;
    currencyKey_not?: Maybe<Scalars['Bytes']>;
    currencyKey_in?: Maybe<Array<Scalars['Bytes']>>;
    currencyKey_not_in?: Maybe<Array<Scalars['Bytes']>>;
    currencyKey_contains?: Maybe<Scalars['Bytes']>;
    currencyKey_not_contains?: Maybe<Scalars['Bytes']>;
    amount?: Maybe<Scalars['BigDecimal']>;
    amount_not?: Maybe<Scalars['BigDecimal']>;
    amount_gt?: Maybe<Scalars['BigDecimal']>;
    amount_lt?: Maybe<Scalars['BigDecimal']>;
    amount_gte?: Maybe<Scalars['BigDecimal']>;
    amount_lte?: Maybe<Scalars['BigDecimal']>;
    amount_in?: Maybe<Array<Scalars['BigDecimal']>>;
    amount_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    amountInUSD?: Maybe<Scalars['BigDecimal']>;
    amountInUSD_not?: Maybe<Scalars['BigDecimal']>;
    amountInUSD_gt?: Maybe<Scalars['BigDecimal']>;
    amountInUSD_lt?: Maybe<Scalars['BigDecimal']>;
    amountInUSD_gte?: Maybe<Scalars['BigDecimal']>;
    amountInUSD_lte?: Maybe<Scalars['BigDecimal']>;
    amountInUSD_in?: Maybe<Array<Scalars['BigDecimal']>>;
    amountInUSD_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    gasPrice?: Maybe<Scalars['BigInt']>;
    gasPrice_not?: Maybe<Scalars['BigInt']>;
    gasPrice_gt?: Maybe<Scalars['BigInt']>;
    gasPrice_lt?: Maybe<Scalars['BigInt']>;
    gasPrice_gte?: Maybe<Scalars['BigInt']>;
    gasPrice_lte?: Maybe<Scalars['BigInt']>;
    gasPrice_in?: Maybe<Array<Scalars['BigInt']>>;
    gasPrice_not_in?: Maybe<Array<Scalars['BigInt']>>;
    block?: Maybe<Scalars['BigInt']>;
    block_not?: Maybe<Scalars['BigInt']>;
    block_gt?: Maybe<Scalars['BigInt']>;
    block_lt?: Maybe<Scalars['BigInt']>;
    block_gte?: Maybe<Scalars['BigInt']>;
    block_lte?: Maybe<Scalars['BigInt']>;
    block_in?: Maybe<Array<Scalars['BigInt']>>;
    block_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum ExchangeReclaim_OrderBy {
    Id = "id",
    Account = "account",
    CurrencyKey = "currencyKey",
    Amount = "amount",
    AmountInUsd = "amountInUSD",
    Timestamp = "timestamp",
    GasPrice = "gasPrice",
    Block = "block"
}
export declare type Exchange_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    from?: Maybe<Scalars['Bytes']>;
    from_not?: Maybe<Scalars['Bytes']>;
    from_in?: Maybe<Array<Scalars['Bytes']>>;
    from_not_in?: Maybe<Array<Scalars['Bytes']>>;
    from_contains?: Maybe<Scalars['Bytes']>;
    from_not_contains?: Maybe<Scalars['Bytes']>;
    fromCurrency?: Maybe<Scalars['String']>;
    fromCurrency_not?: Maybe<Scalars['String']>;
    fromCurrency_gt?: Maybe<Scalars['String']>;
    fromCurrency_lt?: Maybe<Scalars['String']>;
    fromCurrency_gte?: Maybe<Scalars['String']>;
    fromCurrency_lte?: Maybe<Scalars['String']>;
    fromCurrency_in?: Maybe<Array<Scalars['String']>>;
    fromCurrency_not_in?: Maybe<Array<Scalars['String']>>;
    fromCurrency_contains?: Maybe<Scalars['String']>;
    fromCurrency_not_contains?: Maybe<Scalars['String']>;
    fromCurrency_starts_with?: Maybe<Scalars['String']>;
    fromCurrency_not_starts_with?: Maybe<Scalars['String']>;
    fromCurrency_ends_with?: Maybe<Scalars['String']>;
    fromCurrency_not_ends_with?: Maybe<Scalars['String']>;
    fromAmount?: Maybe<Scalars['BigInt']>;
    fromAmount_not?: Maybe<Scalars['BigInt']>;
    fromAmount_gt?: Maybe<Scalars['BigInt']>;
    fromAmount_lt?: Maybe<Scalars['BigInt']>;
    fromAmount_gte?: Maybe<Scalars['BigInt']>;
    fromAmount_lte?: Maybe<Scalars['BigInt']>;
    fromAmount_in?: Maybe<Array<Scalars['BigInt']>>;
    fromAmount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    toCurrency?: Maybe<Scalars['String']>;
    toCurrency_not?: Maybe<Scalars['String']>;
    toCurrency_gt?: Maybe<Scalars['String']>;
    toCurrency_lt?: Maybe<Scalars['String']>;
    toCurrency_gte?: Maybe<Scalars['String']>;
    toCurrency_lte?: Maybe<Scalars['String']>;
    toCurrency_in?: Maybe<Array<Scalars['String']>>;
    toCurrency_not_in?: Maybe<Array<Scalars['String']>>;
    toCurrency_contains?: Maybe<Scalars['String']>;
    toCurrency_not_contains?: Maybe<Scalars['String']>;
    toCurrency_starts_with?: Maybe<Scalars['String']>;
    toCurrency_not_starts_with?: Maybe<Scalars['String']>;
    toCurrency_ends_with?: Maybe<Scalars['String']>;
    toCurrency_not_ends_with?: Maybe<Scalars['String']>;
    toAmount?: Maybe<Scalars['BigInt']>;
    toAmount_not?: Maybe<Scalars['BigInt']>;
    toAmount_gt?: Maybe<Scalars['BigInt']>;
    toAmount_lt?: Maybe<Scalars['BigInt']>;
    toAmount_gte?: Maybe<Scalars['BigInt']>;
    toAmount_lte?: Maybe<Scalars['BigInt']>;
    toAmount_in?: Maybe<Array<Scalars['BigInt']>>;
    toAmount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    block?: Maybe<Scalars['BigInt']>;
    block_not?: Maybe<Scalars['BigInt']>;
    block_gt?: Maybe<Scalars['BigInt']>;
    block_lt?: Maybe<Scalars['BigInt']>;
    block_gte?: Maybe<Scalars['BigInt']>;
    block_lte?: Maybe<Scalars['BigInt']>;
    block_in?: Maybe<Array<Scalars['BigInt']>>;
    block_not_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    network?: Maybe<Scalars['String']>;
    network_not?: Maybe<Scalars['String']>;
    network_gt?: Maybe<Scalars['String']>;
    network_lt?: Maybe<Scalars['String']>;
    network_gte?: Maybe<Scalars['String']>;
    network_lte?: Maybe<Scalars['String']>;
    network_in?: Maybe<Array<Scalars['String']>>;
    network_not_in?: Maybe<Array<Scalars['String']>>;
    network_contains?: Maybe<Scalars['String']>;
    network_not_contains?: Maybe<Scalars['String']>;
    network_starts_with?: Maybe<Scalars['String']>;
    network_not_starts_with?: Maybe<Scalars['String']>;
    network_ends_with?: Maybe<Scalars['String']>;
    network_not_ends_with?: Maybe<Scalars['String']>;
};
export declare enum Exchange_OrderBy {
    Id = "id",
    From = "from",
    FromCurrency = "fromCurrency",
    FromAmount = "fromAmount",
    ToCurrency = "toCurrency",
    ToAmount = "toAmount",
    Block = "block",
    Timestamp = "timestamp",
    Network = "network"
}
/**  An individual Exchanger  */
export declare type Exchanger = {
    __typename?: 'Exchanger';
    id: Scalars['ID'];
};
export declare type Exchanger_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
};
export declare enum Exchanger_OrderBy {
    Id = "id"
}
/**  Tracks this event from Synthetix.sol  */
export declare type FeesClaimed = {
    __typename?: 'FeesClaimed';
    id: Scalars['ID'];
    account: Scalars['Bytes'];
    value: Scalars['BigDecimal'];
    rewards: Scalars['BigDecimal'];
    block: Scalars['BigInt'];
    timestamp: Scalars['BigInt'];
};
export declare type FeesClaimed_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    value?: Maybe<Scalars['BigDecimal']>;
    value_not?: Maybe<Scalars['BigDecimal']>;
    value_gt?: Maybe<Scalars['BigDecimal']>;
    value_lt?: Maybe<Scalars['BigDecimal']>;
    value_gte?: Maybe<Scalars['BigDecimal']>;
    value_lte?: Maybe<Scalars['BigDecimal']>;
    value_in?: Maybe<Array<Scalars['BigDecimal']>>;
    value_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    rewards?: Maybe<Scalars['BigDecimal']>;
    rewards_not?: Maybe<Scalars['BigDecimal']>;
    rewards_gt?: Maybe<Scalars['BigDecimal']>;
    rewards_lt?: Maybe<Scalars['BigDecimal']>;
    rewards_gte?: Maybe<Scalars['BigDecimal']>;
    rewards_lte?: Maybe<Scalars['BigDecimal']>;
    rewards_in?: Maybe<Array<Scalars['BigDecimal']>>;
    rewards_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    block?: Maybe<Scalars['BigInt']>;
    block_not?: Maybe<Scalars['BigInt']>;
    block_gt?: Maybe<Scalars['BigInt']>;
    block_lt?: Maybe<Scalars['BigInt']>;
    block_gte?: Maybe<Scalars['BigInt']>;
    block_lte?: Maybe<Scalars['BigInt']>;
    block_in?: Maybe<Array<Scalars['BigInt']>>;
    block_not_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum FeesClaimed_OrderBy {
    Id = "id",
    Account = "account",
    Value = "value",
    Rewards = "rewards",
    Block = "block",
    Timestamp = "timestamp"
}
/**  An individual Exchanger seen during a fifteen minute period  */
export declare type FifteenMinuteExchanger = {
    __typename?: 'FifteenMinuteExchanger';
    id: Scalars['ID'];
};
export declare type FifteenMinuteExchanger_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
};
export declare enum FifteenMinuteExchanger_OrderBy {
    Id = "id"
}
/**  The average price of SNX over a 15 minute period  */
export declare type FifteenMinuteSnxPrice = {
    __typename?: 'FifteenMinuteSNXPrice';
    /**  unix timestamp at beginning of 15 minute period  */
    id: Scalars['ID'];
    /**  number of samples averaged in the period  */
    count: Scalars['BigInt'];
    /**  calculated average price of all the samples  */
    averagePrice: Scalars['BigDecimal'];
};
export declare type FifteenMinuteSnxPrice_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    count?: Maybe<Scalars['BigInt']>;
    count_not?: Maybe<Scalars['BigInt']>;
    count_gt?: Maybe<Scalars['BigInt']>;
    count_lt?: Maybe<Scalars['BigInt']>;
    count_gte?: Maybe<Scalars['BigInt']>;
    count_lte?: Maybe<Scalars['BigInt']>;
    count_in?: Maybe<Array<Scalars['BigInt']>>;
    count_not_in?: Maybe<Array<Scalars['BigInt']>>;
    averagePrice?: Maybe<Scalars['BigDecimal']>;
    averagePrice_not?: Maybe<Scalars['BigDecimal']>;
    averagePrice_gt?: Maybe<Scalars['BigDecimal']>;
    averagePrice_lt?: Maybe<Scalars['BigDecimal']>;
    averagePrice_gte?: Maybe<Scalars['BigDecimal']>;
    averagePrice_lte?: Maybe<Scalars['BigDecimal']>;
    averagePrice_in?: Maybe<Array<Scalars['BigDecimal']>>;
    averagePrice_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum FifteenMinuteSnxPrice_OrderBy {
    Id = "id",
    Count = "count",
    AveragePrice = "averagePrice"
}
export declare type FifteenMinuteTotal = {
    __typename?: 'FifteenMinuteTotal';
    /**  numeric, incrementing time period  */
    id: Scalars['ID'];
    /**  timestamp of the beginning of the period this represents  */
    timestamp: Scalars['BigInt'];
    /**  number of trades completed over period  */
    trades: Scalars['BigInt'];
    /**  number of unique traders seen over period  */
    exchangers: Scalars['BigInt'];
    /**  synth value exchanged in USD units  */
    exchangeUSDTally: Scalars['BigDecimal'];
    /**  synth value received in fees in USD units  */
    totalFeesGeneratedInUSD: Scalars['BigDecimal'];
};
export declare type FifteenMinuteTotal_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    trades?: Maybe<Scalars['BigInt']>;
    trades_not?: Maybe<Scalars['BigInt']>;
    trades_gt?: Maybe<Scalars['BigInt']>;
    trades_lt?: Maybe<Scalars['BigInt']>;
    trades_gte?: Maybe<Scalars['BigInt']>;
    trades_lte?: Maybe<Scalars['BigInt']>;
    trades_in?: Maybe<Array<Scalars['BigInt']>>;
    trades_not_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangers?: Maybe<Scalars['BigInt']>;
    exchangers_not?: Maybe<Scalars['BigInt']>;
    exchangers_gt?: Maybe<Scalars['BigInt']>;
    exchangers_lt?: Maybe<Scalars['BigInt']>;
    exchangers_gte?: Maybe<Scalars['BigInt']>;
    exchangers_lte?: Maybe<Scalars['BigInt']>;
    exchangers_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangers_not_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangeUSDTally?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_not?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_gt?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_lt?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_gte?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_lte?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_in?: Maybe<Array<Scalars['BigDecimal']>>;
    exchangeUSDTally_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    totalFeesGeneratedInUSD?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_not?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_gt?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_lt?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_gte?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_lte?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_in?: Maybe<Array<Scalars['BigDecimal']>>;
    totalFeesGeneratedInUSD_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum FifteenMinuteTotal_OrderBy {
    Id = "id",
    Timestamp = "timestamp",
    Trades = "trades",
    Exchangers = "exchangers",
    ExchangeUsdTally = "exchangeUSDTally",
    TotalFeesGeneratedInUsd = "totalFeesGeneratedInUSD"
}
export declare type InversePricingInfo = {
    __typename?: 'InversePricingInfo';
    /**  matching price point with long synth  */
    entryPoint: Scalars['BigDecimal'];
    /**  whether or not this inverse synth has been frozen  */
    frozen: Scalars['Boolean'];
    /**  Name of inverse synth. E.g. iETH  */
    id: Scalars['ID'];
    /**  configured lower limit  */
    lowerLimit: Scalars['BigDecimal'];
    /**  configured upper limit  */
    upperLimit: Scalars['BigDecimal'];
};
export declare type InversePricingInfo_Filter = {
    entryPoint?: Maybe<Scalars['BigDecimal']>;
    entryPoint_gt?: Maybe<Scalars['BigDecimal']>;
    entryPoint_gte?: Maybe<Scalars['BigDecimal']>;
    entryPoint_in?: Maybe<Array<Scalars['BigDecimal']>>;
    entryPoint_lt?: Maybe<Scalars['BigDecimal']>;
    entryPoint_lte?: Maybe<Scalars['BigDecimal']>;
    entryPoint_not?: Maybe<Scalars['BigDecimal']>;
    entryPoint_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    frozen?: Maybe<Scalars['Boolean']>;
    frozen_in?: Maybe<Array<Scalars['Boolean']>>;
    frozen_not?: Maybe<Scalars['Boolean']>;
    frozen_not_in?: Maybe<Array<Scalars['Boolean']>>;
    id?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_lt?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    lowerLimit?: Maybe<Scalars['BigDecimal']>;
    lowerLimit_gt?: Maybe<Scalars['BigDecimal']>;
    lowerLimit_gte?: Maybe<Scalars['BigDecimal']>;
    lowerLimit_in?: Maybe<Array<Scalars['BigDecimal']>>;
    lowerLimit_lt?: Maybe<Scalars['BigDecimal']>;
    lowerLimit_lte?: Maybe<Scalars['BigDecimal']>;
    lowerLimit_not?: Maybe<Scalars['BigDecimal']>;
    lowerLimit_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    upperLimit?: Maybe<Scalars['BigDecimal']>;
    upperLimit_gt?: Maybe<Scalars['BigDecimal']>;
    upperLimit_gte?: Maybe<Scalars['BigDecimal']>;
    upperLimit_in?: Maybe<Array<Scalars['BigDecimal']>>;
    upperLimit_lt?: Maybe<Scalars['BigDecimal']>;
    upperLimit_lte?: Maybe<Scalars['BigDecimal']>;
    upperLimit_not?: Maybe<Scalars['BigDecimal']>;
    upperLimit_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum InversePricingInfo_OrderBy {
    EntryPoint = "entryPoint",
    Frozen = "frozen",
    Id = "id",
    LowerLimit = "lowerLimit",
    UpperLimit = "upperLimit"
}
/**  Tracks this event from various Synth.sol instances  */
export declare type Issued = {
    __typename?: 'Issued';
    id: Scalars['ID'];
    account: Scalars['Bytes'];
    value: Scalars['BigDecimal'];
    source: Scalars['String'];
    timestamp: Scalars['BigInt'];
    gasPrice: Scalars['BigInt'];
    block: Scalars['BigInt'];
};
export declare type Issued_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    value?: Maybe<Scalars['BigDecimal']>;
    value_not?: Maybe<Scalars['BigDecimal']>;
    value_gt?: Maybe<Scalars['BigDecimal']>;
    value_lt?: Maybe<Scalars['BigDecimal']>;
    value_gte?: Maybe<Scalars['BigDecimal']>;
    value_lte?: Maybe<Scalars['BigDecimal']>;
    value_in?: Maybe<Array<Scalars['BigDecimal']>>;
    value_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    source?: Maybe<Scalars['String']>;
    source_not?: Maybe<Scalars['String']>;
    source_gt?: Maybe<Scalars['String']>;
    source_lt?: Maybe<Scalars['String']>;
    source_gte?: Maybe<Scalars['String']>;
    source_lte?: Maybe<Scalars['String']>;
    source_in?: Maybe<Array<Scalars['String']>>;
    source_not_in?: Maybe<Array<Scalars['String']>>;
    source_contains?: Maybe<Scalars['String']>;
    source_not_contains?: Maybe<Scalars['String']>;
    source_starts_with?: Maybe<Scalars['String']>;
    source_not_starts_with?: Maybe<Scalars['String']>;
    source_ends_with?: Maybe<Scalars['String']>;
    source_not_ends_with?: Maybe<Scalars['String']>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    gasPrice?: Maybe<Scalars['BigInt']>;
    gasPrice_not?: Maybe<Scalars['BigInt']>;
    gasPrice_gt?: Maybe<Scalars['BigInt']>;
    gasPrice_lt?: Maybe<Scalars['BigInt']>;
    gasPrice_gte?: Maybe<Scalars['BigInt']>;
    gasPrice_lte?: Maybe<Scalars['BigInt']>;
    gasPrice_in?: Maybe<Array<Scalars['BigInt']>>;
    gasPrice_not_in?: Maybe<Array<Scalars['BigInt']>>;
    block?: Maybe<Scalars['BigInt']>;
    block_not?: Maybe<Scalars['BigInt']>;
    block_gt?: Maybe<Scalars['BigInt']>;
    block_lt?: Maybe<Scalars['BigInt']>;
    block_gte?: Maybe<Scalars['BigInt']>;
    block_lte?: Maybe<Scalars['BigInt']>;
    block_in?: Maybe<Array<Scalars['BigInt']>>;
    block_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum Issued_OrderBy {
    Id = "id",
    Account = "account",
    Value = "value",
    Source = "source",
    Timestamp = "timestamp",
    GasPrice = "gasPrice",
    Block = "block"
}
/**  An individual Issuer  */
export declare type Issuer = {
    __typename?: 'Issuer';
    id: Scalars['ID'];
};
export declare type Issuer_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
};
export declare enum Issuer_OrderBy {
    Id = "id"
}
export declare type LatestRate = {
    __typename?: 'LatestRate';
    /**  Address of the aggregator which produces current result  */
    aggregator: Scalars['Bytes'];
    /**  Name of synth. E.g. sUSD  */
    id: Scalars['ID'];
    /**  Synth USD rate  */
    rate: Scalars['BigDecimal'];
};
export declare type LatestRate_Filter = {
    aggregator?: Maybe<Scalars['Bytes']>;
    aggregator_contains?: Maybe<Scalars['Bytes']>;
    aggregator_in?: Maybe<Array<Scalars['Bytes']>>;
    aggregator_not?: Maybe<Scalars['Bytes']>;
    aggregator_not_contains?: Maybe<Scalars['Bytes']>;
    aggregator_not_in?: Maybe<Array<Scalars['Bytes']>>;
    id?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_lt?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    rate?: Maybe<Scalars['BigDecimal']>;
    rate_gt?: Maybe<Scalars['BigDecimal']>;
    rate_gte?: Maybe<Scalars['BigDecimal']>;
    rate_in?: Maybe<Array<Scalars['BigDecimal']>>;
    rate_lt?: Maybe<Scalars['BigDecimal']>;
    rate_lte?: Maybe<Scalars['BigDecimal']>;
    rate_not?: Maybe<Scalars['BigDecimal']>;
    rate_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum LatestRate_OrderBy {
    Aggregator = "aggregator",
    Id = "id",
    Rate = "rate"
}
export declare type Loan = {
    __typename?: 'Loan';
    /**  the loan id  */
    id: Scalars['ID'];
    /**  the transaction hash of the loan  */
    txHash: Scalars['String'];
    /**  the account receiving the loan  */
    account: Scalars['Bytes'];
    /**  the type of collateral minted - sUSD or sETH  */
    collateralMinted: Scalars['String'];
    /**  the amount of the loan  */
    amount: Scalars['BigInt'];
    /**  is the loan still open?  */
    isOpen: Scalars['Boolean'];
    /**  the timestamp the loan was created  */
    createdAt: Scalars['BigInt'];
    /**  the timestamp the loan was closed  */
    closedAt?: Maybe<Scalars['BigInt']>;
    /**  whether the loan has any partial liquidations  */
    hasPartialLiquidations: Scalars['Boolean'];
};
export declare type LoanLiquidated = {
    __typename?: 'LoanLiquidated';
    /**  the event tx hash plus event log index  */
    id: Scalars['ID'];
    /**  the loan id  */
    loanId: Scalars['BigInt'];
    /**  the account that created the loan  */
    account: Scalars['Bytes'];
    /**  the account that liquidated the loan  */
    liquidator: Scalars['Bytes'];
    /**  the timestamp the loan was liquidated  */
    timestamp: Scalars['BigInt'];
};
export declare type LoanLiquidated_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    loanId?: Maybe<Scalars['BigInt']>;
    loanId_not?: Maybe<Scalars['BigInt']>;
    loanId_gt?: Maybe<Scalars['BigInt']>;
    loanId_lt?: Maybe<Scalars['BigInt']>;
    loanId_gte?: Maybe<Scalars['BigInt']>;
    loanId_lte?: Maybe<Scalars['BigInt']>;
    loanId_in?: Maybe<Array<Scalars['BigInt']>>;
    loanId_not_in?: Maybe<Array<Scalars['BigInt']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    liquidator?: Maybe<Scalars['Bytes']>;
    liquidator_not?: Maybe<Scalars['Bytes']>;
    liquidator_in?: Maybe<Array<Scalars['Bytes']>>;
    liquidator_not_in?: Maybe<Array<Scalars['Bytes']>>;
    liquidator_contains?: Maybe<Scalars['Bytes']>;
    liquidator_not_contains?: Maybe<Scalars['Bytes']>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum LoanLiquidated_OrderBy {
    Id = "id",
    LoanId = "loanId",
    Account = "account",
    Liquidator = "liquidator",
    Timestamp = "timestamp"
}
export declare type LoanPartiallyLiquidated = {
    __typename?: 'LoanPartiallyLiquidated';
    /**  the event tx hash plus event log index  */
    id: Scalars['ID'];
    /**  the loan id  */
    loanId: Scalars['BigInt'];
    /**  the account that created the loan  */
    account: Scalars['Bytes'];
    /**  the account that partially liquidated the loan  */
    liquidator: Scalars['Bytes'];
    /**  the amount partially liquidated  */
    liquidatedAmount: Scalars['BigInt'];
    /**  the amount partially liquidated plus the liquidation fee  */
    liquidatedCollateral: Scalars['BigInt'];
    /**  the timestamp the loan was partially liquidated  */
    timestamp: Scalars['BigInt'];
};
export declare type LoanPartiallyLiquidated_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    loanId?: Maybe<Scalars['BigInt']>;
    loanId_not?: Maybe<Scalars['BigInt']>;
    loanId_gt?: Maybe<Scalars['BigInt']>;
    loanId_lt?: Maybe<Scalars['BigInt']>;
    loanId_gte?: Maybe<Scalars['BigInt']>;
    loanId_lte?: Maybe<Scalars['BigInt']>;
    loanId_in?: Maybe<Array<Scalars['BigInt']>>;
    loanId_not_in?: Maybe<Array<Scalars['BigInt']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    liquidator?: Maybe<Scalars['Bytes']>;
    liquidator_not?: Maybe<Scalars['Bytes']>;
    liquidator_in?: Maybe<Array<Scalars['Bytes']>>;
    liquidator_not_in?: Maybe<Array<Scalars['Bytes']>>;
    liquidator_contains?: Maybe<Scalars['Bytes']>;
    liquidator_not_contains?: Maybe<Scalars['Bytes']>;
    liquidatedAmount?: Maybe<Scalars['BigInt']>;
    liquidatedAmount_not?: Maybe<Scalars['BigInt']>;
    liquidatedAmount_gt?: Maybe<Scalars['BigInt']>;
    liquidatedAmount_lt?: Maybe<Scalars['BigInt']>;
    liquidatedAmount_gte?: Maybe<Scalars['BigInt']>;
    liquidatedAmount_lte?: Maybe<Scalars['BigInt']>;
    liquidatedAmount_in?: Maybe<Array<Scalars['BigInt']>>;
    liquidatedAmount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    liquidatedCollateral?: Maybe<Scalars['BigInt']>;
    liquidatedCollateral_not?: Maybe<Scalars['BigInt']>;
    liquidatedCollateral_gt?: Maybe<Scalars['BigInt']>;
    liquidatedCollateral_lt?: Maybe<Scalars['BigInt']>;
    liquidatedCollateral_gte?: Maybe<Scalars['BigInt']>;
    liquidatedCollateral_lte?: Maybe<Scalars['BigInt']>;
    liquidatedCollateral_in?: Maybe<Array<Scalars['BigInt']>>;
    liquidatedCollateral_not_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum LoanPartiallyLiquidated_OrderBy {
    Id = "id",
    LoanId = "loanId",
    Account = "account",
    Liquidator = "liquidator",
    LiquidatedAmount = "liquidatedAmount",
    LiquidatedCollateral = "liquidatedCollateral",
    Timestamp = "timestamp"
}
export declare type LoanRepaid = {
    __typename?: 'LoanRepaid';
    /**  the event tx hash plus event log index  */
    id: Scalars['ID'];
    /**  the amount of the loan that was repaid  */
    repaidAmount: Scalars['BigInt'];
    /**  the total amount of the loan after the repaid amount is accounted for  */
    newLoanAmount: Scalars['BigInt'];
    /**  the account that created the loan  */
    account: Scalars['Bytes'];
    /**  the loan id  */
    loanId: Scalars['BigInt'];
    /**  the timestamp the loan was partially or fully repaid  */
    timestamp: Scalars['BigInt'];
};
export declare type LoanRepaid_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    repaidAmount?: Maybe<Scalars['BigInt']>;
    repaidAmount_not?: Maybe<Scalars['BigInt']>;
    repaidAmount_gt?: Maybe<Scalars['BigInt']>;
    repaidAmount_lt?: Maybe<Scalars['BigInt']>;
    repaidAmount_gte?: Maybe<Scalars['BigInt']>;
    repaidAmount_lte?: Maybe<Scalars['BigInt']>;
    repaidAmount_in?: Maybe<Array<Scalars['BigInt']>>;
    repaidAmount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    newLoanAmount?: Maybe<Scalars['BigInt']>;
    newLoanAmount_not?: Maybe<Scalars['BigInt']>;
    newLoanAmount_gt?: Maybe<Scalars['BigInt']>;
    newLoanAmount_lt?: Maybe<Scalars['BigInt']>;
    newLoanAmount_gte?: Maybe<Scalars['BigInt']>;
    newLoanAmount_lte?: Maybe<Scalars['BigInt']>;
    newLoanAmount_in?: Maybe<Array<Scalars['BigInt']>>;
    newLoanAmount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    loanId?: Maybe<Scalars['BigInt']>;
    loanId_not?: Maybe<Scalars['BigInt']>;
    loanId_gt?: Maybe<Scalars['BigInt']>;
    loanId_lt?: Maybe<Scalars['BigInt']>;
    loanId_gte?: Maybe<Scalars['BigInt']>;
    loanId_lte?: Maybe<Scalars['BigInt']>;
    loanId_in?: Maybe<Array<Scalars['BigInt']>>;
    loanId_not_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum LoanRepaid_OrderBy {
    Id = "id",
    RepaidAmount = "repaidAmount",
    NewLoanAmount = "newLoanAmount",
    Account = "account",
    LoanId = "loanId",
    Timestamp = "timestamp"
}
export declare type Loan_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    txHash?: Maybe<Scalars['String']>;
    txHash_not?: Maybe<Scalars['String']>;
    txHash_gt?: Maybe<Scalars['String']>;
    txHash_lt?: Maybe<Scalars['String']>;
    txHash_gte?: Maybe<Scalars['String']>;
    txHash_lte?: Maybe<Scalars['String']>;
    txHash_in?: Maybe<Array<Scalars['String']>>;
    txHash_not_in?: Maybe<Array<Scalars['String']>>;
    txHash_contains?: Maybe<Scalars['String']>;
    txHash_not_contains?: Maybe<Scalars['String']>;
    txHash_starts_with?: Maybe<Scalars['String']>;
    txHash_not_starts_with?: Maybe<Scalars['String']>;
    txHash_ends_with?: Maybe<Scalars['String']>;
    txHash_not_ends_with?: Maybe<Scalars['String']>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    collateralMinted?: Maybe<Scalars['String']>;
    collateralMinted_not?: Maybe<Scalars['String']>;
    collateralMinted_gt?: Maybe<Scalars['String']>;
    collateralMinted_lt?: Maybe<Scalars['String']>;
    collateralMinted_gte?: Maybe<Scalars['String']>;
    collateralMinted_lte?: Maybe<Scalars['String']>;
    collateralMinted_in?: Maybe<Array<Scalars['String']>>;
    collateralMinted_not_in?: Maybe<Array<Scalars['String']>>;
    collateralMinted_contains?: Maybe<Scalars['String']>;
    collateralMinted_not_contains?: Maybe<Scalars['String']>;
    collateralMinted_starts_with?: Maybe<Scalars['String']>;
    collateralMinted_not_starts_with?: Maybe<Scalars['String']>;
    collateralMinted_ends_with?: Maybe<Scalars['String']>;
    collateralMinted_not_ends_with?: Maybe<Scalars['String']>;
    amount?: Maybe<Scalars['BigInt']>;
    amount_not?: Maybe<Scalars['BigInt']>;
    amount_gt?: Maybe<Scalars['BigInt']>;
    amount_lt?: Maybe<Scalars['BigInt']>;
    amount_gte?: Maybe<Scalars['BigInt']>;
    amount_lte?: Maybe<Scalars['BigInt']>;
    amount_in?: Maybe<Array<Scalars['BigInt']>>;
    amount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    isOpen?: Maybe<Scalars['Boolean']>;
    isOpen_not?: Maybe<Scalars['Boolean']>;
    isOpen_in?: Maybe<Array<Scalars['Boolean']>>;
    isOpen_not_in?: Maybe<Array<Scalars['Boolean']>>;
    createdAt?: Maybe<Scalars['BigInt']>;
    createdAt_not?: Maybe<Scalars['BigInt']>;
    createdAt_gt?: Maybe<Scalars['BigInt']>;
    createdAt_lt?: Maybe<Scalars['BigInt']>;
    createdAt_gte?: Maybe<Scalars['BigInt']>;
    createdAt_lte?: Maybe<Scalars['BigInt']>;
    createdAt_in?: Maybe<Array<Scalars['BigInt']>>;
    createdAt_not_in?: Maybe<Array<Scalars['BigInt']>>;
    closedAt?: Maybe<Scalars['BigInt']>;
    closedAt_not?: Maybe<Scalars['BigInt']>;
    closedAt_gt?: Maybe<Scalars['BigInt']>;
    closedAt_lt?: Maybe<Scalars['BigInt']>;
    closedAt_gte?: Maybe<Scalars['BigInt']>;
    closedAt_lte?: Maybe<Scalars['BigInt']>;
    closedAt_in?: Maybe<Array<Scalars['BigInt']>>;
    closedAt_not_in?: Maybe<Array<Scalars['BigInt']>>;
    hasPartialLiquidations?: Maybe<Scalars['Boolean']>;
    hasPartialLiquidations_not?: Maybe<Scalars['Boolean']>;
    hasPartialLiquidations_in?: Maybe<Array<Scalars['Boolean']>>;
    hasPartialLiquidations_not_in?: Maybe<Array<Scalars['Boolean']>>;
};
export declare enum Loan_OrderBy {
    Id = "id",
    TxHash = "txHash",
    Account = "account",
    CollateralMinted = "collateralMinted",
    Amount = "amount",
    IsOpen = "isOpen",
    CreatedAt = "createdAt",
    ClosedAt = "closedAt",
    HasPartialLiquidations = "hasPartialLiquidations"
}
export declare enum OrderDirection {
    Asc = "asc",
    Desc = "desc"
}
/**  An individual Exchanger Post Archernar  */
export declare type PostArchernarExchanger = {
    __typename?: 'PostArchernarExchanger';
    id: Scalars['ID'];
};
export declare type PostArchernarExchanger_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
};
export declare enum PostArchernarExchanger_OrderBy {
    Id = "id"
}
export declare type PostArchernarTotal = {
    __typename?: 'PostArchernarTotal';
    /**  'mainnet' always  */
    id: Scalars['ID'];
    /**  number of trades completed over period  */
    trades: Scalars['BigInt'];
    /**  number of unique traders seen over period  */
    exchangers: Scalars['BigInt'];
    /**  synth value exchanged in USD units  */
    exchangeUSDTally: Scalars['BigDecimal'];
    /**  synth value received in fees in USD units  */
    totalFeesGeneratedInUSD: Scalars['BigDecimal'];
};
export declare type PostArchernarTotal_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    trades?: Maybe<Scalars['BigInt']>;
    trades_not?: Maybe<Scalars['BigInt']>;
    trades_gt?: Maybe<Scalars['BigInt']>;
    trades_lt?: Maybe<Scalars['BigInt']>;
    trades_gte?: Maybe<Scalars['BigInt']>;
    trades_lte?: Maybe<Scalars['BigInt']>;
    trades_in?: Maybe<Array<Scalars['BigInt']>>;
    trades_not_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangers?: Maybe<Scalars['BigInt']>;
    exchangers_not?: Maybe<Scalars['BigInt']>;
    exchangers_gt?: Maybe<Scalars['BigInt']>;
    exchangers_lt?: Maybe<Scalars['BigInt']>;
    exchangers_gte?: Maybe<Scalars['BigInt']>;
    exchangers_lte?: Maybe<Scalars['BigInt']>;
    exchangers_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangers_not_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangeUSDTally?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_not?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_gt?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_lt?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_gte?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_lte?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_in?: Maybe<Array<Scalars['BigDecimal']>>;
    exchangeUSDTally_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    totalFeesGeneratedInUSD?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_not?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_gt?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_lt?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_gte?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_lte?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_in?: Maybe<Array<Scalars['BigDecimal']>>;
    totalFeesGeneratedInUSD_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum PostArchernarTotal_OrderBy {
    Id = "id",
    Trades = "trades",
    Exchangers = "exchangers",
    ExchangeUsdTally = "exchangeUSDTally",
    TotalFeesGeneratedInUsd = "totalFeesGeneratedInUSD"
}
export declare type Query = {
    __typename?: 'Query';
    /** Access to subgraph metadata */
    _meta?: Maybe<_Meta_>;
    accountFlaggedForLiquidation?: Maybe<AccountFlaggedForLiquidation>;
    accountFlaggedForLiquidations: Array<AccountFlaggedForLiquidation>;
    accountLiquidated?: Maybe<AccountLiquidated>;
    accountLiquidateds: Array<AccountLiquidated>;
    accountRemovedFromLiquidation?: Maybe<AccountRemovedFromLiquidation>;
    accountRemovedFromLiquidations: Array<AccountRemovedFromLiquidation>;
    activeStaker?: Maybe<ActiveStaker>;
    activeStakers: Array<ActiveStaker>;
    burned?: Maybe<Burned>;
    burneds: Array<Burned>;
    clearedDeposit?: Maybe<ClearedDeposit>;
    clearedDeposits: Array<ClearedDeposit>;
    collateralDeposited?: Maybe<CollateralDeposited>;
    collateralDepositeds: Array<CollateralDeposited>;
    collateralWithdrawn?: Maybe<CollateralWithdrawn>;
    collateralWithdrawns: Array<CollateralWithdrawn>;
    dailyBurned?: Maybe<DailyBurned>;
    dailyBurneds: Array<DailyBurned>;
    dailyCandle?: Maybe<DailyCandle>;
    dailyCandles: Array<DailyCandle>;
    dailyExchangePartner?: Maybe<DailyExchangePartner>;
    dailyExchangePartners: Array<DailyExchangePartner>;
    dailyExchanger?: Maybe<DailyExchanger>;
    dailyExchangers: Array<DailyExchanger>;
    dailyIssued?: Maybe<DailyIssued>;
    dailyIssueds: Array<DailyIssued>;
    dailySNXPrice?: Maybe<DailySnxPrice>;
    dailySNXPrices: Array<DailySnxPrice>;
    dailyTotal?: Maybe<DailyTotal>;
    dailyTotals: Array<DailyTotal>;
    debtSnapshot?: Maybe<DebtSnapshot>;
    debtSnapshots: Array<DebtSnapshot>;
    exchange?: Maybe<Exchange>;
    exchangeEntryAppended?: Maybe<ExchangeEntryAppended>;
    exchangeEntryAppendeds: Array<ExchangeEntryAppended>;
    exchangeEntrySettled?: Maybe<ExchangeEntrySettled>;
    exchangeEntrySettleds: Array<ExchangeEntrySettled>;
    exchangeFee?: Maybe<ExchangeFee>;
    exchangeFees: Array<ExchangeFee>;
    exchangePartner?: Maybe<ExchangePartner>;
    exchangePartners: Array<ExchangePartner>;
    exchangeRebate?: Maybe<ExchangeRebate>;
    exchangeRebates: Array<ExchangeRebate>;
    exchangeReclaim?: Maybe<ExchangeReclaim>;
    exchangeReclaims: Array<ExchangeReclaim>;
    exchanger?: Maybe<Exchanger>;
    exchangers: Array<Exchanger>;
    exchanges: Array<Exchange>;
    feesClaimed?: Maybe<FeesClaimed>;
    feesClaimeds: Array<FeesClaimed>;
    fifteenMinuteExchanger?: Maybe<FifteenMinuteExchanger>;
    fifteenMinuteExchangers: Array<FifteenMinuteExchanger>;
    fifteenMinuteSNXPrice?: Maybe<FifteenMinuteSnxPrice>;
    fifteenMinuteSNXPrices: Array<FifteenMinuteSnxPrice>;
    fifteenMinuteTotal?: Maybe<FifteenMinuteTotal>;
    fifteenMinuteTotals: Array<FifteenMinuteTotal>;
    inversePricingInfo?: Maybe<InversePricingInfo>;
    inversePricingInfos: Array<InversePricingInfo>;
    issued?: Maybe<Issued>;
    issueds: Array<Issued>;
    issuer?: Maybe<Issuer>;
    issuers: Array<Issuer>;
    latestRate?: Maybe<LatestRate>;
    latestRates: Array<LatestRate>;
    loan?: Maybe<Loan>;
    loanLiquidated?: Maybe<LoanLiquidated>;
    loanLiquidateds: Array<LoanLiquidated>;
    loanPartiallyLiquidated?: Maybe<LoanPartiallyLiquidated>;
    loanPartiallyLiquidateds: Array<LoanPartiallyLiquidated>;
    loanRepaid?: Maybe<LoanRepaid>;
    loanRepaids: Array<LoanRepaid>;
    loans: Array<Loan>;
    postArchernarExchanger?: Maybe<PostArchernarExchanger>;
    postArchernarExchangers: Array<PostArchernarExchanger>;
    postArchernarTotal?: Maybe<PostArchernarTotal>;
    postArchernarTotals: Array<PostArchernarTotal>;
    rateUpdate?: Maybe<RateUpdate>;
    rateUpdates: Array<RateUpdate>;
    rewardEscrowHolder?: Maybe<RewardEscrowHolder>;
    rewardEscrowHolders: Array<RewardEscrowHolder>;
    short?: Maybe<Short>;
    shortCollateralChange?: Maybe<ShortCollateralChange>;
    shortCollateralChanges: Array<ShortCollateralChange>;
    shortContract?: Maybe<ShortContract>;
    shortContractUpdate?: Maybe<ShortContractUpdate>;
    shortContractUpdates: Array<ShortContractUpdate>;
    shortContracts: Array<ShortContract>;
    shortLiquidation?: Maybe<ShortLiquidation>;
    shortLiquidations: Array<ShortLiquidation>;
    shortLoanChange?: Maybe<ShortLoanChange>;
    shortLoanChanges: Array<ShortLoanChange>;
    shorts: Array<Short>;
    snxholder?: Maybe<SnxHolder>;
    snxholders: Array<SnxHolder>;
    synthExchange?: Maybe<SynthExchange>;
    synthExchanges: Array<SynthExchange>;
    synthHolder?: Maybe<SynthHolder>;
    synthHolders: Array<SynthHolder>;
    synthetix?: Maybe<Synthetix>;
    synthetixes: Array<Synthetix>;
    temporaryExchangePartnerTracker?: Maybe<TemporaryExchangePartnerTracker>;
    temporaryExchangePartnerTrackers: Array<TemporaryExchangePartnerTracker>;
    total?: Maybe<Total>;
    totalActiveStaker?: Maybe<TotalActiveStaker>;
    totalActiveStakers: Array<TotalActiveStaker>;
    totalDailyActiveStaker?: Maybe<TotalDailyActiveStaker>;
    totalDailyActiveStakers: Array<TotalDailyActiveStaker>;
    totals: Array<Total>;
    userAction?: Maybe<UserAction>;
    userActions: Array<UserAction>;
};
export declare type Query_MetaArgs = {
    block?: Maybe<Block_Height>;
};
export declare type QueryAccountFlaggedForLiquidationArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryAccountFlaggedForLiquidationsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<AccountFlaggedForLiquidation_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<AccountFlaggedForLiquidation_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryAccountLiquidatedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryAccountLiquidatedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<AccountLiquidated_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<AccountLiquidated_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryAccountRemovedFromLiquidationArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryAccountRemovedFromLiquidationsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<AccountRemovedFromLiquidation_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<AccountRemovedFromLiquidation_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryActiveStakerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryActiveStakersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ActiveStaker_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ActiveStaker_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryBurnedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryBurnedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Burned_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Burned_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryClearedDepositArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryClearedDepositsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ClearedDeposit_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ClearedDeposit_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryCollateralDepositedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryCollateralDepositedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<CollateralDeposited_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<CollateralDeposited_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryCollateralWithdrawnArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryCollateralWithdrawnsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<CollateralWithdrawn_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<CollateralWithdrawn_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailyBurnedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailyBurnedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailyBurned_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailyBurned_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailyCandleArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailyCandlesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailyCandle_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailyCandle_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailyExchangePartnerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailyExchangePartnersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailyExchangePartner_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailyExchangePartner_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailyExchangerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailyExchangersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailyExchanger_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailyExchanger_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailyIssuedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailyIssuedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailyIssued_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailyIssued_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailySnxPriceArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailySnxPricesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailySnxPrice_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailySnxPrice_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailyTotalArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDailyTotalsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailyTotal_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailyTotal_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDebtSnapshotArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryDebtSnapshotsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DebtSnapshot_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DebtSnapshot_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangeArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangeEntryAppendedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangeEntryAppendedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ExchangeEntryAppended_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ExchangeEntryAppended_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangeEntrySettledArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangeEntrySettledsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ExchangeEntrySettled_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ExchangeEntrySettled_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangeFeeArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangeFeesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ExchangeFee_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ExchangeFee_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangePartnerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangePartnersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ExchangePartner_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ExchangePartner_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangeRebateArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangeRebatesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ExchangeRebate_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ExchangeRebate_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangeReclaimArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangeReclaimsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ExchangeReclaim_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ExchangeReclaim_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Exchanger_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Exchanger_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryExchangesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Exchange_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Exchange_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryFeesClaimedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryFeesClaimedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<FeesClaimed_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<FeesClaimed_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryFifteenMinuteExchangerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryFifteenMinuteExchangersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<FifteenMinuteExchanger_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<FifteenMinuteExchanger_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryFifteenMinuteSnxPriceArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryFifteenMinuteSnxPricesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<FifteenMinuteSnxPrice_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<FifteenMinuteSnxPrice_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryFifteenMinuteTotalArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryFifteenMinuteTotalsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<FifteenMinuteTotal_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<FifteenMinuteTotal_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryInversePricingInfoArgs = {
    block?: Maybe<Block_Height>;
    id: Scalars['ID'];
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryInversePricingInfosArgs = {
    block?: Maybe<Block_Height>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<InversePricingInfo_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    skip?: Maybe<Scalars['Int']>;
    subgraphError?: _SubgraphErrorPolicy_;
    where?: Maybe<InversePricingInfo_Filter>;
};
export declare type QueryIssuedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryIssuedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Issued_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Issued_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryIssuerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryIssuersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Issuer_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Issuer_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryLatestRateArgs = {
    block?: Maybe<Block_Height>;
    id: Scalars['ID'];
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryLatestRatesArgs = {
    block?: Maybe<Block_Height>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<LatestRate_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    skip?: Maybe<Scalars['Int']>;
    subgraphError?: _SubgraphErrorPolicy_;
    where?: Maybe<LatestRate_Filter>;
};
export declare type QueryLoanArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryLoanLiquidatedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryLoanLiquidatedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<LoanLiquidated_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<LoanLiquidated_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryLoanPartiallyLiquidatedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryLoanPartiallyLiquidatedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<LoanPartiallyLiquidated_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<LoanPartiallyLiquidated_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryLoanRepaidArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryLoanRepaidsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<LoanRepaid_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<LoanRepaid_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryLoansArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Loan_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Loan_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryPostArchernarExchangerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryPostArchernarExchangersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<PostArchernarExchanger_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<PostArchernarExchanger_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryPostArchernarTotalArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryPostArchernarTotalsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<PostArchernarTotal_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<PostArchernarTotal_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryRateUpdateArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryRateUpdatesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<RateUpdate_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<RateUpdate_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryRewardEscrowHolderArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryRewardEscrowHoldersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<RewardEscrowHolder_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<RewardEscrowHolder_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryShortArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryShortCollateralChangeArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryShortCollateralChangesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortCollateralChange_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortCollateralChange_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryShortContractArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryShortContractUpdateArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryShortContractUpdatesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortContractUpdate_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortContractUpdate_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryShortContractsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortContract_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortContract_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryShortLiquidationArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryShortLiquidationsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortLiquidation_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortLiquidation_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryShortLoanChangeArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryShortLoanChangesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortLoanChange_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortLoanChange_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryShortsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Short_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Short_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QuerySnxholderArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QuerySnxholdersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<SnxHolder_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<SnxHolder_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QuerySynthExchangeArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QuerySynthExchangesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<SynthExchange_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<SynthExchange_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QuerySynthHolderArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QuerySynthHoldersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<SynthHolder_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<SynthHolder_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QuerySynthetixArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QuerySynthetixesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Synthetix_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Synthetix_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryTemporaryExchangePartnerTrackerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryTemporaryExchangePartnerTrackersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<TemporaryExchangePartnerTracker_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<TemporaryExchangePartnerTracker_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryTotalArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryTotalActiveStakerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryTotalActiveStakersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<TotalActiveStaker_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<TotalActiveStaker_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryTotalDailyActiveStakerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryTotalDailyActiveStakersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<TotalDailyActiveStaker_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<TotalDailyActiveStaker_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryTotalsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Total_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Total_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryUserActionArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type QueryUserActionsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<UserAction_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<UserAction_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
/**  Latest Rates over time  */
export declare type RateUpdate = {
    __typename?: 'RateUpdate';
    /**  <transaction hash>-<currency key>  */
    id: Scalars['ID'];
    /**  currencyKey for which this this rate update applies  */
    currencyKey: Scalars['Bytes'];
    /**  currencyKey expressed as a string  */
    synth: Scalars['String'];
    /**  the rate recorded at this timestamp  */
    rate: Scalars['BigDecimal'];
    /**  the block which this rate was recorded  */
    block: Scalars['BigInt'];
    /**  timestamp of the block in which the rate was recorded  */
    timestamp: Scalars['BigInt'];
};
export declare type RateUpdate_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    currencyKey?: Maybe<Scalars['Bytes']>;
    currencyKey_not?: Maybe<Scalars['Bytes']>;
    currencyKey_in?: Maybe<Array<Scalars['Bytes']>>;
    currencyKey_not_in?: Maybe<Array<Scalars['Bytes']>>;
    currencyKey_contains?: Maybe<Scalars['Bytes']>;
    currencyKey_not_contains?: Maybe<Scalars['Bytes']>;
    synth?: Maybe<Scalars['String']>;
    synth_not?: Maybe<Scalars['String']>;
    synth_gt?: Maybe<Scalars['String']>;
    synth_lt?: Maybe<Scalars['String']>;
    synth_gte?: Maybe<Scalars['String']>;
    synth_lte?: Maybe<Scalars['String']>;
    synth_in?: Maybe<Array<Scalars['String']>>;
    synth_not_in?: Maybe<Array<Scalars['String']>>;
    synth_contains?: Maybe<Scalars['String']>;
    synth_not_contains?: Maybe<Scalars['String']>;
    synth_starts_with?: Maybe<Scalars['String']>;
    synth_not_starts_with?: Maybe<Scalars['String']>;
    synth_ends_with?: Maybe<Scalars['String']>;
    synth_not_ends_with?: Maybe<Scalars['String']>;
    rate?: Maybe<Scalars['BigDecimal']>;
    rate_not?: Maybe<Scalars['BigDecimal']>;
    rate_gt?: Maybe<Scalars['BigDecimal']>;
    rate_lt?: Maybe<Scalars['BigDecimal']>;
    rate_gte?: Maybe<Scalars['BigDecimal']>;
    rate_lte?: Maybe<Scalars['BigDecimal']>;
    rate_in?: Maybe<Array<Scalars['BigDecimal']>>;
    rate_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    block?: Maybe<Scalars['BigInt']>;
    block_not?: Maybe<Scalars['BigInt']>;
    block_gt?: Maybe<Scalars['BigInt']>;
    block_lt?: Maybe<Scalars['BigInt']>;
    block_gte?: Maybe<Scalars['BigInt']>;
    block_lte?: Maybe<Scalars['BigInt']>;
    block_in?: Maybe<Array<Scalars['BigInt']>>;
    block_not_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum RateUpdate_OrderBy {
    Id = "id",
    CurrencyKey = "currencyKey",
    Synth = "synth",
    Rate = "rate",
    Block = "block",
    Timestamp = "timestamp"
}
export declare type RewardEscrowHolder = {
    __typename?: 'RewardEscrowHolder';
    /**  address which holds a rewardescrow  */
    id: Scalars['ID'];
    /**  amount of tokens remaining to be claimed from the escrow  */
    balanceOf: Scalars['BigDecimal'];
    /**  amount of SNX claimed from the escrow  */
    vestedBalanceOf: Scalars['BigDecimal'];
};
export declare type RewardEscrowHolder_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    balanceOf?: Maybe<Scalars['BigDecimal']>;
    balanceOf_not?: Maybe<Scalars['BigDecimal']>;
    balanceOf_gt?: Maybe<Scalars['BigDecimal']>;
    balanceOf_lt?: Maybe<Scalars['BigDecimal']>;
    balanceOf_gte?: Maybe<Scalars['BigDecimal']>;
    balanceOf_lte?: Maybe<Scalars['BigDecimal']>;
    balanceOf_in?: Maybe<Array<Scalars['BigDecimal']>>;
    balanceOf_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    vestedBalanceOf?: Maybe<Scalars['BigDecimal']>;
    vestedBalanceOf_not?: Maybe<Scalars['BigDecimal']>;
    vestedBalanceOf_gt?: Maybe<Scalars['BigDecimal']>;
    vestedBalanceOf_lt?: Maybe<Scalars['BigDecimal']>;
    vestedBalanceOf_gte?: Maybe<Scalars['BigDecimal']>;
    vestedBalanceOf_lte?: Maybe<Scalars['BigDecimal']>;
    vestedBalanceOf_in?: Maybe<Array<Scalars['BigDecimal']>>;
    vestedBalanceOf_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum RewardEscrowHolder_OrderBy {
    Id = "id",
    BalanceOf = "balanceOf",
    VestedBalanceOf = "vestedBalanceOf"
}
/**  An individual SNX holder (always overridden with their latest information)  */
export declare type SnxHolder = {
    __typename?: 'SNXHolder';
    /**  address of holder  */
    id: Scalars['ID'];
    /**  last block where an event happened  */
    block: Scalars['BigInt'];
    /**  last time where an event happened  */
    timestamp: Scalars['BigInt'];
    /**  current SNX balance of the holder  */
    balanceOf?: Maybe<Scalars['BigDecimal']>;
    /**  SNX which is being used for collateral as of last event and cannot be spent  */
    collateral?: Maybe<Scalars['BigDecimal']>;
    /**  SNX which can be spent as of last event  */
    transferable?: Maybe<Scalars['BigDecimal']>;
    initialDebtOwnership?: Maybe<Scalars['BigInt']>;
    debtEntryAtIndex?: Maybe<Scalars['BigInt']>;
    /**  number of claims performed  */
    claims?: Maybe<Scalars['BigInt']>;
    /**  number of mints performed  */
    mints?: Maybe<Scalars['BigInt']>;
};
export declare type SnxHolder_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    block?: Maybe<Scalars['BigInt']>;
    block_not?: Maybe<Scalars['BigInt']>;
    block_gt?: Maybe<Scalars['BigInt']>;
    block_lt?: Maybe<Scalars['BigInt']>;
    block_gte?: Maybe<Scalars['BigInt']>;
    block_lte?: Maybe<Scalars['BigInt']>;
    block_in?: Maybe<Array<Scalars['BigInt']>>;
    block_not_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    balanceOf?: Maybe<Scalars['BigDecimal']>;
    balanceOf_not?: Maybe<Scalars['BigDecimal']>;
    balanceOf_gt?: Maybe<Scalars['BigDecimal']>;
    balanceOf_lt?: Maybe<Scalars['BigDecimal']>;
    balanceOf_gte?: Maybe<Scalars['BigDecimal']>;
    balanceOf_lte?: Maybe<Scalars['BigDecimal']>;
    balanceOf_in?: Maybe<Array<Scalars['BigDecimal']>>;
    balanceOf_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    collateral?: Maybe<Scalars['BigDecimal']>;
    collateral_not?: Maybe<Scalars['BigDecimal']>;
    collateral_gt?: Maybe<Scalars['BigDecimal']>;
    collateral_lt?: Maybe<Scalars['BigDecimal']>;
    collateral_gte?: Maybe<Scalars['BigDecimal']>;
    collateral_lte?: Maybe<Scalars['BigDecimal']>;
    collateral_in?: Maybe<Array<Scalars['BigDecimal']>>;
    collateral_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    transferable?: Maybe<Scalars['BigDecimal']>;
    transferable_not?: Maybe<Scalars['BigDecimal']>;
    transferable_gt?: Maybe<Scalars['BigDecimal']>;
    transferable_lt?: Maybe<Scalars['BigDecimal']>;
    transferable_gte?: Maybe<Scalars['BigDecimal']>;
    transferable_lte?: Maybe<Scalars['BigDecimal']>;
    transferable_in?: Maybe<Array<Scalars['BigDecimal']>>;
    transferable_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    initialDebtOwnership?: Maybe<Scalars['BigInt']>;
    initialDebtOwnership_not?: Maybe<Scalars['BigInt']>;
    initialDebtOwnership_gt?: Maybe<Scalars['BigInt']>;
    initialDebtOwnership_lt?: Maybe<Scalars['BigInt']>;
    initialDebtOwnership_gte?: Maybe<Scalars['BigInt']>;
    initialDebtOwnership_lte?: Maybe<Scalars['BigInt']>;
    initialDebtOwnership_in?: Maybe<Array<Scalars['BigInt']>>;
    initialDebtOwnership_not_in?: Maybe<Array<Scalars['BigInt']>>;
    debtEntryAtIndex?: Maybe<Scalars['BigInt']>;
    debtEntryAtIndex_not?: Maybe<Scalars['BigInt']>;
    debtEntryAtIndex_gt?: Maybe<Scalars['BigInt']>;
    debtEntryAtIndex_lt?: Maybe<Scalars['BigInt']>;
    debtEntryAtIndex_gte?: Maybe<Scalars['BigInt']>;
    debtEntryAtIndex_lte?: Maybe<Scalars['BigInt']>;
    debtEntryAtIndex_in?: Maybe<Array<Scalars['BigInt']>>;
    debtEntryAtIndex_not_in?: Maybe<Array<Scalars['BigInt']>>;
    claims?: Maybe<Scalars['BigInt']>;
    claims_not?: Maybe<Scalars['BigInt']>;
    claims_gt?: Maybe<Scalars['BigInt']>;
    claims_lt?: Maybe<Scalars['BigInt']>;
    claims_gte?: Maybe<Scalars['BigInt']>;
    claims_lte?: Maybe<Scalars['BigInt']>;
    claims_in?: Maybe<Array<Scalars['BigInt']>>;
    claims_not_in?: Maybe<Array<Scalars['BigInt']>>;
    mints?: Maybe<Scalars['BigInt']>;
    mints_not?: Maybe<Scalars['BigInt']>;
    mints_gt?: Maybe<Scalars['BigInt']>;
    mints_lt?: Maybe<Scalars['BigInt']>;
    mints_gte?: Maybe<Scalars['BigInt']>;
    mints_lte?: Maybe<Scalars['BigInt']>;
    mints_in?: Maybe<Array<Scalars['BigInt']>>;
    mints_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum SnxHolder_OrderBy {
    Id = "id",
    Block = "block",
    Timestamp = "timestamp",
    BalanceOf = "balanceOf",
    Collateral = "collateral",
    Transferable = "transferable",
    InitialDebtOwnership = "initialDebtOwnership",
    DebtEntryAtIndex = "debtEntryAtIndex",
    Claims = "claims",
    Mints = "mints"
}
export declare type Short = {
    __typename?: 'Short';
    /**  the short id  */
    id: Scalars['ID'];
    /**  contract level info for the short position  */
    contractData: ShortContract;
    /**  the transaction hash of the short  */
    txHash: Scalars['String'];
    /**  the account that created the short  */
    account: Scalars['Bytes'];
    /**  the type of collateral locked - sUSD, ETH, renBTC  */
    collateralLocked: Scalars['Bytes'];
    /**  the amount of collateral locked in the short  */
    collateralLockedAmount: Scalars['BigInt'];
    /**  the denomination of the loan repayment - sETH, sBTC  */
    synthBorrowed: Scalars['Bytes'];
    /**  the amount owed denominated in the loan repayment synth  */
    synthBorrowedAmount: Scalars['BigInt'];
    /**  the timestamp the accrued interest was most recently updated  */
    accruedInterestLastUpdateTimestamp: Scalars['BigInt'];
    /**  is the short still open?  */
    isOpen: Scalars['Boolean'];
    /**  the block the short was created at  */
    createdAtBlock: Scalars['BigInt'];
    /**  the timestamp the short was created  */
    createdAt: Scalars['BigInt'];
    /**  the timestamp the short was closed  */
    closedAt?: Maybe<Scalars['BigInt']>;
    /**  liquidations that have been made on the short  */
    liquidations?: Maybe<Array<ShortLiquidation>>;
    /**  collateral deposits and withdrawals that have been made on the short  */
    collateralChanges?: Maybe<Array<ShortCollateralChange>>;
    /**  loan changes that have been made on the short - increasing or decreasing the short position  */
    loanChanges: Array<ShortLoanChange>;
};
export declare type ShortLiquidationsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortLiquidation_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortLiquidation_Filter>;
};
export declare type ShortCollateralChangesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortCollateralChange_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortCollateralChange_Filter>;
};
export declare type ShortLoanChangesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortLoanChange_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortLoanChange_Filter>;
};
export declare type ShortCollateralChange = {
    __typename?: 'ShortCollateralChange';
    /**  the event tx hash plus event log index  */
    id: Scalars['ID'];
    /**  denotes if the event was a deposit (true) or withdrawal (false) */
    isDeposit: Scalars['Boolean'];
    /**  the amount of collateral deposited or withdrawn  */
    amount: Scalars['BigInt'];
    /**  the total amount of collateral after the deposit or withdrawal is included  */
    collateralAfter: Scalars['BigInt'];
    /**  the respective short  */
    short: Short;
    /**  the timestamp collateral was deposited or withdrawn  */
    timestamp: Scalars['BigInt'];
    /**  the block the collateral was changed  */
    blockNumber: Scalars['BigInt'];
};
export declare type ShortCollateralChange_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    isDeposit?: Maybe<Scalars['Boolean']>;
    isDeposit_not?: Maybe<Scalars['Boolean']>;
    isDeposit_in?: Maybe<Array<Scalars['Boolean']>>;
    isDeposit_not_in?: Maybe<Array<Scalars['Boolean']>>;
    amount?: Maybe<Scalars['BigInt']>;
    amount_not?: Maybe<Scalars['BigInt']>;
    amount_gt?: Maybe<Scalars['BigInt']>;
    amount_lt?: Maybe<Scalars['BigInt']>;
    amount_gte?: Maybe<Scalars['BigInt']>;
    amount_lte?: Maybe<Scalars['BigInt']>;
    amount_in?: Maybe<Array<Scalars['BigInt']>>;
    amount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    collateralAfter?: Maybe<Scalars['BigInt']>;
    collateralAfter_not?: Maybe<Scalars['BigInt']>;
    collateralAfter_gt?: Maybe<Scalars['BigInt']>;
    collateralAfter_lt?: Maybe<Scalars['BigInt']>;
    collateralAfter_gte?: Maybe<Scalars['BigInt']>;
    collateralAfter_lte?: Maybe<Scalars['BigInt']>;
    collateralAfter_in?: Maybe<Array<Scalars['BigInt']>>;
    collateralAfter_not_in?: Maybe<Array<Scalars['BigInt']>>;
    short?: Maybe<Scalars['String']>;
    short_not?: Maybe<Scalars['String']>;
    short_gt?: Maybe<Scalars['String']>;
    short_lt?: Maybe<Scalars['String']>;
    short_gte?: Maybe<Scalars['String']>;
    short_lte?: Maybe<Scalars['String']>;
    short_in?: Maybe<Array<Scalars['String']>>;
    short_not_in?: Maybe<Array<Scalars['String']>>;
    short_contains?: Maybe<Scalars['String']>;
    short_not_contains?: Maybe<Scalars['String']>;
    short_starts_with?: Maybe<Scalars['String']>;
    short_not_starts_with?: Maybe<Scalars['String']>;
    short_ends_with?: Maybe<Scalars['String']>;
    short_not_ends_with?: Maybe<Scalars['String']>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    blockNumber?: Maybe<Scalars['BigInt']>;
    blockNumber_not?: Maybe<Scalars['BigInt']>;
    blockNumber_gt?: Maybe<Scalars['BigInt']>;
    blockNumber_lt?: Maybe<Scalars['BigInt']>;
    blockNumber_gte?: Maybe<Scalars['BigInt']>;
    blockNumber_lte?: Maybe<Scalars['BigInt']>;
    blockNumber_in?: Maybe<Array<Scalars['BigInt']>>;
    blockNumber_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum ShortCollateralChange_OrderBy {
    Id = "id",
    IsDeposit = "isDeposit",
    Amount = "amount",
    CollateralAfter = "collateralAfter",
    Short = "short",
    Timestamp = "timestamp",
    BlockNumber = "blockNumber"
}
export declare type ShortContract = {
    __typename?: 'ShortContract';
    /**  the address of the shorting contract  */
    id: Scalars['ID'];
    /**  a list of shorts attached to each contract  */
    shorts?: Maybe<Array<Short>>;
    /**  a list of changes to contract level data  */
    contractUpdates?: Maybe<Array<ShortContractUpdate>>;
    /**  the min c-ratio for borrowers below which they can be liquidated  */
    minCratio: Scalars['BigInt'];
    /**  the minimum collateral required to open a position  */
    minCollateral: Scalars['BigInt'];
    /**  the fee for issuing a short  */
    issueFeeRate: Scalars['BigInt'];
    /**  the max number of loans per account  */
    maxLoansPerAccount: Scalars['BigInt'];
    /**  Time in seconds that a user must wait between interacting with a loan. Provides front running and flash loan protection.  */
    interactionDelay: Scalars['BigInt'];
    /**  the manager is a contract that ties the shorting contract in with the rest of the Synthetix protocol  */
    manager: Scalars['Bytes'];
    /**  a boolean that prevents new loans on the contract when false  */
    canOpenLoans: Scalars['Boolean'];
};
export declare type ShortContractShortsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Short_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Short_Filter>;
};
export declare type ShortContractContractUpdatesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortContractUpdate_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortContractUpdate_Filter>;
};
export declare type ShortContractUpdate = {
    __typename?: 'ShortContractUpdate';
    /**  the event tx hash plus event log index  */
    id: Scalars['ID'];
    /**  the field that was changed  */
    field: Scalars['String'];
    /**  the new value of the field in string format  */
    value: Scalars['String'];
    /**  the respective short contract  */
    contractData: ShortContract;
    /**  the timestamp of the contract update event  */
    timestamp: Scalars['BigInt'];
    /**  the block the short contract was udpated at  */
    blockNumber: Scalars['BigInt'];
};
export declare type ShortContractUpdate_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    field?: Maybe<Scalars['String']>;
    field_not?: Maybe<Scalars['String']>;
    field_gt?: Maybe<Scalars['String']>;
    field_lt?: Maybe<Scalars['String']>;
    field_gte?: Maybe<Scalars['String']>;
    field_lte?: Maybe<Scalars['String']>;
    field_in?: Maybe<Array<Scalars['String']>>;
    field_not_in?: Maybe<Array<Scalars['String']>>;
    field_contains?: Maybe<Scalars['String']>;
    field_not_contains?: Maybe<Scalars['String']>;
    field_starts_with?: Maybe<Scalars['String']>;
    field_not_starts_with?: Maybe<Scalars['String']>;
    field_ends_with?: Maybe<Scalars['String']>;
    field_not_ends_with?: Maybe<Scalars['String']>;
    value?: Maybe<Scalars['String']>;
    value_not?: Maybe<Scalars['String']>;
    value_gt?: Maybe<Scalars['String']>;
    value_lt?: Maybe<Scalars['String']>;
    value_gte?: Maybe<Scalars['String']>;
    value_lte?: Maybe<Scalars['String']>;
    value_in?: Maybe<Array<Scalars['String']>>;
    value_not_in?: Maybe<Array<Scalars['String']>>;
    value_contains?: Maybe<Scalars['String']>;
    value_not_contains?: Maybe<Scalars['String']>;
    value_starts_with?: Maybe<Scalars['String']>;
    value_not_starts_with?: Maybe<Scalars['String']>;
    value_ends_with?: Maybe<Scalars['String']>;
    value_not_ends_with?: Maybe<Scalars['String']>;
    contractData?: Maybe<Scalars['String']>;
    contractData_not?: Maybe<Scalars['String']>;
    contractData_gt?: Maybe<Scalars['String']>;
    contractData_lt?: Maybe<Scalars['String']>;
    contractData_gte?: Maybe<Scalars['String']>;
    contractData_lte?: Maybe<Scalars['String']>;
    contractData_in?: Maybe<Array<Scalars['String']>>;
    contractData_not_in?: Maybe<Array<Scalars['String']>>;
    contractData_contains?: Maybe<Scalars['String']>;
    contractData_not_contains?: Maybe<Scalars['String']>;
    contractData_starts_with?: Maybe<Scalars['String']>;
    contractData_not_starts_with?: Maybe<Scalars['String']>;
    contractData_ends_with?: Maybe<Scalars['String']>;
    contractData_not_ends_with?: Maybe<Scalars['String']>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    blockNumber?: Maybe<Scalars['BigInt']>;
    blockNumber_not?: Maybe<Scalars['BigInt']>;
    blockNumber_gt?: Maybe<Scalars['BigInt']>;
    blockNumber_lt?: Maybe<Scalars['BigInt']>;
    blockNumber_gte?: Maybe<Scalars['BigInt']>;
    blockNumber_lte?: Maybe<Scalars['BigInt']>;
    blockNumber_in?: Maybe<Array<Scalars['BigInt']>>;
    blockNumber_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum ShortContractUpdate_OrderBy {
    Id = "id",
    Field = "field",
    Value = "value",
    ContractData = "contractData",
    Timestamp = "timestamp",
    BlockNumber = "blockNumber"
}
export declare type ShortContract_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    minCratio?: Maybe<Scalars['BigInt']>;
    minCratio_not?: Maybe<Scalars['BigInt']>;
    minCratio_gt?: Maybe<Scalars['BigInt']>;
    minCratio_lt?: Maybe<Scalars['BigInt']>;
    minCratio_gte?: Maybe<Scalars['BigInt']>;
    minCratio_lte?: Maybe<Scalars['BigInt']>;
    minCratio_in?: Maybe<Array<Scalars['BigInt']>>;
    minCratio_not_in?: Maybe<Array<Scalars['BigInt']>>;
    minCollateral?: Maybe<Scalars['BigInt']>;
    minCollateral_not?: Maybe<Scalars['BigInt']>;
    minCollateral_gt?: Maybe<Scalars['BigInt']>;
    minCollateral_lt?: Maybe<Scalars['BigInt']>;
    minCollateral_gte?: Maybe<Scalars['BigInt']>;
    minCollateral_lte?: Maybe<Scalars['BigInt']>;
    minCollateral_in?: Maybe<Array<Scalars['BigInt']>>;
    minCollateral_not_in?: Maybe<Array<Scalars['BigInt']>>;
    issueFeeRate?: Maybe<Scalars['BigInt']>;
    issueFeeRate_not?: Maybe<Scalars['BigInt']>;
    issueFeeRate_gt?: Maybe<Scalars['BigInt']>;
    issueFeeRate_lt?: Maybe<Scalars['BigInt']>;
    issueFeeRate_gte?: Maybe<Scalars['BigInt']>;
    issueFeeRate_lte?: Maybe<Scalars['BigInt']>;
    issueFeeRate_in?: Maybe<Array<Scalars['BigInt']>>;
    issueFeeRate_not_in?: Maybe<Array<Scalars['BigInt']>>;
    maxLoansPerAccount?: Maybe<Scalars['BigInt']>;
    maxLoansPerAccount_not?: Maybe<Scalars['BigInt']>;
    maxLoansPerAccount_gt?: Maybe<Scalars['BigInt']>;
    maxLoansPerAccount_lt?: Maybe<Scalars['BigInt']>;
    maxLoansPerAccount_gte?: Maybe<Scalars['BigInt']>;
    maxLoansPerAccount_lte?: Maybe<Scalars['BigInt']>;
    maxLoansPerAccount_in?: Maybe<Array<Scalars['BigInt']>>;
    maxLoansPerAccount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    interactionDelay?: Maybe<Scalars['BigInt']>;
    interactionDelay_not?: Maybe<Scalars['BigInt']>;
    interactionDelay_gt?: Maybe<Scalars['BigInt']>;
    interactionDelay_lt?: Maybe<Scalars['BigInt']>;
    interactionDelay_gte?: Maybe<Scalars['BigInt']>;
    interactionDelay_lte?: Maybe<Scalars['BigInt']>;
    interactionDelay_in?: Maybe<Array<Scalars['BigInt']>>;
    interactionDelay_not_in?: Maybe<Array<Scalars['BigInt']>>;
    manager?: Maybe<Scalars['Bytes']>;
    manager_not?: Maybe<Scalars['Bytes']>;
    manager_in?: Maybe<Array<Scalars['Bytes']>>;
    manager_not_in?: Maybe<Array<Scalars['Bytes']>>;
    manager_contains?: Maybe<Scalars['Bytes']>;
    manager_not_contains?: Maybe<Scalars['Bytes']>;
    canOpenLoans?: Maybe<Scalars['Boolean']>;
    canOpenLoans_not?: Maybe<Scalars['Boolean']>;
    canOpenLoans_in?: Maybe<Array<Scalars['Boolean']>>;
    canOpenLoans_not_in?: Maybe<Array<Scalars['Boolean']>>;
};
export declare enum ShortContract_OrderBy {
    Id = "id",
    Shorts = "shorts",
    ContractUpdates = "contractUpdates",
    MinCratio = "minCratio",
    MinCollateral = "minCollateral",
    IssueFeeRate = "issueFeeRate",
    MaxLoansPerAccount = "maxLoansPerAccount",
    InteractionDelay = "interactionDelay",
    Manager = "manager",
    CanOpenLoans = "canOpenLoans"
}
export declare type ShortLiquidation = {
    __typename?: 'ShortLiquidation';
    /**  the event tx hash plus event log index  */
    id: Scalars['ID'];
    /**  the account that liquidated the loan  */
    liquidator: Scalars['Bytes'];
    /**  determines if the  */
    isClosed: Scalars['Boolean'];
    /**  the amount of the loan that was burned  */
    liquidatedAmount: Scalars['BigInt'];
    /**  the amount of the collateral that was taken away from the short owner  */
    liquidatedCollateral: Scalars['BigInt'];
    /**  the respective short  */
    short: Short;
    /**  the timestamp of the loan liquidation event  */
    timestamp: Scalars['BigInt'];
    /**  the block of the liquidation event  */
    blockNumber: Scalars['BigInt'];
};
export declare type ShortLiquidation_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    liquidator?: Maybe<Scalars['Bytes']>;
    liquidator_not?: Maybe<Scalars['Bytes']>;
    liquidator_in?: Maybe<Array<Scalars['Bytes']>>;
    liquidator_not_in?: Maybe<Array<Scalars['Bytes']>>;
    liquidator_contains?: Maybe<Scalars['Bytes']>;
    liquidator_not_contains?: Maybe<Scalars['Bytes']>;
    isClosed?: Maybe<Scalars['Boolean']>;
    isClosed_not?: Maybe<Scalars['Boolean']>;
    isClosed_in?: Maybe<Array<Scalars['Boolean']>>;
    isClosed_not_in?: Maybe<Array<Scalars['Boolean']>>;
    liquidatedAmount?: Maybe<Scalars['BigInt']>;
    liquidatedAmount_not?: Maybe<Scalars['BigInt']>;
    liquidatedAmount_gt?: Maybe<Scalars['BigInt']>;
    liquidatedAmount_lt?: Maybe<Scalars['BigInt']>;
    liquidatedAmount_gte?: Maybe<Scalars['BigInt']>;
    liquidatedAmount_lte?: Maybe<Scalars['BigInt']>;
    liquidatedAmount_in?: Maybe<Array<Scalars['BigInt']>>;
    liquidatedAmount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    liquidatedCollateral?: Maybe<Scalars['BigInt']>;
    liquidatedCollateral_not?: Maybe<Scalars['BigInt']>;
    liquidatedCollateral_gt?: Maybe<Scalars['BigInt']>;
    liquidatedCollateral_lt?: Maybe<Scalars['BigInt']>;
    liquidatedCollateral_gte?: Maybe<Scalars['BigInt']>;
    liquidatedCollateral_lte?: Maybe<Scalars['BigInt']>;
    liquidatedCollateral_in?: Maybe<Array<Scalars['BigInt']>>;
    liquidatedCollateral_not_in?: Maybe<Array<Scalars['BigInt']>>;
    short?: Maybe<Scalars['String']>;
    short_not?: Maybe<Scalars['String']>;
    short_gt?: Maybe<Scalars['String']>;
    short_lt?: Maybe<Scalars['String']>;
    short_gte?: Maybe<Scalars['String']>;
    short_lte?: Maybe<Scalars['String']>;
    short_in?: Maybe<Array<Scalars['String']>>;
    short_not_in?: Maybe<Array<Scalars['String']>>;
    short_contains?: Maybe<Scalars['String']>;
    short_not_contains?: Maybe<Scalars['String']>;
    short_starts_with?: Maybe<Scalars['String']>;
    short_not_starts_with?: Maybe<Scalars['String']>;
    short_ends_with?: Maybe<Scalars['String']>;
    short_not_ends_with?: Maybe<Scalars['String']>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    blockNumber?: Maybe<Scalars['BigInt']>;
    blockNumber_not?: Maybe<Scalars['BigInt']>;
    blockNumber_gt?: Maybe<Scalars['BigInt']>;
    blockNumber_lt?: Maybe<Scalars['BigInt']>;
    blockNumber_gte?: Maybe<Scalars['BigInt']>;
    blockNumber_lte?: Maybe<Scalars['BigInt']>;
    blockNumber_in?: Maybe<Array<Scalars['BigInt']>>;
    blockNumber_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum ShortLiquidation_OrderBy {
    Id = "id",
    Liquidator = "liquidator",
    IsClosed = "isClosed",
    LiquidatedAmount = "liquidatedAmount",
    LiquidatedCollateral = "liquidatedCollateral",
    Short = "short",
    Timestamp = "timestamp",
    BlockNumber = "blockNumber"
}
export declare type ShortLoanChange = {
    __typename?: 'ShortLoanChange';
    /**  the event tx hash plus event log index  */
    id: Scalars['ID'];
    /**  denotes if the event was a repayment (true) or an increase of the loan (false) */
    isRepayment: Scalars['Boolean'];
    /**  the amount of loan repaid or increased  */
    amount: Scalars['BigInt'];
    /**  the total amount of loan due after the repayment or increase is included  */
    loanAfter: Scalars['BigInt'];
    /**  the respective short  */
    short: Short;
    /**  the timestamp of the loan repayment or increase  */
    timestamp: Scalars['BigInt'];
    /**  the block the short loan was changed  */
    blockNumber: Scalars['BigInt'];
};
export declare type ShortLoanChange_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    isRepayment?: Maybe<Scalars['Boolean']>;
    isRepayment_not?: Maybe<Scalars['Boolean']>;
    isRepayment_in?: Maybe<Array<Scalars['Boolean']>>;
    isRepayment_not_in?: Maybe<Array<Scalars['Boolean']>>;
    amount?: Maybe<Scalars['BigInt']>;
    amount_not?: Maybe<Scalars['BigInt']>;
    amount_gt?: Maybe<Scalars['BigInt']>;
    amount_lt?: Maybe<Scalars['BigInt']>;
    amount_gte?: Maybe<Scalars['BigInt']>;
    amount_lte?: Maybe<Scalars['BigInt']>;
    amount_in?: Maybe<Array<Scalars['BigInt']>>;
    amount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    loanAfter?: Maybe<Scalars['BigInt']>;
    loanAfter_not?: Maybe<Scalars['BigInt']>;
    loanAfter_gt?: Maybe<Scalars['BigInt']>;
    loanAfter_lt?: Maybe<Scalars['BigInt']>;
    loanAfter_gte?: Maybe<Scalars['BigInt']>;
    loanAfter_lte?: Maybe<Scalars['BigInt']>;
    loanAfter_in?: Maybe<Array<Scalars['BigInt']>>;
    loanAfter_not_in?: Maybe<Array<Scalars['BigInt']>>;
    short?: Maybe<Scalars['String']>;
    short_not?: Maybe<Scalars['String']>;
    short_gt?: Maybe<Scalars['String']>;
    short_lt?: Maybe<Scalars['String']>;
    short_gte?: Maybe<Scalars['String']>;
    short_lte?: Maybe<Scalars['String']>;
    short_in?: Maybe<Array<Scalars['String']>>;
    short_not_in?: Maybe<Array<Scalars['String']>>;
    short_contains?: Maybe<Scalars['String']>;
    short_not_contains?: Maybe<Scalars['String']>;
    short_starts_with?: Maybe<Scalars['String']>;
    short_not_starts_with?: Maybe<Scalars['String']>;
    short_ends_with?: Maybe<Scalars['String']>;
    short_not_ends_with?: Maybe<Scalars['String']>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    blockNumber?: Maybe<Scalars['BigInt']>;
    blockNumber_not?: Maybe<Scalars['BigInt']>;
    blockNumber_gt?: Maybe<Scalars['BigInt']>;
    blockNumber_lt?: Maybe<Scalars['BigInt']>;
    blockNumber_gte?: Maybe<Scalars['BigInt']>;
    blockNumber_lte?: Maybe<Scalars['BigInt']>;
    blockNumber_in?: Maybe<Array<Scalars['BigInt']>>;
    blockNumber_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum ShortLoanChange_OrderBy {
    Id = "id",
    IsRepayment = "isRepayment",
    Amount = "amount",
    LoanAfter = "loanAfter",
    Short = "short",
    Timestamp = "timestamp",
    BlockNumber = "blockNumber"
}
export declare type Short_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    contractData?: Maybe<Scalars['String']>;
    contractData_not?: Maybe<Scalars['String']>;
    contractData_gt?: Maybe<Scalars['String']>;
    contractData_lt?: Maybe<Scalars['String']>;
    contractData_gte?: Maybe<Scalars['String']>;
    contractData_lte?: Maybe<Scalars['String']>;
    contractData_in?: Maybe<Array<Scalars['String']>>;
    contractData_not_in?: Maybe<Array<Scalars['String']>>;
    contractData_contains?: Maybe<Scalars['String']>;
    contractData_not_contains?: Maybe<Scalars['String']>;
    contractData_starts_with?: Maybe<Scalars['String']>;
    contractData_not_starts_with?: Maybe<Scalars['String']>;
    contractData_ends_with?: Maybe<Scalars['String']>;
    contractData_not_ends_with?: Maybe<Scalars['String']>;
    txHash?: Maybe<Scalars['String']>;
    txHash_not?: Maybe<Scalars['String']>;
    txHash_gt?: Maybe<Scalars['String']>;
    txHash_lt?: Maybe<Scalars['String']>;
    txHash_gte?: Maybe<Scalars['String']>;
    txHash_lte?: Maybe<Scalars['String']>;
    txHash_in?: Maybe<Array<Scalars['String']>>;
    txHash_not_in?: Maybe<Array<Scalars['String']>>;
    txHash_contains?: Maybe<Scalars['String']>;
    txHash_not_contains?: Maybe<Scalars['String']>;
    txHash_starts_with?: Maybe<Scalars['String']>;
    txHash_not_starts_with?: Maybe<Scalars['String']>;
    txHash_ends_with?: Maybe<Scalars['String']>;
    txHash_not_ends_with?: Maybe<Scalars['String']>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    collateralLocked?: Maybe<Scalars['Bytes']>;
    collateralLocked_not?: Maybe<Scalars['Bytes']>;
    collateralLocked_in?: Maybe<Array<Scalars['Bytes']>>;
    collateralLocked_not_in?: Maybe<Array<Scalars['Bytes']>>;
    collateralLocked_contains?: Maybe<Scalars['Bytes']>;
    collateralLocked_not_contains?: Maybe<Scalars['Bytes']>;
    collateralLockedAmount?: Maybe<Scalars['BigInt']>;
    collateralLockedAmount_not?: Maybe<Scalars['BigInt']>;
    collateralLockedAmount_gt?: Maybe<Scalars['BigInt']>;
    collateralLockedAmount_lt?: Maybe<Scalars['BigInt']>;
    collateralLockedAmount_gte?: Maybe<Scalars['BigInt']>;
    collateralLockedAmount_lte?: Maybe<Scalars['BigInt']>;
    collateralLockedAmount_in?: Maybe<Array<Scalars['BigInt']>>;
    collateralLockedAmount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    synthBorrowed?: Maybe<Scalars['Bytes']>;
    synthBorrowed_not?: Maybe<Scalars['Bytes']>;
    synthBorrowed_in?: Maybe<Array<Scalars['Bytes']>>;
    synthBorrowed_not_in?: Maybe<Array<Scalars['Bytes']>>;
    synthBorrowed_contains?: Maybe<Scalars['Bytes']>;
    synthBorrowed_not_contains?: Maybe<Scalars['Bytes']>;
    synthBorrowedAmount?: Maybe<Scalars['BigInt']>;
    synthBorrowedAmount_not?: Maybe<Scalars['BigInt']>;
    synthBorrowedAmount_gt?: Maybe<Scalars['BigInt']>;
    synthBorrowedAmount_lt?: Maybe<Scalars['BigInt']>;
    synthBorrowedAmount_gte?: Maybe<Scalars['BigInt']>;
    synthBorrowedAmount_lte?: Maybe<Scalars['BigInt']>;
    synthBorrowedAmount_in?: Maybe<Array<Scalars['BigInt']>>;
    synthBorrowedAmount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    accruedInterestLastUpdateTimestamp?: Maybe<Scalars['BigInt']>;
    accruedInterestLastUpdateTimestamp_not?: Maybe<Scalars['BigInt']>;
    accruedInterestLastUpdateTimestamp_gt?: Maybe<Scalars['BigInt']>;
    accruedInterestLastUpdateTimestamp_lt?: Maybe<Scalars['BigInt']>;
    accruedInterestLastUpdateTimestamp_gte?: Maybe<Scalars['BigInt']>;
    accruedInterestLastUpdateTimestamp_lte?: Maybe<Scalars['BigInt']>;
    accruedInterestLastUpdateTimestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    accruedInterestLastUpdateTimestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    isOpen?: Maybe<Scalars['Boolean']>;
    isOpen_not?: Maybe<Scalars['Boolean']>;
    isOpen_in?: Maybe<Array<Scalars['Boolean']>>;
    isOpen_not_in?: Maybe<Array<Scalars['Boolean']>>;
    createdAtBlock?: Maybe<Scalars['BigInt']>;
    createdAtBlock_not?: Maybe<Scalars['BigInt']>;
    createdAtBlock_gt?: Maybe<Scalars['BigInt']>;
    createdAtBlock_lt?: Maybe<Scalars['BigInt']>;
    createdAtBlock_gte?: Maybe<Scalars['BigInt']>;
    createdAtBlock_lte?: Maybe<Scalars['BigInt']>;
    createdAtBlock_in?: Maybe<Array<Scalars['BigInt']>>;
    createdAtBlock_not_in?: Maybe<Array<Scalars['BigInt']>>;
    createdAt?: Maybe<Scalars['BigInt']>;
    createdAt_not?: Maybe<Scalars['BigInt']>;
    createdAt_gt?: Maybe<Scalars['BigInt']>;
    createdAt_lt?: Maybe<Scalars['BigInt']>;
    createdAt_gte?: Maybe<Scalars['BigInt']>;
    createdAt_lte?: Maybe<Scalars['BigInt']>;
    createdAt_in?: Maybe<Array<Scalars['BigInt']>>;
    createdAt_not_in?: Maybe<Array<Scalars['BigInt']>>;
    closedAt?: Maybe<Scalars['BigInt']>;
    closedAt_not?: Maybe<Scalars['BigInt']>;
    closedAt_gt?: Maybe<Scalars['BigInt']>;
    closedAt_lt?: Maybe<Scalars['BigInt']>;
    closedAt_gte?: Maybe<Scalars['BigInt']>;
    closedAt_lte?: Maybe<Scalars['BigInt']>;
    closedAt_in?: Maybe<Array<Scalars['BigInt']>>;
    closedAt_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum Short_OrderBy {
    Id = "id",
    ContractData = "contractData",
    TxHash = "txHash",
    Account = "account",
    CollateralLocked = "collateralLocked",
    CollateralLockedAmount = "collateralLockedAmount",
    SynthBorrowed = "synthBorrowed",
    SynthBorrowedAmount = "synthBorrowedAmount",
    AccruedInterestLastUpdateTimestamp = "accruedInterestLastUpdateTimestamp",
    IsOpen = "isOpen",
    CreatedAtBlock = "createdAtBlock",
    CreatedAt = "createdAt",
    ClosedAt = "closedAt",
    Liquidations = "liquidations",
    CollateralChanges = "collateralChanges",
    LoanChanges = "loanChanges"
}
export declare type Subscription = {
    __typename?: 'Subscription';
    /** Access to subgraph metadata */
    _meta?: Maybe<_Meta_>;
    accountFlaggedForLiquidation?: Maybe<AccountFlaggedForLiquidation>;
    accountFlaggedForLiquidations: Array<AccountFlaggedForLiquidation>;
    accountLiquidated?: Maybe<AccountLiquidated>;
    accountLiquidateds: Array<AccountLiquidated>;
    accountRemovedFromLiquidation?: Maybe<AccountRemovedFromLiquidation>;
    accountRemovedFromLiquidations: Array<AccountRemovedFromLiquidation>;
    activeStaker?: Maybe<ActiveStaker>;
    activeStakers: Array<ActiveStaker>;
    burned?: Maybe<Burned>;
    burneds: Array<Burned>;
    clearedDeposit?: Maybe<ClearedDeposit>;
    clearedDeposits: Array<ClearedDeposit>;
    collateralDeposited?: Maybe<CollateralDeposited>;
    collateralDepositeds: Array<CollateralDeposited>;
    collateralWithdrawn?: Maybe<CollateralWithdrawn>;
    collateralWithdrawns: Array<CollateralWithdrawn>;
    dailyBurned?: Maybe<DailyBurned>;
    dailyBurneds: Array<DailyBurned>;
    dailyCandle?: Maybe<DailyCandle>;
    dailyCandles: Array<DailyCandle>;
    dailyExchangePartner?: Maybe<DailyExchangePartner>;
    dailyExchangePartners: Array<DailyExchangePartner>;
    dailyExchanger?: Maybe<DailyExchanger>;
    dailyExchangers: Array<DailyExchanger>;
    dailyIssued?: Maybe<DailyIssued>;
    dailyIssueds: Array<DailyIssued>;
    dailySNXPrice?: Maybe<DailySnxPrice>;
    dailySNXPrices: Array<DailySnxPrice>;
    dailyTotal?: Maybe<DailyTotal>;
    dailyTotals: Array<DailyTotal>;
    debtSnapshot?: Maybe<DebtSnapshot>;
    debtSnapshots: Array<DebtSnapshot>;
    exchange?: Maybe<Exchange>;
    exchangeEntryAppended?: Maybe<ExchangeEntryAppended>;
    exchangeEntryAppendeds: Array<ExchangeEntryAppended>;
    exchangeEntrySettled?: Maybe<ExchangeEntrySettled>;
    exchangeEntrySettleds: Array<ExchangeEntrySettled>;
    exchangeFee?: Maybe<ExchangeFee>;
    exchangeFees: Array<ExchangeFee>;
    exchangePartner?: Maybe<ExchangePartner>;
    exchangePartners: Array<ExchangePartner>;
    exchangeRebate?: Maybe<ExchangeRebate>;
    exchangeRebates: Array<ExchangeRebate>;
    exchangeReclaim?: Maybe<ExchangeReclaim>;
    exchangeReclaims: Array<ExchangeReclaim>;
    exchanger?: Maybe<Exchanger>;
    exchangers: Array<Exchanger>;
    exchanges: Array<Exchange>;
    feesClaimed?: Maybe<FeesClaimed>;
    feesClaimeds: Array<FeesClaimed>;
    fifteenMinuteExchanger?: Maybe<FifteenMinuteExchanger>;
    fifteenMinuteExchangers: Array<FifteenMinuteExchanger>;
    fifteenMinuteSNXPrice?: Maybe<FifteenMinuteSnxPrice>;
    fifteenMinuteSNXPrices: Array<FifteenMinuteSnxPrice>;
    fifteenMinuteTotal?: Maybe<FifteenMinuteTotal>;
    fifteenMinuteTotals: Array<FifteenMinuteTotal>;
    inversePricingInfo?: Maybe<InversePricingInfo>;
    inversePricingInfos: Array<InversePricingInfo>;
    issued?: Maybe<Issued>;
    issueds: Array<Issued>;
    issuer?: Maybe<Issuer>;
    issuers: Array<Issuer>;
    latestRate?: Maybe<LatestRate>;
    latestRates: Array<LatestRate>;
    loan?: Maybe<Loan>;
    loanLiquidated?: Maybe<LoanLiquidated>;
    loanLiquidateds: Array<LoanLiquidated>;
    loanPartiallyLiquidated?: Maybe<LoanPartiallyLiquidated>;
    loanPartiallyLiquidateds: Array<LoanPartiallyLiquidated>;
    loanRepaid?: Maybe<LoanRepaid>;
    loanRepaids: Array<LoanRepaid>;
    loans: Array<Loan>;
    postArchernarExchanger?: Maybe<PostArchernarExchanger>;
    postArchernarExchangers: Array<PostArchernarExchanger>;
    postArchernarTotal?: Maybe<PostArchernarTotal>;
    postArchernarTotals: Array<PostArchernarTotal>;
    rateUpdate?: Maybe<RateUpdate>;
    rateUpdates: Array<RateUpdate>;
    rewardEscrowHolder?: Maybe<RewardEscrowHolder>;
    rewardEscrowHolders: Array<RewardEscrowHolder>;
    short?: Maybe<Short>;
    shortCollateralChange?: Maybe<ShortCollateralChange>;
    shortCollateralChanges: Array<ShortCollateralChange>;
    shortContract?: Maybe<ShortContract>;
    shortContractUpdate?: Maybe<ShortContractUpdate>;
    shortContractUpdates: Array<ShortContractUpdate>;
    shortContracts: Array<ShortContract>;
    shortLiquidation?: Maybe<ShortLiquidation>;
    shortLiquidations: Array<ShortLiquidation>;
    shortLoanChange?: Maybe<ShortLoanChange>;
    shortLoanChanges: Array<ShortLoanChange>;
    shorts: Array<Short>;
    snxholder?: Maybe<SnxHolder>;
    snxholders: Array<SnxHolder>;
    synthExchange?: Maybe<SynthExchange>;
    synthExchanges: Array<SynthExchange>;
    synthHolder?: Maybe<SynthHolder>;
    synthHolders: Array<SynthHolder>;
    synthetix?: Maybe<Synthetix>;
    synthetixes: Array<Synthetix>;
    temporaryExchangePartnerTracker?: Maybe<TemporaryExchangePartnerTracker>;
    temporaryExchangePartnerTrackers: Array<TemporaryExchangePartnerTracker>;
    total?: Maybe<Total>;
    totalActiveStaker?: Maybe<TotalActiveStaker>;
    totalActiveStakers: Array<TotalActiveStaker>;
    totalDailyActiveStaker?: Maybe<TotalDailyActiveStaker>;
    totalDailyActiveStakers: Array<TotalDailyActiveStaker>;
    totals: Array<Total>;
    userAction?: Maybe<UserAction>;
    userActions: Array<UserAction>;
};
export declare type Subscription_MetaArgs = {
    block?: Maybe<Block_Height>;
};
export declare type SubscriptionAccountFlaggedForLiquidationArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionAccountFlaggedForLiquidationsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<AccountFlaggedForLiquidation_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<AccountFlaggedForLiquidation_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionAccountLiquidatedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionAccountLiquidatedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<AccountLiquidated_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<AccountLiquidated_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionAccountRemovedFromLiquidationArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionAccountRemovedFromLiquidationsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<AccountRemovedFromLiquidation_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<AccountRemovedFromLiquidation_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionActiveStakerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionActiveStakersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ActiveStaker_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ActiveStaker_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionBurnedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionBurnedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Burned_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Burned_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionClearedDepositArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionClearedDepositsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ClearedDeposit_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ClearedDeposit_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionCollateralDepositedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionCollateralDepositedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<CollateralDeposited_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<CollateralDeposited_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionCollateralWithdrawnArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionCollateralWithdrawnsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<CollateralWithdrawn_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<CollateralWithdrawn_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailyBurnedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailyBurnedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailyBurned_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailyBurned_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailyCandleArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailyCandlesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailyCandle_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailyCandle_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailyExchangePartnerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailyExchangePartnersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailyExchangePartner_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailyExchangePartner_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailyExchangerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailyExchangersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailyExchanger_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailyExchanger_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailyIssuedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailyIssuedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailyIssued_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailyIssued_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailySnxPriceArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailySnxPricesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailySnxPrice_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailySnxPrice_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailyTotalArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDailyTotalsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DailyTotal_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DailyTotal_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDebtSnapshotArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionDebtSnapshotsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<DebtSnapshot_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<DebtSnapshot_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangeArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangeEntryAppendedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangeEntryAppendedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ExchangeEntryAppended_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ExchangeEntryAppended_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangeEntrySettledArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangeEntrySettledsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ExchangeEntrySettled_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ExchangeEntrySettled_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangeFeeArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangeFeesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ExchangeFee_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ExchangeFee_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangePartnerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangePartnersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ExchangePartner_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ExchangePartner_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangeRebateArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangeRebatesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ExchangeRebate_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ExchangeRebate_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangeReclaimArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangeReclaimsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ExchangeReclaim_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ExchangeReclaim_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Exchanger_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Exchanger_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionExchangesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Exchange_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Exchange_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionFeesClaimedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionFeesClaimedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<FeesClaimed_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<FeesClaimed_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionFifteenMinuteExchangerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionFifteenMinuteExchangersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<FifteenMinuteExchanger_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<FifteenMinuteExchanger_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionFifteenMinuteSnxPriceArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionFifteenMinuteSnxPricesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<FifteenMinuteSnxPrice_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<FifteenMinuteSnxPrice_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionFifteenMinuteTotalArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionFifteenMinuteTotalsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<FifteenMinuteTotal_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<FifteenMinuteTotal_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionInversePricingInfoArgs = {
    block?: Maybe<Block_Height>;
    id: Scalars['ID'];
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionInversePricingInfosArgs = {
    block?: Maybe<Block_Height>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<InversePricingInfo_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    skip?: Maybe<Scalars['Int']>;
    subgraphError?: _SubgraphErrorPolicy_;
    where?: Maybe<InversePricingInfo_Filter>;
};
export declare type SubscriptionIssuedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionIssuedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Issued_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Issued_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionIssuerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionIssuersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Issuer_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Issuer_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionLatestRateArgs = {
    block?: Maybe<Block_Height>;
    id: Scalars['ID'];
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionLatestRatesArgs = {
    block?: Maybe<Block_Height>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<LatestRate_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    skip?: Maybe<Scalars['Int']>;
    subgraphError?: _SubgraphErrorPolicy_;
    where?: Maybe<LatestRate_Filter>;
};
export declare type SubscriptionLoanArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionLoanLiquidatedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionLoanLiquidatedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<LoanLiquidated_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<LoanLiquidated_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionLoanPartiallyLiquidatedArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionLoanPartiallyLiquidatedsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<LoanPartiallyLiquidated_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<LoanPartiallyLiquidated_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionLoanRepaidArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionLoanRepaidsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<LoanRepaid_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<LoanRepaid_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionLoansArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Loan_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Loan_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionPostArchernarExchangerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionPostArchernarExchangersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<PostArchernarExchanger_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<PostArchernarExchanger_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionPostArchernarTotalArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionPostArchernarTotalsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<PostArchernarTotal_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<PostArchernarTotal_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionRateUpdateArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionRateUpdatesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<RateUpdate_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<RateUpdate_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionRewardEscrowHolderArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionRewardEscrowHoldersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<RewardEscrowHolder_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<RewardEscrowHolder_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionShortArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionShortCollateralChangeArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionShortCollateralChangesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortCollateralChange_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortCollateralChange_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionShortContractArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionShortContractUpdateArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionShortContractUpdatesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortContractUpdate_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortContractUpdate_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionShortContractsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortContract_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortContract_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionShortLiquidationArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionShortLiquidationsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortLiquidation_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortLiquidation_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionShortLoanChangeArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionShortLoanChangesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<ShortLoanChange_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<ShortLoanChange_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionShortsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Short_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Short_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionSnxholderArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionSnxholdersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<SnxHolder_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<SnxHolder_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionSynthExchangeArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionSynthExchangesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<SynthExchange_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<SynthExchange_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionSynthHolderArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionSynthHoldersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<SynthHolder_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<SynthHolder_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionSynthetixArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionSynthetixesArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Synthetix_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Synthetix_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionTemporaryExchangePartnerTrackerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionTemporaryExchangePartnerTrackersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<TemporaryExchangePartnerTracker_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<TemporaryExchangePartnerTracker_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionTotalArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionTotalActiveStakerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionTotalActiveStakersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<TotalActiveStaker_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<TotalActiveStaker_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionTotalDailyActiveStakerArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionTotalDailyActiveStakersArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<TotalDailyActiveStaker_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<TotalDailyActiveStaker_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionTotalsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<Total_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<Total_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionUserActionArgs = {
    id: Scalars['ID'];
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
export declare type SubscriptionUserActionsArgs = {
    skip?: Maybe<Scalars['Int']>;
    first?: Maybe<Scalars['Int']>;
    orderBy?: Maybe<UserAction_OrderBy>;
    orderDirection?: Maybe<OrderDirection>;
    where?: Maybe<UserAction_Filter>;
    block?: Maybe<Block_Height>;
    subgraphError?: _SubgraphErrorPolicy_;
};
/**  Tracks this event from the Synthetix.sol contract  */
export declare type SynthExchange = {
    __typename?: 'SynthExchange';
    id: Scalars['ID'];
    account: Scalars['Bytes'];
    from: Scalars['Bytes'];
    fromCurrencyKey: Scalars['Bytes'];
    fromSynth: Scalars['String'];
    fromAmount: Scalars['BigDecimal'];
    fromAmountInUSD: Scalars['BigDecimal'];
    toCurrencyKey: Scalars['Bytes'];
    toSynth: Scalars['String'];
    toAmount: Scalars['BigDecimal'];
    toAmountInUSD: Scalars['BigDecimal'];
    feesInUSD: Scalars['BigDecimal'];
    toAddress: Scalars['Bytes'];
    timestamp: Scalars['BigInt'];
    gasPrice: Scalars['BigInt'];
    block: Scalars['BigInt'];
};
export declare type SynthExchange_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    account?: Maybe<Scalars['Bytes']>;
    account_not?: Maybe<Scalars['Bytes']>;
    account_in?: Maybe<Array<Scalars['Bytes']>>;
    account_not_in?: Maybe<Array<Scalars['Bytes']>>;
    account_contains?: Maybe<Scalars['Bytes']>;
    account_not_contains?: Maybe<Scalars['Bytes']>;
    from?: Maybe<Scalars['Bytes']>;
    from_not?: Maybe<Scalars['Bytes']>;
    from_in?: Maybe<Array<Scalars['Bytes']>>;
    from_not_in?: Maybe<Array<Scalars['Bytes']>>;
    from_contains?: Maybe<Scalars['Bytes']>;
    from_not_contains?: Maybe<Scalars['Bytes']>;
    fromCurrencyKey?: Maybe<Scalars['Bytes']>;
    fromCurrencyKey_not?: Maybe<Scalars['Bytes']>;
    fromCurrencyKey_in?: Maybe<Array<Scalars['Bytes']>>;
    fromCurrencyKey_not_in?: Maybe<Array<Scalars['Bytes']>>;
    fromCurrencyKey_contains?: Maybe<Scalars['Bytes']>;
    fromCurrencyKey_not_contains?: Maybe<Scalars['Bytes']>;
    fromSynth?: Maybe<Scalars['String']>;
    fromSynth_not?: Maybe<Scalars['String']>;
    fromSynth_gt?: Maybe<Scalars['String']>;
    fromSynth_lt?: Maybe<Scalars['String']>;
    fromSynth_gte?: Maybe<Scalars['String']>;
    fromSynth_lte?: Maybe<Scalars['String']>;
    fromSynth_in?: Maybe<Array<Scalars['String']>>;
    fromSynth_not_in?: Maybe<Array<Scalars['String']>>;
    fromSynth_contains?: Maybe<Scalars['String']>;
    fromSynth_not_contains?: Maybe<Scalars['String']>;
    fromSynth_starts_with?: Maybe<Scalars['String']>;
    fromSynth_not_starts_with?: Maybe<Scalars['String']>;
    fromSynth_ends_with?: Maybe<Scalars['String']>;
    fromSynth_not_ends_with?: Maybe<Scalars['String']>;
    fromAmount?: Maybe<Scalars['BigDecimal']>;
    fromAmount_not?: Maybe<Scalars['BigDecimal']>;
    fromAmount_gt?: Maybe<Scalars['BigDecimal']>;
    fromAmount_lt?: Maybe<Scalars['BigDecimal']>;
    fromAmount_gte?: Maybe<Scalars['BigDecimal']>;
    fromAmount_lte?: Maybe<Scalars['BigDecimal']>;
    fromAmount_in?: Maybe<Array<Scalars['BigDecimal']>>;
    fromAmount_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    fromAmountInUSD?: Maybe<Scalars['BigDecimal']>;
    fromAmountInUSD_not?: Maybe<Scalars['BigDecimal']>;
    fromAmountInUSD_gt?: Maybe<Scalars['BigDecimal']>;
    fromAmountInUSD_lt?: Maybe<Scalars['BigDecimal']>;
    fromAmountInUSD_gte?: Maybe<Scalars['BigDecimal']>;
    fromAmountInUSD_lte?: Maybe<Scalars['BigDecimal']>;
    fromAmountInUSD_in?: Maybe<Array<Scalars['BigDecimal']>>;
    fromAmountInUSD_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    toCurrencyKey?: Maybe<Scalars['Bytes']>;
    toCurrencyKey_not?: Maybe<Scalars['Bytes']>;
    toCurrencyKey_in?: Maybe<Array<Scalars['Bytes']>>;
    toCurrencyKey_not_in?: Maybe<Array<Scalars['Bytes']>>;
    toCurrencyKey_contains?: Maybe<Scalars['Bytes']>;
    toCurrencyKey_not_contains?: Maybe<Scalars['Bytes']>;
    toSynth?: Maybe<Scalars['String']>;
    toSynth_not?: Maybe<Scalars['String']>;
    toSynth_gt?: Maybe<Scalars['String']>;
    toSynth_lt?: Maybe<Scalars['String']>;
    toSynth_gte?: Maybe<Scalars['String']>;
    toSynth_lte?: Maybe<Scalars['String']>;
    toSynth_in?: Maybe<Array<Scalars['String']>>;
    toSynth_not_in?: Maybe<Array<Scalars['String']>>;
    toSynth_contains?: Maybe<Scalars['String']>;
    toSynth_not_contains?: Maybe<Scalars['String']>;
    toSynth_starts_with?: Maybe<Scalars['String']>;
    toSynth_not_starts_with?: Maybe<Scalars['String']>;
    toSynth_ends_with?: Maybe<Scalars['String']>;
    toSynth_not_ends_with?: Maybe<Scalars['String']>;
    toAmount?: Maybe<Scalars['BigDecimal']>;
    toAmount_not?: Maybe<Scalars['BigDecimal']>;
    toAmount_gt?: Maybe<Scalars['BigDecimal']>;
    toAmount_lt?: Maybe<Scalars['BigDecimal']>;
    toAmount_gte?: Maybe<Scalars['BigDecimal']>;
    toAmount_lte?: Maybe<Scalars['BigDecimal']>;
    toAmount_in?: Maybe<Array<Scalars['BigDecimal']>>;
    toAmount_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    toAmountInUSD?: Maybe<Scalars['BigDecimal']>;
    toAmountInUSD_not?: Maybe<Scalars['BigDecimal']>;
    toAmountInUSD_gt?: Maybe<Scalars['BigDecimal']>;
    toAmountInUSD_lt?: Maybe<Scalars['BigDecimal']>;
    toAmountInUSD_gte?: Maybe<Scalars['BigDecimal']>;
    toAmountInUSD_lte?: Maybe<Scalars['BigDecimal']>;
    toAmountInUSD_in?: Maybe<Array<Scalars['BigDecimal']>>;
    toAmountInUSD_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    feesInUSD?: Maybe<Scalars['BigDecimal']>;
    feesInUSD_not?: Maybe<Scalars['BigDecimal']>;
    feesInUSD_gt?: Maybe<Scalars['BigDecimal']>;
    feesInUSD_lt?: Maybe<Scalars['BigDecimal']>;
    feesInUSD_gte?: Maybe<Scalars['BigDecimal']>;
    feesInUSD_lte?: Maybe<Scalars['BigDecimal']>;
    feesInUSD_in?: Maybe<Array<Scalars['BigDecimal']>>;
    feesInUSD_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    toAddress?: Maybe<Scalars['Bytes']>;
    toAddress_not?: Maybe<Scalars['Bytes']>;
    toAddress_in?: Maybe<Array<Scalars['Bytes']>>;
    toAddress_not_in?: Maybe<Array<Scalars['Bytes']>>;
    toAddress_contains?: Maybe<Scalars['Bytes']>;
    toAddress_not_contains?: Maybe<Scalars['Bytes']>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    gasPrice?: Maybe<Scalars['BigInt']>;
    gasPrice_not?: Maybe<Scalars['BigInt']>;
    gasPrice_gt?: Maybe<Scalars['BigInt']>;
    gasPrice_lt?: Maybe<Scalars['BigInt']>;
    gasPrice_gte?: Maybe<Scalars['BigInt']>;
    gasPrice_lte?: Maybe<Scalars['BigInt']>;
    gasPrice_in?: Maybe<Array<Scalars['BigInt']>>;
    gasPrice_not_in?: Maybe<Array<Scalars['BigInt']>>;
    block?: Maybe<Scalars['BigInt']>;
    block_not?: Maybe<Scalars['BigInt']>;
    block_gt?: Maybe<Scalars['BigInt']>;
    block_lt?: Maybe<Scalars['BigInt']>;
    block_gte?: Maybe<Scalars['BigInt']>;
    block_lte?: Maybe<Scalars['BigInt']>;
    block_in?: Maybe<Array<Scalars['BigInt']>>;
    block_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum SynthExchange_OrderBy {
    Id = "id",
    Account = "account",
    From = "from",
    FromCurrencyKey = "fromCurrencyKey",
    FromSynth = "fromSynth",
    FromAmount = "fromAmount",
    FromAmountInUsd = "fromAmountInUSD",
    ToCurrencyKey = "toCurrencyKey",
    ToSynth = "toSynth",
    ToAmount = "toAmount",
    ToAmountInUsd = "toAmountInUSD",
    FeesInUsd = "feesInUSD",
    ToAddress = "toAddress",
    Timestamp = "timestamp",
    GasPrice = "gasPrice",
    Block = "block"
}
export declare type SynthHolder = {
    __typename?: 'SynthHolder';
    /**  address of the holder + the synth  */
    id: Scalars['ID'];
    /**  currencyKey of the synth  */
    synth: Scalars['String'];
    /**  units of the synth held in wei  */
    balanceOf: Scalars['BigDecimal'];
};
export declare type SynthHolder_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    synth?: Maybe<Scalars['String']>;
    synth_not?: Maybe<Scalars['String']>;
    synth_gt?: Maybe<Scalars['String']>;
    synth_lt?: Maybe<Scalars['String']>;
    synth_gte?: Maybe<Scalars['String']>;
    synth_lte?: Maybe<Scalars['String']>;
    synth_in?: Maybe<Array<Scalars['String']>>;
    synth_not_in?: Maybe<Array<Scalars['String']>>;
    synth_contains?: Maybe<Scalars['String']>;
    synth_not_contains?: Maybe<Scalars['String']>;
    synth_starts_with?: Maybe<Scalars['String']>;
    synth_not_starts_with?: Maybe<Scalars['String']>;
    synth_ends_with?: Maybe<Scalars['String']>;
    synth_not_ends_with?: Maybe<Scalars['String']>;
    balanceOf?: Maybe<Scalars['BigDecimal']>;
    balanceOf_not?: Maybe<Scalars['BigDecimal']>;
    balanceOf_gt?: Maybe<Scalars['BigDecimal']>;
    balanceOf_lt?: Maybe<Scalars['BigDecimal']>;
    balanceOf_gte?: Maybe<Scalars['BigDecimal']>;
    balanceOf_lte?: Maybe<Scalars['BigDecimal']>;
    balanceOf_in?: Maybe<Array<Scalars['BigDecimal']>>;
    balanceOf_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum SynthHolder_OrderBy {
    Id = "id",
    Synth = "synth",
    BalanceOf = "balanceOf"
}
/**  Synthentix is an aggregation entity  */
export declare type Synthetix = {
    __typename?: 'Synthetix';
    id: Scalars['ID'];
    /**  number of stakers currently staking  */
    issuers: Scalars['BigInt'];
    /**  number of addresses which hold SNX  */
    snxHolders: Scalars['BigInt'];
};
export declare type Synthetix_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    issuers?: Maybe<Scalars['BigInt']>;
    issuers_not?: Maybe<Scalars['BigInt']>;
    issuers_gt?: Maybe<Scalars['BigInt']>;
    issuers_lt?: Maybe<Scalars['BigInt']>;
    issuers_gte?: Maybe<Scalars['BigInt']>;
    issuers_lte?: Maybe<Scalars['BigInt']>;
    issuers_in?: Maybe<Array<Scalars['BigInt']>>;
    issuers_not_in?: Maybe<Array<Scalars['BigInt']>>;
    snxHolders?: Maybe<Scalars['BigInt']>;
    snxHolders_not?: Maybe<Scalars['BigInt']>;
    snxHolders_gt?: Maybe<Scalars['BigInt']>;
    snxHolders_lt?: Maybe<Scalars['BigInt']>;
    snxHolders_gte?: Maybe<Scalars['BigInt']>;
    snxHolders_lte?: Maybe<Scalars['BigInt']>;
    snxHolders_in?: Maybe<Array<Scalars['BigInt']>>;
    snxHolders_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum Synthetix_OrderBy {
    Id = "id",
    Issuers = "issuers",
    SnxHolders = "snxHolders"
}
export declare type TemporaryExchangePartnerTracker = {
    __typename?: 'TemporaryExchangePartnerTracker';
    /**  Transaction hash of the Exchange event  */
    id: Scalars['ID'];
    /**  Total transaction volume in USD across all ExchangeEntryAppended events in a single tx hash  */
    usdVolume?: Maybe<Scalars['BigDecimal']>;
    /**  Total fees from this transaction hash  */
    usdFees?: Maybe<Scalars['BigDecimal']>;
    /**  String format of the tracking code for a given partner  */
    partner?: Maybe<Scalars['String']>;
};
export declare type TemporaryExchangePartnerTracker_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    usdVolume?: Maybe<Scalars['BigDecimal']>;
    usdVolume_not?: Maybe<Scalars['BigDecimal']>;
    usdVolume_gt?: Maybe<Scalars['BigDecimal']>;
    usdVolume_lt?: Maybe<Scalars['BigDecimal']>;
    usdVolume_gte?: Maybe<Scalars['BigDecimal']>;
    usdVolume_lte?: Maybe<Scalars['BigDecimal']>;
    usdVolume_in?: Maybe<Array<Scalars['BigDecimal']>>;
    usdVolume_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    usdFees?: Maybe<Scalars['BigDecimal']>;
    usdFees_not?: Maybe<Scalars['BigDecimal']>;
    usdFees_gt?: Maybe<Scalars['BigDecimal']>;
    usdFees_lt?: Maybe<Scalars['BigDecimal']>;
    usdFees_gte?: Maybe<Scalars['BigDecimal']>;
    usdFees_lte?: Maybe<Scalars['BigDecimal']>;
    usdFees_in?: Maybe<Array<Scalars['BigDecimal']>>;
    usdFees_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    partner?: Maybe<Scalars['String']>;
    partner_not?: Maybe<Scalars['String']>;
    partner_gt?: Maybe<Scalars['String']>;
    partner_lt?: Maybe<Scalars['String']>;
    partner_gte?: Maybe<Scalars['String']>;
    partner_lte?: Maybe<Scalars['String']>;
    partner_in?: Maybe<Array<Scalars['String']>>;
    partner_not_in?: Maybe<Array<Scalars['String']>>;
    partner_contains?: Maybe<Scalars['String']>;
    partner_not_contains?: Maybe<Scalars['String']>;
    partner_starts_with?: Maybe<Scalars['String']>;
    partner_not_starts_with?: Maybe<Scalars['String']>;
    partner_ends_with?: Maybe<Scalars['String']>;
    partner_not_ends_with?: Maybe<Scalars['String']>;
};
export declare enum TemporaryExchangePartnerTracker_OrderBy {
    Id = "id",
    UsdVolume = "usdVolume",
    UsdFees = "usdFees",
    Partner = "partner"
}
export declare type Total = {
    __typename?: 'Total';
    /**  'mainnet' always  */
    id: Scalars['ID'];
    /**  number of trades completed over period  */
    trades: Scalars['BigInt'];
    /**  number of unique traders seen over period  */
    exchangers: Scalars['BigInt'];
    /**  synth value exchanged in USD units  */
    exchangeUSDTally: Scalars['BigDecimal'];
    /**  synth value received in fees in USD units  */
    totalFeesGeneratedInUSD: Scalars['BigDecimal'];
};
export declare type TotalActiveStaker = {
    __typename?: 'TotalActiveStaker';
    /**  single value  */
    id: Scalars['ID'];
    /**  number of stakers seen  */
    count: Scalars['BigInt'];
};
export declare type TotalActiveStaker_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    count?: Maybe<Scalars['BigInt']>;
    count_not?: Maybe<Scalars['BigInt']>;
    count_gt?: Maybe<Scalars['BigInt']>;
    count_lt?: Maybe<Scalars['BigInt']>;
    count_gte?: Maybe<Scalars['BigInt']>;
    count_lte?: Maybe<Scalars['BigInt']>;
    count_in?: Maybe<Array<Scalars['BigInt']>>;
    count_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum TotalActiveStaker_OrderBy {
    Id = "id",
    Count = "count"
}
export declare type TotalDailyActiveStaker = {
    __typename?: 'TotalDailyActiveStaker';
    /**  unix timestamp at beginning of day relevant to this statistic  */
    id: Scalars['ID'];
    /**  unix timestamp as a BigInt (so it can be filtered)  */
    timestamp: Scalars['BigInt'];
    /**  number of stakers seen on this day  */
    count: Scalars['BigInt'];
};
export declare type TotalDailyActiveStaker_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    count?: Maybe<Scalars['BigInt']>;
    count_not?: Maybe<Scalars['BigInt']>;
    count_gt?: Maybe<Scalars['BigInt']>;
    count_lt?: Maybe<Scalars['BigInt']>;
    count_gte?: Maybe<Scalars['BigInt']>;
    count_lte?: Maybe<Scalars['BigInt']>;
    count_in?: Maybe<Array<Scalars['BigInt']>>;
    count_not_in?: Maybe<Array<Scalars['BigInt']>>;
};
export declare enum TotalDailyActiveStaker_OrderBy {
    Id = "id",
    Timestamp = "timestamp",
    Count = "count"
}
export declare type Total_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    trades?: Maybe<Scalars['BigInt']>;
    trades_not?: Maybe<Scalars['BigInt']>;
    trades_gt?: Maybe<Scalars['BigInt']>;
    trades_lt?: Maybe<Scalars['BigInt']>;
    trades_gte?: Maybe<Scalars['BigInt']>;
    trades_lte?: Maybe<Scalars['BigInt']>;
    trades_in?: Maybe<Array<Scalars['BigInt']>>;
    trades_not_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangers?: Maybe<Scalars['BigInt']>;
    exchangers_not?: Maybe<Scalars['BigInt']>;
    exchangers_gt?: Maybe<Scalars['BigInt']>;
    exchangers_lt?: Maybe<Scalars['BigInt']>;
    exchangers_gte?: Maybe<Scalars['BigInt']>;
    exchangers_lte?: Maybe<Scalars['BigInt']>;
    exchangers_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangers_not_in?: Maybe<Array<Scalars['BigInt']>>;
    exchangeUSDTally?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_not?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_gt?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_lt?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_gte?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_lte?: Maybe<Scalars['BigDecimal']>;
    exchangeUSDTally_in?: Maybe<Array<Scalars['BigDecimal']>>;
    exchangeUSDTally_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
    totalFeesGeneratedInUSD?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_not?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_gt?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_lt?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_gte?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_lte?: Maybe<Scalars['BigDecimal']>;
    totalFeesGeneratedInUSD_in?: Maybe<Array<Scalars['BigDecimal']>>;
    totalFeesGeneratedInUSD_not_in?: Maybe<Array<Scalars['BigDecimal']>>;
};
export declare enum Total_OrderBy {
    Id = "id",
    Trades = "trades",
    Exchangers = "exchangers",
    ExchangeUsdTally = "exchangeUSDTally",
    TotalFeesGeneratedInUsd = "totalFeesGeneratedInUSD"
}
export declare type UserAction = {
    __typename?: 'UserAction';
    id: Scalars['ID'];
    user: Scalars['Bytes'];
    amount: Scalars['BigInt'];
    type: Scalars['String'];
    depositIndex?: Maybe<Scalars['BigInt']>;
    minimum?: Maybe<Scalars['BigInt']>;
    block: Scalars['BigInt'];
    timestamp: Scalars['BigInt'];
    network: Scalars['String'];
};
export declare type UserAction_Filter = {
    id?: Maybe<Scalars['ID']>;
    id_not?: Maybe<Scalars['ID']>;
    id_gt?: Maybe<Scalars['ID']>;
    id_lt?: Maybe<Scalars['ID']>;
    id_gte?: Maybe<Scalars['ID']>;
    id_lte?: Maybe<Scalars['ID']>;
    id_in?: Maybe<Array<Scalars['ID']>>;
    id_not_in?: Maybe<Array<Scalars['ID']>>;
    user?: Maybe<Scalars['Bytes']>;
    user_not?: Maybe<Scalars['Bytes']>;
    user_in?: Maybe<Array<Scalars['Bytes']>>;
    user_not_in?: Maybe<Array<Scalars['Bytes']>>;
    user_contains?: Maybe<Scalars['Bytes']>;
    user_not_contains?: Maybe<Scalars['Bytes']>;
    amount?: Maybe<Scalars['BigInt']>;
    amount_not?: Maybe<Scalars['BigInt']>;
    amount_gt?: Maybe<Scalars['BigInt']>;
    amount_lt?: Maybe<Scalars['BigInt']>;
    amount_gte?: Maybe<Scalars['BigInt']>;
    amount_lte?: Maybe<Scalars['BigInt']>;
    amount_in?: Maybe<Array<Scalars['BigInt']>>;
    amount_not_in?: Maybe<Array<Scalars['BigInt']>>;
    type?: Maybe<Scalars['String']>;
    type_not?: Maybe<Scalars['String']>;
    type_gt?: Maybe<Scalars['String']>;
    type_lt?: Maybe<Scalars['String']>;
    type_gte?: Maybe<Scalars['String']>;
    type_lte?: Maybe<Scalars['String']>;
    type_in?: Maybe<Array<Scalars['String']>>;
    type_not_in?: Maybe<Array<Scalars['String']>>;
    type_contains?: Maybe<Scalars['String']>;
    type_not_contains?: Maybe<Scalars['String']>;
    type_starts_with?: Maybe<Scalars['String']>;
    type_not_starts_with?: Maybe<Scalars['String']>;
    type_ends_with?: Maybe<Scalars['String']>;
    type_not_ends_with?: Maybe<Scalars['String']>;
    depositIndex?: Maybe<Scalars['BigInt']>;
    depositIndex_not?: Maybe<Scalars['BigInt']>;
    depositIndex_gt?: Maybe<Scalars['BigInt']>;
    depositIndex_lt?: Maybe<Scalars['BigInt']>;
    depositIndex_gte?: Maybe<Scalars['BigInt']>;
    depositIndex_lte?: Maybe<Scalars['BigInt']>;
    depositIndex_in?: Maybe<Array<Scalars['BigInt']>>;
    depositIndex_not_in?: Maybe<Array<Scalars['BigInt']>>;
    minimum?: Maybe<Scalars['BigInt']>;
    minimum_not?: Maybe<Scalars['BigInt']>;
    minimum_gt?: Maybe<Scalars['BigInt']>;
    minimum_lt?: Maybe<Scalars['BigInt']>;
    minimum_gte?: Maybe<Scalars['BigInt']>;
    minimum_lte?: Maybe<Scalars['BigInt']>;
    minimum_in?: Maybe<Array<Scalars['BigInt']>>;
    minimum_not_in?: Maybe<Array<Scalars['BigInt']>>;
    block?: Maybe<Scalars['BigInt']>;
    block_not?: Maybe<Scalars['BigInt']>;
    block_gt?: Maybe<Scalars['BigInt']>;
    block_lt?: Maybe<Scalars['BigInt']>;
    block_gte?: Maybe<Scalars['BigInt']>;
    block_lte?: Maybe<Scalars['BigInt']>;
    block_in?: Maybe<Array<Scalars['BigInt']>>;
    block_not_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp?: Maybe<Scalars['BigInt']>;
    timestamp_not?: Maybe<Scalars['BigInt']>;
    timestamp_gt?: Maybe<Scalars['BigInt']>;
    timestamp_lt?: Maybe<Scalars['BigInt']>;
    timestamp_gte?: Maybe<Scalars['BigInt']>;
    timestamp_lte?: Maybe<Scalars['BigInt']>;
    timestamp_in?: Maybe<Array<Scalars['BigInt']>>;
    timestamp_not_in?: Maybe<Array<Scalars['BigInt']>>;
    network?: Maybe<Scalars['String']>;
    network_not?: Maybe<Scalars['String']>;
    network_gt?: Maybe<Scalars['String']>;
    network_lt?: Maybe<Scalars['String']>;
    network_gte?: Maybe<Scalars['String']>;
    network_lte?: Maybe<Scalars['String']>;
    network_in?: Maybe<Array<Scalars['String']>>;
    network_not_in?: Maybe<Array<Scalars['String']>>;
    network_contains?: Maybe<Scalars['String']>;
    network_not_contains?: Maybe<Scalars['String']>;
    network_starts_with?: Maybe<Scalars['String']>;
    network_not_starts_with?: Maybe<Scalars['String']>;
    network_ends_with?: Maybe<Scalars['String']>;
    network_not_ends_with?: Maybe<Scalars['String']>;
};
export declare enum UserAction_OrderBy {
    Id = "id",
    User = "user",
    Amount = "amount",
    Type = "type",
    DepositIndex = "depositIndex",
    Minimum = "minimum",
    Block = "block",
    Timestamp = "timestamp",
    Network = "network"
}
export declare type _Block_ = {
    __typename?: '_Block_';
    /** The hash of the block */
    hash?: Maybe<Scalars['Bytes']>;
    /** The block number */
    number: Scalars['Int'];
};
/** The type for the top-level _meta field */
export declare type _Meta_ = {
    __typename?: '_Meta_';
    /**
     * Information about a specific subgraph block. The hash of the block
     * will be null if the _meta field has a block constraint that asks for
     * a block number. It will be filled if the _meta field has no block constraint
     * and therefore asks for the latest  block
     */
    block: _Block_;
    /** The deployment ID */
    deployment: Scalars['String'];
    /** If `true`, the subgraph encountered indexing errors at some past block */
    hasIndexingErrors: Scalars['Boolean'];
};
export declare enum _SubgraphErrorPolicy_ {
    /** Data will be returned even if the subgraph has indexing errors */
    Allow = "allow",
    /** If the subgraph has indexing errors, data will be omitted. The default. */
    Deny = "deny"
}
//# sourceMappingURL=graphql.d.ts.map